/// All Groups
enum EmojiGroup {
  component, smileysEmotion, objects, activities, foodDrink, animalsNature, symbols, flags, travelPlaces, peopleBody
}

/// All Subgroups
enum EmojiSubgroup {
  musicalInstrument, keycap, lock, placeBuilding, geometric, handProp, person, alphanum, handFingersClosed, foodMarine, placeReligious, lightVideo, monkeyFace, skyWeather, bodyParts, foodVegetable, math, music, handFingersPartial, gender, medical, placeOther, faceCostume, currency, otherObject, phone, personSport, sport, animalReptile, hairStyle, plantOther, otherSymbol, drink, awardMedal, religion, subdivisionFlag, dishware, animalAmphibian, faceHat, placeGeographic, countryFlag, faceAffection, personResting, plantFlower, science, artsCrafts, placeMap, transportSign, faceNeutralSkeptical, warning, transportAir, mail, bookPaper, foodPrepared, personGesture, faceSleepy, writing, flag, game, punctuation, foodFruit, sound, emotion, personFantasy, household, catFace, foodSweet, faceHand, handSingleFinger, hotel, tool, personActivity, family, faceConcerned, animalBird, transportGround, foodAsian, personSymbol, hands, faceNegative, time, computer, faceUnwell, faceTongue, personRole, faceSmiling, zodiac, office, event, handFingersOpen, arrow, faceGlasses, animalBug, transportWater, animalMarine, clothing, avSymbol, money, animalMammal
}

/// List of All Emojis.
final List<Emoji> _emojis = [Emoji(name: 'grinning face', char: '\u{1F600}', shortName: 'grinning', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'grin', 'smiley', 'happy', 'silly', 'laugh', 'thank you', 'awesome', 'smile', 'friend', 'teeth', 'pacman', 'fun', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'smiles', 'friends', 'friendship', 'best friends', 'bestfriends', 'dentist', 'pac man']), Emoji(name: 'grinning face with big eyes', char: '\u{1F603}', shortName: 'smiley', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'mouth', 'open', 'smile', 'smiley', 'happy', 'silly', 'laugh', 'good', 'smile', 'teeth', 'fun', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'smiles', 'dentist']), Emoji(name: 'grinning face with smiling eyes', char: '\u{1F604}', shortName: 'smile', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['eye', 'face', 'mouth', 'open', 'smile', 'smiley', 'happy', 'laugh', 'smile', 'teeth', 'fun', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'smiles', 'dentist']), Emoji(name: 'beaming face with smiling eyes', char: '\u{1F601}', shortName: 'grin', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['eye', 'face', 'grin', 'smile', 'smiley', 'happy', 'silly', 'laugh', 'thank you', 'good', 'beautiful', 'selfie', 'smile', 'friend', 'teeth', 'dumb', 'grimace', 'fun', 'proud', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'smiles', 'friends', 'friendship', 'best friends', 'bestfriends', 'dentist', 'idiot', 'ignorant', 'stupid']), Emoji(name: 'grinning squinting face', char: '\u{1F606}', shortName: 'laughing', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'laugh', 'mouth', 'open', 'satisfied', 'smile', 'smiley', 'happy', 'silly', 'laugh', 'smile', 'teeth', 'dumb', 'fun', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'smiles', 'dentist', 'idiot', 'ignorant', 'stupid']), Emoji(name: 'grinning face with sweat', char: '\u{1F605}', shortName: 'sweat_smile', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['cold', 'face', 'open', 'smile', 'sweat', 'smiley', 'happy', 'laugh', 'sweat', 'smile', 'tease', 'drip', 'guilty', 'porn', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'smiles', 'joke', 'kidding']), Emoji(name: 'rolling on the floor laughing', char: '\u{1F923}', shortName: 'rofl', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'floor', 'laugh', 'rolling', 'smiley', 'happy', 'silly', 'laugh', 'tease', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'joke', 'kidding', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'face with tears of joy', char: '\u{1F602}', shortName: 'joy', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'joy', 'laugh', 'tear', 'smiley', 'happy', 'silly', 'cry', 'laugh', 'sarcastic', 'smile', 'tease', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'sarcasm', 'smiles', 'joke', 'kidding', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'slightly smiling face', char: '\u{1F642}', shortName: 'slight_smile', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'smile', 'smiley', 'happy', 'awesome', 'smile', 'blush', 'pleased', 'fun', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'smiles', 'blushing', 'bella', 'embarrassed', 'creep', 'please', 'chill', 'confident', 'content']), Emoji(name: 'upside-down face', char: '\u{1F643}', shortName: 'upside_down', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'upside-down', 'smiley', 'happy', 'silly', 'sarcastic', 'smile', 'pleased', 'dumb', 'what', 'clever', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'sarcasm', 'smiles', 'please', 'chill', 'confident', 'content', 'idiot', 'ignorant', 'stupid', 'witty']), Emoji(name: 'winking face', char: '\u{1F609}', shortName: 'wink', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['face', 'wink', 'smiley', 'happy', 'silly', 'sarcastic', 'smile', 'tease', 'clever', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'sarcasm', 'smiles', 'joke', 'kidding', 'witty']), Emoji(name: 'smiling face with smiling eyes', char: '\u{1F60A}', shortName: 'blush', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['blush', 'eye', 'face', 'smile', 'smiley', 'happy', 'good', 'beautiful', 'smile', 'blush', 'pleased', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'smiles', 'blushing', 'bella', 'embarrassed', 'creep', 'please', 'chill', 'confident', 'content']), Emoji(name: 'smiling face with halo', char: '\u{1F607}', shortName: 'innocent', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSmiling, keywords: ['angel', 'face', 'fairy tale', 'fantasy', 'halo', 'innocent', 'smile', 'smiley', 'silly', 'pray', 'smile', 'fantasy', 'soul', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'funny', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'smiles']), Emoji(name: 'smiling face with hearts', char: '\u{1F970}', shortName: 'smiling_face_with_3_hearts', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['smiley', 'happy', 'love', 'hug', 'smile', 'friend', 'blush', 'pleased', 'heart', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'embrace', 'hugs', 'smiles', 'friends', 'friendship', 'best friends', 'bestfriends', 'blushing', 'bella', 'embarrassed', 'creep', 'please', 'chill', 'confident', 'content', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'smiling face with heart-eyes', char: '\u{1F60D}', shortName: 'heart_eyes', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['eye', 'face', 'love', 'smile', 'smiley', 'happy', 'love', 'heart eyes', 'beautiful', 'smile', 'hola', 'facebook', 'porn', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'smiles']), Emoji(name: 'star-struck', char: '\u{1F929}', shortName: 'star_struck', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['smiley', 'selfie', 'fame', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'famous', 'celebrity']), Emoji(name: 'face blowing a kiss', char: '\u{1F618}', shortName: 'kissing_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['face', 'kiss', 'smiley', 'love', 'sexy', 'beautiful', 'disney', 'kisses', 'hit', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'cartoon', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy', 'punch', 'pow', 'bam']), Emoji(name: 'kissing face', char: '\u{1F617}', shortName: 'kissing', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['face', 'kiss', 'smiley', 'sexy', 'beautiful', 'selfie', 'kisses', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'smiling face', char: '\u{263A}', shortName: 'relaxed', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['face', 'outlined', 'relaxed', 'smile', 'smiley', 'happy', 'beautiful', 'smile', 'blush', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'smiles', 'blushing', 'bella', 'embarrassed', 'creep']), Emoji(name: 'kissing face with closed eyes', char: '\u{1F61A}', shortName: 'kissing_closed_eyes', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['closed', 'eye', 'face', 'kiss', 'smiley', 'love', 'sexy', 'blush', 'kisses', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'blushing', 'bella', 'embarrassed', 'creep', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'kissing face with smiling eyes', char: '\u{1F619}', shortName: 'kissing_smiling_eyes', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceAffection, keywords: ['eye', 'face', 'kiss', 'smile', 'smiley', 'love', 'sexy', 'kisses', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'face savoring food', char: '\u{1F60B}', shortName: 'yum', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceTongue, keywords: ['delicious', 'face', 'savouring', 'smile', 'um', 'yum', 'smiley', 'food', 'happy', 'silly', 'sarcastic', 'good', 'smile', 'pink', 'lick', 'tongue', 'dinner', 'picnic', 'delicious', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'sarcasm', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'smiles', 'toung', 'tounge', 'lunch', 'savour']), Emoji(name: 'face with tongue', char: '\u{1F61B}', shortName: 'stuck_out_tongue', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceTongue, keywords: ['face', 'tongue', 'smiley', 'happy', 'silly', 'pink', 'tease', 'lick', 'tongue', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'joke', 'kidding', 'toung', 'tounge']), Emoji(name: 'winking face with tongue', char: '\u{1F61C}', shortName: 'stuck_out_tongue_winking_eye', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceTongue, keywords: ['eye', 'face', 'joke', 'tongue', 'wink', 'smiley', 'happy', 'silly', 'pink', 'tease', 'pleased', 'lick', 'porn', 'crazy', 'tongue', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'joke', 'kidding', 'please', 'chill', 'confident', 'content', 'weird', 'awkward', 'insane', 'wild', 'toung', 'tounge']), Emoji(name: 'zany face', char: '\u{1F92A}', shortName: 'zany_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceTongue, keywords: ['eye', 'large', 'small', 'smiley', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'squinting face with tongue', char: '\u{1F61D}', shortName: 'stuck_out_tongue_closed_eyes', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceTongue, keywords: ['eye', 'face', 'horrible', 'taste', 'tongue', 'smiley', 'happy', 'silly', 'laugh', 'pink', 'tease', 'grimace', 'lick', 'tongue', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'joke', 'kidding', 'toung', 'tounge']), Emoji(name: 'money-mouth face', char: '\u{1F911}', shortName: 'money_mouth', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceTongue, keywords: ['face', 'money', 'mouth', 'smiley', 'money', 'win', 'boys night', 'power', 'stinky', 'coins', 'discount', 'donald trump', 'jealous', 'las vegas', 'rich', 'greed', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'guys night', 'smell', 'stink', 'odor', 'sale', 'bargain', 'trump', 'vegas', 'grand', 'expensive', 'fancy', 'selfish']), Emoji(name: 'hugging face', char: '\u{1F917}', shortName: 'hugging', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceHand, keywords: ['face', 'hug', 'hugging', 'smiley', 'happy', 'tired', 'love', 'hug', 'thank you', 'friend', 'blush', 'facebook', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'embrace', 'hugs', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'friends', 'friendship', 'best friends', 'bestfriends', 'blushing', 'bella', 'embarrassed', 'creep']), Emoji(name: 'face with hand over mouth', char: '\u{1F92D}', shortName: 'face_with_hand_over_mouth', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceHand, keywords: ['smiley', 'tired', 'blush', 'quiet', 'what', 'secret', 'yawn', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'blushing', 'bella', 'embarrassed', 'creep', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'shhhhh']), Emoji(name: 'shushing face', char: '\u{1F92B}', shortName: 'shushing_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceHand, keywords: ['quiet', 'shush', 'smiley', 'quiet', 'secret', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'shhhhh']), Emoji(name: 'thinking face', char: '\u{1F914}', shortName: 'thinking', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceHand, keywords: ['face', 'thinking', 'smiley', 'boys night', 'dream', 'brain', 'doubt', 'idea', 'confused', 'what', 'mystery', 'innovate', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'guys night', 'dreams', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'perplexed', 'innovation', 'inquire']), Emoji(name: 'zipper-mouth face', char: '\u{1F910}', shortName: 'zipper_mouth', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['face', 'mouth', 'zipper', 'smiley', 'angry', 'fight', 'dumb', 'quiet', 'crazy', 'secret', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'idiot', 'ignorant', 'stupid', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'weird', 'awkward', 'insane', 'wild', 'shhhhh']), Emoji(name: 'face with raised eyebrow', char: '\u{1F928}', shortName: 'face_with_raised_eyebrow', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['smiley', 'happy', 'doubt', 'colbert', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled']), Emoji(name: 'neutral face', char: '\u{1F610}', shortName: 'neutral_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['deadpan', 'face', 'neutral', 'smiley', 'shrug', 'neutral', 'bored', 'calm', 'doubt', 'dumb', 'quiet', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'boring', 'agree', 'whatever', 'boredom', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'idiot', 'ignorant', 'stupid', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh']), Emoji(name: 'expressionless face', char: '\u{1F611}', shortName: 'expressionless', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['expressionless', 'face', 'inexpressive', 'unexpressive', 'smiley', 'neutral', 'bored', 'calm', 'doubt', 'dumb', 'quiet', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'boring', 'agree', 'whatever', 'boredom', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'idiot', 'ignorant', 'stupid', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh']), Emoji(name: 'face without mouth', char: '\u{1F636}', shortName: 'no_mouth', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['face', 'mouth', 'quiet', 'silent', 'smiley', 'neutral', 'hate', 'dumb', 'quiet', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'idiot', 'ignorant', 'stupid', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh']), Emoji(name: 'smirking face', char: '\u{1F60F}', shortName: 'smirk', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['face', 'smirk', 'smiley', 'happy', 'silly', 'sexy', 'sarcastic', 'smile', 'pleased', 'clever', 'proud', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'sarcasm', 'smiles', 'please', 'chill', 'confident', 'content', 'witty']), Emoji(name: 'unamused face', char: '\u{1F612}', shortName: 'unamused', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['face', 'unamused', 'unhappy', 'smiley', 'sad', 'tired', 'angry', 'bored', 'hate', 'doubt', 'grimace', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'boring', 'agree', 'whatever', 'boredom', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled']), Emoji(name: 'face with rolling eyes', char: '\u{1F644}', shortName: 'rolling_eyes', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['eyes', 'face', 'rolling', 'smiley', 'rolling eyes', 'sarcastic', 'bored', 'hate', 'doubt', 'eyeroll', 'jealous', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'eye roll', 'side eye', 'sarcasm', 'boring', 'agree', 'whatever', 'boredom', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled']), Emoji(name: 'grimacing face', char: '\u{1F62C}', shortName: 'grimacing', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['face', 'grimace', 'smiley', 'silly', 'selfie', 'teeth', 'grimace', 'porn', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'funny', 'dentist']), Emoji(name: 'lying face', char: '\u{1F925}', shortName: 'lying_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNeutralSkeptical, keywords: ['face', 'lie', 'pinocchio', 'smiley', 'donald trump', 'guilty', 'crazy', 'liar', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'trump', 'weird', 'awkward', 'insane', 'wild', 'lies', 'lying']), Emoji(name: 'relieved face', char: '\u{1F60C}', shortName: 'relieved', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSleepy, keywords: ['face', 'relieved', 'smiley', 'happy', 'smile', 'pleased', 'calm', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'smiles', 'please', 'chill', 'confident', 'content']), Emoji(name: 'pensive face', char: '\u{1F614}', shortName: 'pensive', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSleepy, keywords: ['dejected', 'face', 'pensive', 'smiley', 'sad', 'rip', 'guilty', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'rest in peace']), Emoji(name: 'sleepy face', char: '\u{1F62A}', shortName: 'sleepy', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSleepy, keywords: ['face', 'sleep', 'smiley', 'sick', 'costume', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew']), Emoji(name: 'drooling face', char: '\u{1F924}', shortName: 'drooling_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSleepy, keywords: ['drooling', 'face', 'smiley', 'beautiful', 'dumb', 'porn', 'ugly', 'what', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'idiot', 'ignorant', 'stupid', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'sleeping face', char: '\u{1F634}', shortName: 'sleeping', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceSleepy, keywords: ['face', 'sleep', 'zzz', 'smiley', 'tired', 'goodnight', 'coffee', 'dream', 'calm', 'lazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'starbucks', 'dreams']), Emoji(name: 'face with medical mask', char: '\u{1F637}', shortName: 'mask', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['cold', 'doctor', 'face', 'mask', 'medicine', 'sick', 'smiley', 'dead', 'health', 'sick', 'teeth', 'nurse', 'clean', 'poison', 'mask', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'medicine', 'doctor', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'dentist', 'toxic', 'toxins']), Emoji(name: 'face with thermometer', char: '\u{1F912}', shortName: 'thermometer_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['face', 'ill', 'sick', 'thermometer', 'smiley', 'health', 'sick', 'nurse', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'medicine', 'doctor', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew']), Emoji(name: 'face with head-bandage', char: '\u{1F915}', shortName: 'head_bandage', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['bandage', 'face', 'hurt', 'injury', 'smiley', 'health', 'sick', 'nurse', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'medicine', 'doctor', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew']), Emoji(name: 'nauseated face', char: '\u{1F922}', shortName: 'nauseated_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['face', 'nauseated', 'vomit', 'smiley', 'bathroom', 'sick', 'hate', 'drunk', 'stinky', 'donald trump', 'poison', 'full', 'Nauseated', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'flustered', 'dizzy', 'smell', 'stink', 'odor', 'trump', 'toxic', 'toxins', 'green face']), Emoji(name: 'face vomiting', char: '\u{1F92E}', shortName: 'face_vomiting', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['sick', 'vomit', 'smiley', 'sick', 'hate', 'donald trump', 'Nauseated', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'trump', 'green face']), Emoji(name: 'sneezing face', char: '\u{1F927}', shortName: 'sneezing_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['face', 'gesundheit', 'sneeze', 'smiley', 'sick', 'stinky', 'booger', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'smell', 'stink', 'odor']), Emoji(name: 'hot face', char: '\u{1F975}', shortName: 'hot_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['smiley', 'stressed', 'sweat', 'hot', 'hate', 'summer', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'weekend']), Emoji(name: 'cold face', char: '\u{1F976}', shortName: 'cold_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['smiley', 'winter', 'snow', 'cold', 'grimace', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'freeze', 'frozen', 'frost', 'ice cube', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'woozy face', char: '\u{1F974}', shortName: 'woozy_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['smiley', 'silly', 'drugs', 'sick', 'drunk', 'dumb', 'ugly', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'funny', 'drug', 'narcotics', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'flustered', 'dizzy', 'idiot', 'ignorant', 'stupid', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'dizzy face', char: '\u{1F635}', shortName: 'dizzy_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['dizzy', 'face', 'smiley', 'dead', 'wow', 'omg', 'hate', 'drunk', 'dumb', 'las vegas', 'what', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'omfg', 'oh my god', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'flustered', 'dizzy', 'idiot', 'ignorant', 'stupid', 'vegas', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'exploding head', char: '\u{1F92F}', shortName: 'exploding_head', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceUnwell, keywords: ['shocked', 'smiley', 'angry', 'wow', 'donald trump', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'trump']), Emoji(name: 'cowboy hat face', char: '\u{1F920}', shortName: 'cowboy', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceHat, keywords: ['cowboy', 'cowgirl', 'face', 'hat', 'smiley', 'america', 'magic', 'disney', 'fame', 'super hero', 'texas', 'costume', 'independence day', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'usa', 'united states', 'united states of america', 'american', 'spell', 'genie', 'magical', 'cartoon', 'famous', 'celebrity', 'superhero', 'superman', 'batman']), Emoji(name: 'partying face', char: '\u{1F973}', shortName: 'partying_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceHat, keywords: ['smiley', 'holidays', 'happy', 'silly', 'cheers', 'happy birthday', 'confetti', 'celebrate', 'fun', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'holiday', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'gān bēi', 'Na zdravi', 'Proost', 'Prost', 'Sláinte', 'Cin cin', 'Kanpai', 'Na zdrowie', 'Saúde', 'На здоровье', 'Salud', 'Skål', 'Sei gesund', 'santé', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo']), Emoji(name: 'smiling face with sunglasses', char: '\u{1F60E}', shortName: 'sunglasses', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceGlasses, keywords: ['bright', 'cool', 'eye', 'eyewear', 'face', 'glasses', 'smile', 'sun', 'sunglasses', 'smiley', 'happy', 'silly', 'glasses', 'emojione', 'awesome', 'beautiful', 'boys night', 'smile', 'sunglasses', 'hawaii', 'california', 'florida', 'las vegas', 'fun', 'summer', 'clever', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'eyeglasses', 'eye glasses', 'emoji one', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'guys night', 'smiles', 'shades', 'lunettes de soleil', 'sun glasses', 'aloha', 'kawaii', 'maui', 'moana', 'vegas', 'weekend', 'witty']), Emoji(name: 'nerd face', char: '\u{1F913}', shortName: 'nerd', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceGlasses, keywords: ['face', 'geek', 'nerd', 'smiley', 'glasses', 'nerd', 'google', 'brain', 'teeth', 'dumb', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'eyeglasses', 'eye glasses', 'smart', 'geek', 'serious', 'dentist', 'idiot', 'ignorant', 'stupid']), Emoji(name: 'face with monocle', char: '\u{1F9D0}', shortName: 'face_with_monocle', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceGlasses, keywords: ['smiley', 'nerd', 'rich', 'proud', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'smart', 'geek', 'serious', 'grand', 'expensive', 'fancy']), Emoji(name: 'confused face', char: '\u{1F615}', shortName: 'confused', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['confused', 'face', 'smiley', 'nurse', 'doubt', 'what', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled']), Emoji(name: 'worried face', char: '\u{1F61F}', shortName: 'worried', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'worried', 'smiley', 'sad', 'angry', 'doubt', 'guilty', 'jealous', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled']), Emoji(name: 'slightly frowning face', char: '\u{1F641}', shortName: 'slight_frown', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'frown', 'smiley', 'sad', 'angry', 'hate', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no']), Emoji(name: 'frowning face', char: '\u{2639}', shortName: 'frowning2', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'frown', 'smiley', 'sad', 'angry', 'hate', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no']), Emoji(name: 'face with open mouth', char: '\u{1F62E}', shortName: 'open_mouth', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'mouth', 'open', 'sympathy', 'smiley', 'wow', 'dumb', 'what', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'idiot', 'ignorant', 'stupid']), Emoji(name: 'hushed face', char: '\u{1F62F}', shortName: 'hushed', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'hushed', 'stunned', 'surprised', 'smiley', 'wow', 'what', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown']), Emoji(name: 'astonished face', char: '\u{1F632}', shortName: 'astonished', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['astonished', 'face', 'shocked', 'totally', 'smiley', 'wow', 'omg', 'donald trump', 'crazy', 'mystery', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'omfg', 'oh my god', 'trump', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'flushed face', char: '\u{1F633}', shortName: 'flushed', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['dazed', 'face', 'flushed', 'smiley', 'omg', 'blush', 'guilty', 'porn', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'omfg', 'oh my god', 'blushing', 'bella', 'embarrassed', 'creep']), Emoji(name: 'pleading face', char: '\u{1F97A}', shortName: 'pleading_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['smiley', 'sad', 'cry', 'condolence', 'omg', 'heartbreak', 'blush', 'begging', 'doubt', 'guilty', 'help', 'shame', 'hope', 'liar', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling', 'compassion', 'omfg', 'oh my god', 'broken heart', 'heartbroken', 'blushing', 'bella', 'embarrassed', 'creep', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'swear', 'promise', 'lies', 'lying']), Emoji(name: 'frowning face with open mouth', char: '\u{1F626}', shortName: 'frowning', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'frown', 'mouth', 'open', 'smiley', 'sad', 'jealous', 'what', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness']), Emoji(name: 'anguished face', char: '\u{1F627}', shortName: 'anguished', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['anguished', 'face', 'smiley', 'sad', 'wow', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown']), Emoji(name: 'fearful face', char: '\u{1F628}', shortName: 'fearful', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'fear', 'fearful', 'scared', 'smiley', 'halloween', 'wow', 'guilty', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'samhain', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown']), Emoji(name: 'anxious face with sweat', char: '\u{1F630}', shortName: 'cold_sweat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['blue', 'cold', 'face', 'mouth', 'open', 'rushed', 'sweat', 'smiley', 'halloween', 'angry', 'sweat', 'drip', 'porn', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'samhain', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad']), Emoji(name: 'sad but relieved face', char: '\u{1F625}', shortName: 'disappointed_relieved', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['disappointed', 'face', 'relieved', 'whew', 'smiley', 'sad', 'cry', 'stressed', 'sweat', 'calm', 'drip', 'guilty', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling']), Emoji(name: 'crying face', char: '\u{1F622}', shortName: 'cry', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['cry', 'face', 'sad', 'tear', 'smiley', 'sad', 'cry', 'rip', 'heartbreak', 'drip', 'guilty', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling', 'rest in peace', 'broken heart', 'heartbroken']), Emoji(name: 'loudly crying face', char: '\u{1F62D}', shortName: 'sob', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['cry', 'face', 'sad', 'sob', 'tear', 'smiley', 'sad', 'cry', 'rip', 'heartbreak', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling', 'rest in peace', 'broken heart', 'heartbroken']), Emoji(name: 'face screaming in fear', char: '\u{1F631}', shortName: 'scream', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'fear', 'fearful', 'munch', 'scared', 'scream', 'smiley', 'halloween', 'wow', 'omg', 'donald trump', 'fame', 'porn', 'ugly', 'what', 'crazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'samhain', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'omfg', 'oh my god', 'trump', 'famous', 'celebrity', 'weird', 'awkward', 'insane', 'wild']), Emoji(name: 'confounded face', char: '\u{1F616}', shortName: 'confounded', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['confounded', 'face', 'smiley', 'sad', 'angry', 'wow', 'hate', 'ugly', 'confused', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'perplexed']), Emoji(name: 'persevering face', char: '\u{1F623}', shortName: 'persevere', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'persevere', 'smiley', 'sad', 'angry', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad']), Emoji(name: 'disappointed face', char: '\u{1F61E}', shortName: 'disappointed', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['disappointed', 'face', 'smiley', 'sad', 'tired', 'angry', 'bored', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'boring', 'agree', 'whatever', 'boredom']), Emoji(name: 'downcast face with sweat', char: '\u{1F613}', shortName: 'sweat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['cold', 'face', 'sweat', 'smiley', 'sad', 'stressed', 'sweat', 'drip', 'guilty', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness']), Emoji(name: 'weary face', char: '\u{1F629}', shortName: 'weary', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'tired', 'weary', 'smiley', 'sad', 'tired', 'angry', 'stressed', 'wow', 'shame', 'lazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown']), Emoji(name: 'tired face', char: '\u{1F62B}', shortName: 'tired_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['face', 'tired', 'smiley', 'sad', 'tired', 'angry', 'sick', 'wow', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'triste', 'depression', 'negative', 'sadness', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown']), Emoji(name: 'yawning face', char: '\u{1F971}', shortName: 'yawning_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceConcerned, keywords: ['smiley', 'tired', 'goodnight', 'bored', 'calm', 'quiet', 'wait', 'yawn', 'lazy', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'boring', 'agree', 'whatever', 'boredom', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'hours']), Emoji(name: 'face with steam from nose', char: '\u{1F624}', shortName: 'triumph', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['face', 'triumph', 'won', 'smiley', 'angry', 'smoking', 'steam', 'breathe', 'proud', 'festivus', 'booger', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'smoke', 'cigarette', 'puff', 'steaming', 'piping', 'sigh']), Emoji(name: 'pouting face', char: '\u{1F621}', shortName: 'rage', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['angry', 'face', 'mad', 'pouting', 'rage', 'red', 'smiley', 'angry', 'hate', 'bitch', 'donald trump', 'guilty', 'las vegas', 'killer', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'puta', 'pute', 'trump', 'vegas', 'savage', 'scary clown']), Emoji(name: 'angry face', char: '\u{1F620}', shortName: 'angry', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['angry', 'face', 'mad', 'smiley', 'angry', 'hate', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no']), Emoji(name: 'face with symbols on mouth', char: '\u{1F92C}', shortName: 'face_with_symbols_over_mouth', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['smiley', 'angry', 'hate', 'donald trump', 'swearing', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'trump', 'cussing', 'cursing']), Emoji(name: 'smiling face with horns', char: '\u{1F608}', shortName: 'smiling_imp', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['face', 'fairy tale', 'fantasy', 'horns', 'smile', 'smiley', 'silly', 'halloween', 'angry', 'monster', 'boys night', 'evil', 'guilty', 'jealous', 'porn', 'crazy', 'killer', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'funny', 'samhain', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'monsters', 'beast', 'guys night', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'weird', 'awkward', 'insane', 'wild', 'savage', 'scary clown']), Emoji(name: 'angry face with horns', char: '\u{1F47F}', shortName: 'imp', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['demon', 'devil', 'face', 'fairy tale', 'fantasy', 'imp', 'smiley', 'halloween', 'angry', 'monster', 'wth', 'fight', 'evil', 'dumb', 'vampire', 'crazy', 'killer', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'samhain', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'monsters', 'beast', 'what the hell', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'idiot', 'ignorant', 'stupid', 'dracula', 'weird', 'awkward', 'insane', 'wild', 'savage', 'scary clown']), Emoji(name: 'skull', char: '\u{1F480}', shortName: 'skull', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['death', 'face', 'fairy tale', 'monster', 'halloween', 'dead', 'skull', 'wow', 'pirate', 'poison', 'super hero', 'killer', 'bones', 'samhain', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'skull and crossbones', 'skeleton', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'toxic', 'toxins', 'superhero', 'superman', 'batman', 'savage', 'scary clown', 'Os', 'hueso']), Emoji(name: 'skull and crossbones', char: '\u{2620}', shortName: 'skull_crossbones', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceNegative, keywords: ['crossbones', 'death', 'face', 'monster', 'skull', 'halloween', 'dead', 'skull', 'wow', 'deadpool', 'pirate', 'danger', 'disney', 'poison', 'killer', 'bones', 'samhain', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'skull and crossbones', 'skeleton', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'cartoon', 'toxic', 'toxins', 'savage', 'scary clown', 'Os', 'hueso']), Emoji(name: 'pile of poo', char: '\u{1F4A9}', shortName: 'poop', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['comic', 'dung', 'face', 'monster', 'poo', 'poop', 'silly', 'bathroom', 'dead', 'sol', 'diarrhea', 'shit', 'bitch', 'stinky', 'donald trump', 'dumb', 'ugly', 'funny', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'shit outta luck', 'shit out of luck', 'shits', 'the shits', 'poop', 'turd', 'feces', 'pile', 'merde', 'butthole', 'caca', 'crap', 'dirty', 'pooo', 'mess', 'brown', 'poopoo', 'puta', 'pute', 'smell', 'stink', 'odor', 'trump', 'idiot', 'ignorant', 'stupid']), Emoji(name: 'clown face', char: '\u{1F921}', shortName: 'clown', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['clown', 'face', 'smiley', 'silly', 'halloween', 'laugh', 'circus', 'magic', 'donald trump', 'mcdonalds', 'super hero', 'crazy', 'killer', 'costume', 'smileys', 'mood', 'emotion', 'emotions', 'emotional', 'funny', 'samhain', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'circus tent', 'clown', 'clowns', 'spell', 'genie', 'magical', 'trump', 'ronald mcdonald', 'macdo', 'superhero', 'superman', 'batman', 'weird', 'awkward', 'insane', 'wild', 'savage', 'scary clown']), Emoji(name: 'ogre', char: '\u{1F479}', shortName: 'japanese_ogre', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['halloween', 'japan', 'angry', 'monster', 'wow', 'evil', 'super hero', 'ugly', 'crazy', 'killer', 'samhain', 'japanese', 'ninja', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'monsters', 'beast', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'superhero', 'superman', 'batman', 'weird', 'awkward', 'insane', 'wild', 'savage', 'scary clown']), Emoji(name: 'goblin', char: '\u{1F47A}', shortName: 'japanese_goblin', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['creature', 'face', 'fairy tale', 'fantasy', 'monster', 'halloween', 'japan', 'angry', 'monster', 'wow', 'mustache', 'evil', 'super hero', 'ugly', 'crazy', 'killer', 'mask', 'samhain', 'japanese', 'ninja', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'monsters', 'beast', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'superhero', 'superman', 'batman', 'weird', 'awkward', 'insane', 'wild', 'savage', 'scary clown']), Emoji(name: 'ghost', char: '\u{1F47B}', shortName: 'ghost', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['creature', 'face', 'fairy tale', 'fantasy', 'monster', 'holidays', 'halloween', 'dead', 'monster', 'wow', 'disney', 'pacman', 'holiday', 'samhain', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'monsters', 'beast', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'cartoon', 'pac man']), Emoji(name: 'alien', char: '\u{1F47D}', shortName: 'alien', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['creature', 'extraterrestrial', 'face', 'fairy tale', 'fantasy', 'monster', 'ufo', 'halloween', 'space', 'monster', 'alien', 'scientology', 'star wars', 'samhain', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'monsters', 'beast', 'ufo', 'scientologist']), Emoji(name: 'alien monster', char: '\u{1F47E}', shortName: 'space_invader', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['alien', 'creature', 'extraterrestrial', 'face', 'fairy tale', 'fantasy', 'monster', 'ufo', 'halloween', 'space', 'monster', 'alien', 'star wars', 'vintage', 'pacman', 'samhain', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'monsters', 'beast', 'ufo', 'pac man']), Emoji(name: 'robot', char: '\u{1F916}', shortName: 'robot', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.faceCostume, keywords: ['face', 'monster', 'robot', 'halloween', 'monster', 'disney', 'drone', 'samhain', 'monsters', 'beast', 'cartoon']), Emoji(name: 'grinning cat', char: '\u{1F63A}', shortName: 'smiley_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'face', 'mouth', 'open', 'smile', 'animal', 'happy', 'silly', 'cat', 'animals', 'animal kingdom', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow']), Emoji(name: 'grinning cat with smiling eyes', char: '\u{1F638}', shortName: 'smile_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'eye', 'face', 'grin', 'smile', 'animal', 'happy', 'silly', 'cat', 'porn', 'animals', 'animal kingdom', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow']), Emoji(name: 'cat with tears of joy', char: '\u{1F639}', shortName: 'joy_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'face', 'joy', 'tear', 'animal', 'happy', 'silly', 'cry', 'laugh', 'cat', 'sarcastic', 'tease', 'animals', 'animal kingdom', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'funny', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling', 'laughing', 'lol', 'rofl', 'lmao', 'lmfao', 'hilarious', 'ha', 'haha', 'chuckle', 'comedy', 'giggle', 'hehe', 'joyful', 'laugh out loud', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'sarcasm', 'joke', 'kidding']), Emoji(name: 'smiling cat with heart-eyes', char: '\u{1F63B}', shortName: 'heart_eyes_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'eye', 'face', 'love', 'smile', 'animal', 'happy', 'love', 'cat', 'heart eyes', 'beautiful', 'pussy', 'porn', 'animals', 'animal kingdom', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'condom']), Emoji(name: 'cat with wry smile', char: '\u{1F63C}', shortName: 'smirk_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'face', 'ironic', 'smile', 'wry', 'animal', 'cat', 'animals', 'animal kingdom', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow']), Emoji(name: 'kissing cat', char: '\u{1F63D}', shortName: 'kissing_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'eye', 'face', 'kiss', 'animal', 'love', 'cat', 'kisses', 'animals', 'animal kingdom', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'weary cat', char: '\u{1F640}', shortName: 'scream_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'face', 'oh', 'surprised', 'weary', 'animal', 'cat', 'animals', 'animal kingdom', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow']), Emoji(name: 'crying cat', char: '\u{1F63F}', shortName: 'crying_cat_face', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'cry', 'face', 'sad', 'tear', 'animal', 'cry', 'cat', 'animals', 'animal kingdom', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow']), Emoji(name: 'pouting cat', char: '\u{1F63E}', shortName: 'pouting_cat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.catFace, keywords: ['cat', 'face', 'pouting', 'animal', 'cat', 'animals', 'animal kingdom', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow']), Emoji(name: 'see-no-evil monkey', char: '\u{1F648}', shortName: 'see_no_evil', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.monkeyFace, keywords: ['evil', 'face', 'forbidden', 'gesture', 'monkey', 'no', 'not', 'prohibited', 'see', 'animal', 'monkey', 'porn', 'shame', 'animals', 'animal kingdom', 'progi', 'ape', 'primate']), Emoji(name: 'hear-no-evil monkey', char: '\u{1F649}', shortName: 'hear_no_evil', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.monkeyFace, keywords: ['evil', 'face', 'forbidden', 'gesture', 'hear', 'monkey', 'no', 'not', 'prohibited', 'animal', 'monkey', 'animals', 'animal kingdom', 'progi', 'ape', 'primate']), Emoji(name: 'speak-no-evil monkey', char: '\u{1F64A}', shortName: 'speak_no_evil', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.monkeyFace, keywords: ['evil', 'face', 'forbidden', 'gesture', 'monkey', 'no', 'not', 'prohibited', 'speak', 'animal', 'monkey', 'facebook', 'quiet', 'animals', 'animal kingdom', 'progi', 'ape', 'primate', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh']), Emoji(name: 'kiss mark', char: '\u{1F48B}', shortName: 'kiss', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['kiss', 'lips', 'women', 'love', 'sexy', 'lipstick', 'beautiful', 'girls night', 'pink', 'mirror', 'porn', 'woman', 'female', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'mouth', 'mouths', 'makeup', 'lip', 'lips', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend']), Emoji(name: 'love letter', char: '\u{1F48C}', shortName: 'love_letter', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['heart', 'letter', 'love', 'mail', 'love', 'mail', 'envelope', 'pink', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'heart with arrow', char: '\u{1F498}', shortName: 'cupid', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['arrow', 'cupid', 'arrow', 'love', 'red heart', 'heart', 'arrows', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'heart with ribbon', char: '\u{1F49D}', shortName: 'gift_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['ribbon', 'valentine', 'love', 'condolence', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'compassion', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'sparkling heart', char: '\u{1F496}', shortName: 'sparkling_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['excited', 'sparkle', 'love', 'girls night', 'red heart', 'glitter', 'diamond', 'sparkle', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'ladies night', 'girls only', 'girlfriend', 'bright', 'shine', 'twinkle', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'growing heart', char: '\u{1F497}', shortName: 'heartpulse', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['excited', 'growing', 'nervous', 'pulse', 'love', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'beating heart', char: '\u{1F493}', shortName: 'heartbeat', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['beating', 'heartbeat', 'pulsating', 'love', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'revolving hearts', char: '\u{1F49E}', shortName: 'revolving_hearts', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['revolving', 'love', 'hug', 'red heart', 'pink', 'infinity', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'embrace', 'hugs', 'infini', 'forever', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'two hearts', char: '\u{1F495}', shortName: 'two_hearts', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['love', 'love', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'heart decoration', char: '\u{1F49F}', shortName: 'heart_decoration', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['heart', 'shapes', 'love', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'heart exclamation', char: '\u{2763}', shortName: 'heart_exclamation', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['exclamation', 'mark', 'punctuation', 'love', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'broken heart', char: '\u{1F494}', shortName: 'broken_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['break', 'broken', 'love', 'heartbreak', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'broken heart', 'heartbroken', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'red heart', char: '\u{2764}', shortName: 'heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['heart', 'shapes', 'love', 'rainbow', 'red heart', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'orange heart', char: '\u{1F9E1}', shortName: 'orange_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['orange', 'shapes', 'love', 'rainbow', 'orange', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'yellow heart', char: '\u{1F49B}', shortName: 'yellow_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['yellow', 'shapes', 'love', 'rainbow', 'friend', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'friends', 'friendship', 'best friends', 'bestfriends', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'green heart', char: '\u{1F49A}', shortName: 'green_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['green', 'shapes', 'halloween', 'love', 'rainbow', 'irish', 'jealous', 'heart', 'samhain', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'saint patricks day', 'st patricks day', 'leprechaun', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'blue heart', char: '\u{1F499}', shortName: 'blue_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['blue', 'shapes', 'love', 'rainbow', 'friend', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'friends', 'friendship', 'best friends', 'bestfriends', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'purple heart', char: '\u{1F49C}', shortName: 'purple_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['purple', 'shapes', 'love', 'rainbow', 'pink', 'heart', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'brown heart', char: '\u{1F90E}', shortName: 'brown_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['shapes', 'heart', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'black heart', char: '\u{1F5A4}', shortName: 'black_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['black', 'evil', 'wicked', 'shapes', 'halloween', 'love', 'heartbreak', 'rainbow', 'hate', 'killer', 'heart', 'samhain', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'broken heart', 'heartbroken', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'savage', 'scary clown', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'white heart', char: '\u{1F90D}', shortName: 'white_heart', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['shapes', 'heart', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'hundred points', char: '\u{1F4AF}', shortName: '100', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['100', 'full', 'hundred', 'score', 'office', 'wow', 'perfect', 'win', 'correct', 'idea', 'percent', 'super hero', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'surprised', 'scared', 'shocked', 'whoa', 'surprise', 'scary', 'nervous', 'shaking', 'afraid', 'amaze', 'amazing', 'creepy', 'cringe', 'gasp', 'anxious', 'mind blown', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'passing grade', 'superhero', 'superman', 'batman']), Emoji(name: 'anger symbol', char: '\u{1F4A2}', shortName: 'anger', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['angry', 'comic', 'mad', 'angry', 'talk', 'fight', 'hit', 'anime', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'punch', 'pow', 'bam', 'manga']), Emoji(name: 'collision', char: '\u{1F4A5}', shortName: 'boom', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['boom', 'comic', 'blast', 'explosion', 'power', 'flame', 'anime', 'sparkle', 'boom', 'explode', 'burn', 'match', 'flames', 'manga', 'bright', 'shine', 'twinkle']), Emoji(name: 'dizzy', char: '\u{1F4AB}', shortName: 'dizzy', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['comic', 'star', 'star', 'star wars', 'drunk', 'hit', 'anime', 'stars', 'flustered', 'dizzy', 'punch', 'pow', 'bam', 'manga']), Emoji(name: 'sweat droplets', char: '\u{1F4A6}', shortName: 'sweat_drops', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['comic', 'splashing', 'sweat', 'rain', 'stressed', 'sweat', 'clean', 'drip', 'porn', 'anime', 'water', 'manga', 'water drop']), Emoji(name: 'dashing away', char: '\u{1F4A8}', shortName: 'dash', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['comic', 'dash', 'running', 'cloud', 'smoking', 'cold', 'clouds', 'nuage', 'smoke', 'cigarette', 'puff', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'hole', char: '\u{1F573}', shortName: 'hole', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['hole', 'trap']), Emoji(name: 'bomb', char: '\u{1F4A3}', shortName: 'bomb', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['comic', 'weapon', 'dead', 'blast', 'explosion', 'deadpool', 'power', 'danger', 'minecraft', 'throw', 'killer', 'war', 'weapons', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'boom', 'explode', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'savage', 'scary clown']), Emoji(name: 'speech balloon', char: '\u{1F4AC}', shortName: 'speech_balloon', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['balloon', 'bubble', 'comic', 'dialog', 'speech', 'talk', 'free speech', 'balloon', 'balloons', 'envelope', 'facebook', 'idea', 'anime', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'freedom of speech', 'letter', 'message', 'offer', 'manga']), Emoji(name: 'eye in speech bubble', char: '\u{1F441}\u{FE0F}\u{200D}\u{1F5E8}\u{FE0F}', shortName: 'eye_in_speech_bubble', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['eye', 'speech bubble', 'witness', 'eyes', 'talk', 'eye', 'eyebrow', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak']), Emoji(name: 'left speech bubble', char: '\u{1F5E8}', shortName: 'speech_left', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['dialog', 'speech', 'talk', 'facebook', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak']), Emoji(name: 'right anger bubble', char: '\u{1F5EF}', shortName: 'anger_right', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['angry', 'balloon', 'bubble', 'mad', 'japan', 'angry', 'talk', 'idea', 'anime', 'japanese', 'ninja', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'manga']), Emoji(name: 'thought balloon', char: '\u{1F4AD}', shortName: 'thought_balloon', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['balloon', 'bubble', 'comic', 'thought', 'talk', 'balloon', 'balloons', 'facebook', 'dream', 'idea', 'anime', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'dreams', 'manga']), Emoji(name: 'zzz', char: '\u{1F4A4}', shortName: 'zzz', emojiGroup: EmojiGroup.smileysEmotion, emojiSubgroup: EmojiSubgroup.emotion, keywords: ['comic', 'sleep', 'tired', 'goodnight', 'coffee', 'dream', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'starbucks', 'dreams']), Emoji(name: 'waving hand', char: '\u{1F44B}', shortName: 'wave', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersOpen, keywords: ['hand', 'wave', 'waving', 'body', 'hands', 'hi', 'hola', 'friend', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'friends', 'friendship', 'best friends', 'bestfriends'], modifiable: true), Emoji(name: 'raised back of hand', char: '\u{1F91A}', shortName: 'raised_back_of_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersOpen, keywords: ['backhand', 'raised', 'body', 'hands', 'award', 'hi', 'hate', 'private', 'body part', 'hand', 'finger', 'fingers', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'прив', 'privé', 'privado', 'reserved'], modifiable: true), Emoji(name: 'hand with fingers splayed', char: '\u{1F590}', shortName: 'hand_splayed', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersOpen, keywords: ['finger', 'hand', 'splayed', 'body', 'hands', 'hi', 'high five', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle'], modifiable: true), Emoji(name: 'raised hand', char: '\u{270B}', shortName: 'raised_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersOpen, keywords: ['hand', 'body', 'hands', 'hi', 'girls night', 'high five', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'ladies night', 'girls only', 'girlfriend'], modifiable: true), Emoji(name: 'vulcan salute', char: '\u{1F596}', shortName: 'vulcan', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersOpen, keywords: ['finger', 'hand', 'spock', 'vulcan', 'body', 'hands', 'hi', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle'], modifiable: true), Emoji(name: 'OK hand', char: '\u{1F44C}', shortName: 'ok_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['OK', 'hand', 'happy', 'butt', 'body', 'hands', 'hi', 'sex', 'thank you', 'perfect', 'awesome', 'good', 'beautiful', 'google', 'correct', 'porn', 'fun', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'ass', 'booty', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'fuck', 'fucking', 'horny', 'humping', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'passing grade'], modifiable: true), Emoji(name: 'pinching hand', char: '\u{1F90F}', shortName: 'pinching_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['penis', 'hands', 'quiet', 'tiny', 'greed', 'dick', 'hand', 'finger', 'fingers', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'petite bite', 'small dick', 'small', 'selfish'], modifiable: true), Emoji(name: 'victory hand', char: '\u{270C}', shortName: 'v', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['hand', 'v', 'victory', 'peace', 'body', 'hands', 'hi', 'thank you', 'girls night', 'peace out', 'peace sign', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'ladies night', 'girls only', 'girlfriend'], modifiable: true), Emoji(name: 'crossed fingers', char: '\u{1F91E}', shortName: 'fingers_crossed', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['cross', 'finger', 'hand', 'luck', 'body', 'hands', 'donald trump', 'irish', 'hope', 'body part', 'hand', 'finger', 'fingers', 'trump', 'saint patricks day', 'st patricks day', 'leprechaun', 'swear', 'promise'], modifiable: true), Emoji(name: 'love-you gesture', char: '\u{1F91F}', shortName: 'love_you_gesture', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['ILY', 'hand', 'body', 'hands', 'love', 'beautiful', 'body part', 'hand', 'finger', 'fingers', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely'], modifiable: true), Emoji(name: 'sign of the horns', char: '\u{1F918}', shortName: 'metal', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['finger', 'hand', 'horns', 'rock-on', 'body', 'hands', 'hi', 'boys night', 'rock and roll', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'guys night'], modifiable: true), Emoji(name: 'call me hand', char: '\u{1F919}', shortName: 'call_me', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersPartial, keywords: ['call', 'hand', 'body', 'hands', 'hi', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle'], modifiable: true), Emoji(name: 'backhand index pointing left', char: '\u{1F448}', shortName: 'point_left', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handSingleFinger, keywords: ['backhand', 'finger', 'hand', 'index', 'point', 'body', 'hands', 'hi', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle'], modifiable: true), Emoji(name: 'backhand index pointing right', char: '\u{1F449}', shortName: 'point_right', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handSingleFinger, keywords: ['backhand', 'finger', 'hand', 'index', 'point', 'body', 'hands', 'hi', 'sex', 'download', 'porn', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'fuck', 'fucking', 'horny', 'humping'], modifiable: true), Emoji(name: 'backhand index pointing up', char: '\u{1F446}', shortName: 'point_up_2', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handSingleFinger, keywords: ['backhand', 'finger', 'hand', 'index', 'point', 'up', 'body', 'hands', 'body part', 'hand', 'finger', 'fingers'], modifiable: true), Emoji(name: 'middle finger', char: '\u{1F595}', shortName: 'middle_finger', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handSingleFinger, keywords: ['finger', 'hand', 'penis', 'body', 'hands', 'angry', 'middle finger', 'sex', 'dick', 'body part', 'hand', 'finger', 'fingers', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'flipping off', 'fu', 'the finger', 'fuck you', 'fuck off', 'fuck', 'fucking', 'horny', 'humping'], modifiable: true), Emoji(name: 'backhand index pointing down', char: '\u{1F447}', shortName: 'point_down', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handSingleFinger, keywords: ['backhand', 'down', 'finger', 'hand', 'index', 'point', 'body', 'hands', 'click', 'body part', 'hand', 'finger', 'fingers'], modifiable: true), Emoji(name: 'index pointing up', char: '\u{261D}', shortName: 'point_up', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handSingleFinger, keywords: ['finger', 'hand', 'index', 'point', 'up', 'body', 'hands', 'emojione', 'porn', 'body part', 'hand', 'finger', 'fingers', 'emoji one'], modifiable: true), Emoji(name: 'thumbs up', char: '\u{1F44D}', shortName: 'thumbsup', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersClosed, keywords: ['+1', 'hand', 'thumb', 'up', 'body', 'hands', 'award', 'hi', 'luck', 'thank you', 'perfect', 'awesome', 'good', 'beautiful', 'correct', 'fun', 'proud', 'body part', 'hand', 'finger', 'fingers', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'good luck', 'lucky', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'passing grade'], modifiable: true), Emoji(name: 'thumbs down', char: '\u{1F44E}', shortName: 'thumbsdown', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersClosed, keywords: ['-1', 'down', 'hand', 'thumb', 'sad', 'body', 'hands', 'triste', 'depression', 'negative', 'sadness', 'body part', 'hand', 'finger', 'fingers'], modifiable: true), Emoji(name: 'raised fist', char: '\u{270A}', shortName: 'fist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersClosed, keywords: ['clenched', 'fist', 'hand', 'punch', 'body', 'hands', 'hi', 'fist bump', 'win', 'condolence', 'proud', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'fist', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'compassion'], modifiable: true), Emoji(name: 'oncoming fist', char: '\u{1F44A}', shortName: 'punch', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersClosed, keywords: ['clenched', 'fist', 'hand', 'punch', 'body', 'hands', 'hi', 'fist bump', 'win', 'awesome', 'boys night', 'friend', 'fight', 'hit', 'proud', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'fist', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'guys night', 'friends', 'friendship', 'best friends', 'bestfriends', 'punch', 'pow', 'bam'], modifiable: true), Emoji(name: 'left-facing fist', char: '\u{1F91B}', shortName: 'left_facing_fist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersClosed, keywords: ['fist', 'leftwards', 'body', 'hands', 'hi', 'fist bump', 'win', 'friend', 'hit', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'fist', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'friends', 'friendship', 'best friends', 'bestfriends', 'punch', 'pow', 'bam'], modifiable: true), Emoji(name: 'right-facing fist', char: '\u{1F91C}', shortName: 'right_facing_fist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handFingersClosed, keywords: ['fist', 'rightwards', 'body', 'hands', 'hi', 'fist bump', 'friend', 'hit', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'fist', 'friends', 'friendship', 'best friends', 'bestfriends', 'punch', 'pow', 'bam'], modifiable: true), Emoji(name: 'clapping hands', char: '\u{1F44F}', shortName: 'clap', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.hands, keywords: ['clap', 'hand', 'happy', 'body', 'hands', 'thank you', 'win', 'good', 'beautiful', 'clap', 'pussy', 'celebrate', 'pleased', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'body part', 'hand', 'finger', 'fingers', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'clapping', 'claps', 'clapping hands', 'applause', 'condom', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'please', 'chill', 'confident', 'content'], modifiable: true), Emoji(name: 'raising hands', char: '\u{1F64C}', shortName: 'raised_hands', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.hands, keywords: ['celebration', 'gesture', 'hand', 'hooray', 'raised', 'happy', 'body', 'hands', 'award', 'hi', 'thank you', 'perfect', 'pray', 'good', 'easter', 'fame', 'festivus', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'body part', 'hand', 'finger', 'fingers', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'famous', 'celebrity'], modifiable: true), Emoji(name: 'open hands', char: '\u{1F450}', shortName: 'open_hands', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.hands, keywords: ['hand', 'open', 'body', 'hands', 'hi', 'thank you', 'condolence', 'private', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'compassion', 'прив', 'privé', 'privado', 'reserved'], modifiable: true), Emoji(name: 'palms up together', char: '\u{1F932}', shortName: 'palms_up_together', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.hands, keywords: ['body', 'hands', 'pray', 'soul', 'body part', 'hand', 'finger', 'fingers', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering'], modifiable: true), Emoji(name: 'handshake', char: '\u{1F91D}', shortName: 'handshake', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.hands, keywords: ['agreement', 'hand', 'handshake', 'meeting', 'shake', 'body', 'hands', 'hi', 'business', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle']), Emoji(name: 'folded hands', char: '\u{1F64F}', shortName: 'pray', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.hands, keywords: ['ask', 'bow', 'folded', 'gesture', 'hand', 'please', 'pray', 'thanks', 'body', 'hands', 'hi', 'luck', 'thank you', 'pray', 'scientology', 'jesus', 'pleased', 'yoga', 'easter', 'begging', 'help', 'hope', 'soul', 'body part', 'hand', 'finger', 'fingers', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'good luck', 'lucky', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'scientologist', 'please', 'chill', 'confident', 'content', 'meditation', 'meditate', 'zen', 'om', 'aum', 'swear', 'promise'], modifiable: true), Emoji(name: 'writing hand', char: '\u{270D}', shortName: 'writing_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handProp, keywords: ['hand', 'write', 'body', 'hands', 'write', 'color', 'correct', 'body part', 'hand', 'finger', 'fingers', 'writing', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch', 'passing grade'], modifiable: true), Emoji(name: 'nail polish', char: '\u{1F485}', shortName: 'nail_care', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handProp, keywords: ['care', 'cosmetics', 'manicure', 'nail', 'polish', 'women', 'body', 'hands', 'nailpolish', 'beautiful', 'girls night', 'painting', 'woman', 'female', 'body part', 'hand', 'finger', 'fingers', 'nails', 'fingernails', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend', 'painter', 'arts'], modifiable: true), Emoji(name: 'selfie', char: '\u{1F933}', shortName: 'selfie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.handProp, keywords: ['camera', 'phone', 'selfie', 'selfie', 'fame', 'instagram', 'fun', 'youtube', 'famous', 'celebrity', 'vlog'], modifiable: true), Emoji(name: 'flexed biceps', char: '\u{1F4AA}', shortName: 'muscle', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['biceps', 'comic', 'flex', 'muscle', 'sport', 'body', 'hands', 'flex', 'weight lifting', 'win', 'feminist', 'boys night', 'power', 'handsome', 'festivus', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'body part', 'hand', 'finger', 'fingers', 'strong', 'weight lifter', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'feminism', 'strong woman', 'guys night', 'stud'], modifiable: true), Emoji(name: 'mechanical arm', char: '\u{1F9BE}', shortName: 'mechanical_arm', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['science', 'handicap', 'prosthetic', 'fake arm', 'accessibility', 'lab', 'disabled', 'disability', 'prosthetics', 'robotic arm']), Emoji(name: 'mechanical leg', char: '\u{1F9BF}', shortName: 'mechanical_leg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['science', 'handicap', 'knee', 'prosthetic', 'fake leg', 'accessibility', 'lab', 'disabled', 'disability', 'thigh', 'calf', 'prosthetics', 'robotic leg']), Emoji(name: 'leg', char: '\u{1F9B5}', shortName: 'leg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'feet', 'knee', 'body part', 'toes', 'heel', 'ankle', 'thigh', 'calf'], modifiable: true), Emoji(name: 'foot', char: '\u{1F9B6}', shortName: 'foot', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'feet', 'body part', 'toes', 'heel', 'ankle'], modifiable: true), Emoji(name: 'ear', char: '\u{1F442}', shortName: 'ear', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'body', 'sound', 'body part', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear'], modifiable: true), Emoji(name: 'ear with hearing aid', char: '\u{1F9BB}', shortName: 'ear_with_hearing_aid', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['old people', 'earphone', 'sound', 'deaf', 'accessibility', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'earbud', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear', 'hard of hearing'], modifiable: true), Emoji(name: 'nose', char: '\u{1F443}', shortName: 'nose', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'body', 'stinky', 'booger', 'body part', 'smell', 'stink', 'odor'], modifiable: true), Emoji(name: 'brain', char: '\u{1F9E0}', shortName: 'brain', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['intelligent', 'body', 'nerd', 'brain', 'body part', 'smart', 'geek', 'serious']), Emoji(name: 'tooth', char: '\u{1F9B7}', shortName: 'tooth', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'teeth', 'bite', 'bones', 'body part', 'dentist', 'Os', 'hueso']), Emoji(name: 'bone', char: '\u{1F9B4}', shortName: 'bone', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'bones', 'body part', 'Os', 'hueso']), Emoji(name: 'eyes', char: '\u{1F440}', shortName: 'eyes', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['eye', 'face', 'body', 'rolling eyes', 'eyes', 'google', 'brain', 'disney', 'search', 'eyeroll', 'porn', 'body part', 'eye roll', 'side eye', 'eye', 'eyebrow', 'cartoon', 'look', 'find', 'looking', 'see']), Emoji(name: 'eye', char: '\u{1F441}', shortName: 'eye', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'body', 'eyes', 'search', 'body part', 'eye', 'eyebrow', 'look', 'find', 'looking', 'see']), Emoji(name: 'tongue', char: '\u{1F445}', shortName: 'tongue', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['body', 'body', 'sexy', 'sex', 'lipstick', 'pussy', 'pink', 'lick', 'porn', 'tongue', 'body part', 'fuck', 'fucking', 'horny', 'humping', 'mouth', 'mouths', 'makeup', 'lip', 'lips', 'condom', 'toung', 'tounge']), Emoji(name: 'mouth', char: '\u{1F444}', shortName: 'lips', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.bodyParts, keywords: ['lips', 'women', 'body', 'sexy', 'lipstick', 'beautiful', 'porn', 'woman', 'female', 'body part', 'mouth', 'mouths', 'makeup', 'lip', 'lips', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely']), Emoji(name: 'baby', char: '\u{1F476}', shortName: 'baby', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['baby', 'young', 'baby', 'christmas', 'human', 'child', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'navidad', 'xmas', 'noel', 'merry christmas', 'gender', 'people', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant'], modifiable: true), Emoji(name: 'child', char: '\u{1F9D2}', shortName: 'child', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['men', 'feminist', 'child', 'man', 'guy', 'guys', 'gentleman', 'male', 'feminism', 'strong woman', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant'], modifiable: true), Emoji(name: 'boy', char: '\u{1F466}', shortName: 'boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['boy', 'young', 'men', 'selfie', 'human', 'handsome', 'child', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'stud', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant'], modifiable: true), Emoji(name: 'girl', char: '\u{1F467}', shortName: 'girl', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['Virgo', 'young', 'zodiac', 'women', 'beautiful', 'selfie', 'human', 'wife', 'child', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender', 'people', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant'], modifiable: true), Emoji(name: 'person', char: '\u{1F9D1}', shortName: 'adult', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['feminist', 'parent', 'handsome', 'husband', 'feminism', 'strong woman', 'parents', 'adult', 'stud'], modifiable: true), Emoji(name: 'person: blond hair', char: '\u{1F471}', shortName: 'blond_haired_person', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['blond', 'selfie', 'boys night', 'human', 'parent', 'handsome', 'husband', 'guys night', 'gender', 'people', 'parents', 'adult', 'stud'], modifiable: true), Emoji(name: 'man', char: '\u{1F468}', shortName: 'man', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['man', 'men', 'selfie', 'boys night', 'human', 'daddy', 'parent', 'handsome', 'husband', 'man', 'guy', 'guys', 'gentleman', 'male', 'guys night', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud'], modifiable: true), Emoji(name: 'man: beard', char: '\u{1F9D4}', shortName: 'bearded_person', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['men', 'mustache', 'daddy', 'parent', 'handsome', 'husband', 'beard', 'man', 'guy', 'guys', 'gentleman', 'male', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud'], modifiable: true), Emoji(name: 'man: red hair', char: '\u{1F468}\u{200D}\u{1F9B0}', shortName: 'man_red_haired', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['men', 'human', 'daddy', 'parent', 'handsome', 'husband', 'ginger', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud'], modifiable: true), Emoji(name: 'man: curly hair', char: '\u{1F468}\u{200D}\u{1F9B1}', shortName: 'man_curly_haired', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['men', 'human', 'daddy', 'parent', 'handsome', 'husband', 'afro', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud', '\'fro', 'curls', 'frizzy'], modifiable: true), Emoji(name: 'man: white hair', char: '\u{1F468}\u{200D}\u{1F9B3}', shortName: 'man_white_haired', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'men', 'human', 'daddy', 'parent', 'handsome', 'husband', 'grey hair', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud', 'silver hair'], modifiable: true), Emoji(name: 'man: bald', char: '\u{1F468}\u{200D}\u{1F9B2}', shortName: 'man_bald', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'men', 'human', 'daddy', 'parent', 'handsome', 'husband', 'shaved head', 'hairless', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud', 'balding'], modifiable: true), Emoji(name: 'woman', char: '\u{1F469}', shortName: 'woman', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['woman', 'women', 'feminist', 'beautiful', 'selfie', 'girls night', 'human', 'parent', 'wife', 'mom', 'woman', 'female', 'feminism', 'strong woman', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'woman: red hair', char: '\u{1F469}\u{200D}\u{1F9B0}', shortName: 'woman_red_haired', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['women', 'beautiful', 'human', 'parent', 'wife', 'mom', 'ginger', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person: red hair', char: '\u{1F9D1}\u{200D}\u{1F9B0}', shortName: 'person_red_hair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['beautiful', 'human', 'parent', 'ginger', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'people', 'parents', 'adult', 'unspecified gender', 'handsome'], modifiable: true), Emoji(name: 'woman: curly hair', char: '\u{1F469}\u{200D}\u{1F9B1}', shortName: 'woman_curly_haired', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['women', 'beautiful', 'human', 'parent', 'wife', 'mom', 'afro', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama', '\'fro', 'curls', 'frizzy'], modifiable: true), Emoji(name: 'person: curly hair', char: '\u{1F9D1}\u{200D}\u{1F9B1}', shortName: 'person_curly_hair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['beautiful', 'human', 'parent', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender-neutral', 'unspecified gender', 'people', 'parents', 'adult', 'curls', 'frizzy', 'handsome', 'husband', 'afro', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud', 'fro', 'curls'], modifiable: true), Emoji(name: 'woman: white hair', char: '\u{1F469}\u{200D}\u{1F9B3}', shortName: 'woman_white_haired', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'women', 'beautiful', 'human', 'parent', 'wife', 'mom', 'grey hair', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama', 'silver hair'], modifiable: true), Emoji(name: 'person: white hair', char: '\u{1F9D1}\u{200D}\u{1F9B3}', shortName: 'person_white_hair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'beautiful', 'human', 'parent', 'grey hair', 'grandparents', 'elderly', 'cute', 'pretty', 'adorable', 'adore', 'gender-neutral', 'unspecified gender', 'beauty', 'cutie', 'babe', 'lovely', 'people', 'parents', 'adult', 'silver hair', 'white hair'], modifiable: true), Emoji(name: 'woman: bald', char: '\u{1F469}\u{200D}\u{1F9B2}', shortName: 'woman_bald', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'women', 'beautiful', 'human', 'parent', 'wife', 'mom', 'shaved head', 'hairless', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama', 'balding'], modifiable: true), Emoji(name: 'person: bald', char: '\u{1F9D1}\u{200D}\u{1F9B2}', shortName: 'person_bald', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'beautiful', 'human', 'parent', 'shaved head', 'hairless', 'grandparents', 'elderly', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'gender-neutral', 'people', 'parents', 'adult', 'balding', 'unspecified gender'], modifiable: true), Emoji(name: 'woman: blond hair', char: '\u{1F471}\u{200D}\u{2640}\u{FE0F}', shortName: 'blond-haired_woman', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['blonde', 'woman', 'women', 'feminist', 'beautiful', 'selfie', 'girls night', 'human', 'parent', 'wife', 'mom', 'woman', 'female', 'feminism', 'strong woman', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'man: blond hair', char: '\u{1F471}\u{200D}\u{2642}\u{FE0F}', shortName: 'blond-haired_man', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['blond', 'man', 'men', 'selfie', 'boys night', 'daddy', 'parent', 'husband', 'man', 'guy', 'guys', 'gentleman', 'male', 'guys night', 'dad', 'papa', 'pere', 'parents', 'adult'], modifiable: true), Emoji(name: 'older person', char: '\u{1F9D3}', shortName: 'older_adult', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old people', 'feminist', 'vintage', 'parent', 'handsome', 'husband', 'grey hair', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'feminism', 'strong woman', 'parents', 'adult', 'stud', 'silver hair'], modifiable: true), Emoji(name: 'old man', char: '\u{1F474}', shortName: 'older_man', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['man', 'old', 'old people', 'men', 'vintage', 'human', 'cane', 'daddy', 'parent', 'handsome', 'husband', 'grey hair', 'hairless', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'stud', 'silver hair', 'balding'], modifiable: true), Emoji(name: 'old woman', char: '\u{1F475}', shortName: 'older_woman', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.person, keywords: ['old', 'woman', 'old people', 'women', 'vintage', 'human', 'cane', 'parent', 'wife', 'mom', 'grey hair', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'woman', 'female', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama', 'silver hair'], modifiable: true), Emoji(name: 'person frowning', char: '\u{1F64D}', shortName: 'person_frowning', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['frown', 'gesture', 'sad', 'angry', 'hate', 'bitch', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'puta', 'pute'], modifiable: true), Emoji(name: 'man frowning', char: '\u{1F64D}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_frowning', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['frowning', 'gesture', 'man', 'sad', 'men', 'angry', 'hate', 'daddy', 'husband', 'triste', 'depression', 'negative', 'sadness', 'man', 'guy', 'guys', 'gentleman', 'male', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'dad', 'papa', 'pere'], modifiable: true), Emoji(name: 'woman frowning', char: '\u{1F64D}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_frowning', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['frowning', 'gesture', 'woman', 'women', 'bitch', 'mom', 'woman', 'female', 'puta', 'pute', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person pouting', char: '\u{1F64E}', shortName: 'person_pouting', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['gesture', 'pouting', 'sad', 'angry', 'hate', 'bitch', 'wife', 'triste', 'depression', 'negative', 'sadness', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'puta', 'pute'], modifiable: true), Emoji(name: 'man pouting', char: '\u{1F64E}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_pouting', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['gesture', 'man', 'pouting', 'men', 'angry', 'hate', 'daddy', 'husband', 'man', 'guy', 'guys', 'gentleman', 'male', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'dad', 'papa', 'pere'], modifiable: true), Emoji(name: 'woman pouting', char: '\u{1F64E}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_pouting', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['gesture', 'pouting', 'woman', 'women', 'bitch', 'mom', 'woman', 'female', 'puta', 'pute', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person gesturing NO', char: '\u{1F645}', shortName: 'person_gesturing_no', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['forbidden', 'gesture', 'hand', 'no', 'not', 'prohibited', 'angry', 'girls night', 'hate', 'danger', 'bitch', 'crazy', 'private', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'ladies night', 'girls only', 'girlfriend', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'puta', 'pute', 'weird', 'awkward', 'insane', 'wild', 'прив', 'privé', 'privado', 'reserved'], modifiable: true), Emoji(name: 'man gesturing NO', char: '\u{1F645}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_gesturing_no', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['forbidden', 'gesture', 'hand', 'man', 'no', 'prohibited', 'men', 'angry', 'hate', 'danger', 'daddy', 'crazy', 'private', 'man', 'guy', 'guys', 'gentleman', 'male', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'i hate', 'disgust', 'stump', 'shout', 'dislike', 'rude', 'annoy', 'grinch', 'gross', 'grumpy', 'mean', 'problem', 'suck', 'jerk', 'asshole', 'no', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'dad', 'papa', 'pere', 'weird', 'awkward', 'insane', 'wild', 'прив', 'privé', 'privado', 'reserved'], modifiable: true), Emoji(name: 'woman gesturing NO', char: '\u{1F645}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_gesturing_no', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['forbidden', 'gesture', 'hand', 'no', 'prohibited', 'woman', 'women', 'girls night', 'bitch', 'mom', 'woman', 'female', 'ladies night', 'girls only', 'girlfriend', 'puta', 'pute', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person gesturing OK', char: '\u{1F646}', shortName: 'person_gesturing_ok', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['OK', 'gesture', 'hand', 'thank you', 'awesome', 'yoga', 'crazy', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'meditation', 'meditate', 'zen', 'om', 'aum', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'man gesturing OK', char: '\u{1F646}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_gesturing_ok', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['OK', 'gesture', 'hand', 'man', 'men', 'thank you', 'awesome', 'yoga', 'crazy', 'man', 'guy', 'guys', 'gentleman', 'male', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'meditation', 'meditate', 'zen', 'om', 'aum', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'woman gesturing OK', char: '\u{1F646}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_gesturing_ok', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['OK', 'gesture', 'hand', 'woman', 'women', 'thank you', 'yoga', 'woman', 'female', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'meditation', 'meditate', 'zen', 'om', 'aum'], modifiable: true), Emoji(name: 'person tipping hand', char: '\u{1F481}', shortName: 'person_tipping_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['hand', 'help', 'information', 'sassy', 'tipping', 'lipstick', 'help', 'mouth', 'mouths', 'makeup', 'lip', 'lips'], modifiable: true), Emoji(name: 'man tipping hand', char: '\u{1F481}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_tipping_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['man', 'sassy', 'tipping hand', 'men', 'help', 'man', 'guy', 'guys', 'gentleman', 'male'], modifiable: true), Emoji(name: 'woman tipping hand', char: '\u{1F481}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_tipping_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['sassy', 'tipping hand', 'woman', 'women', 'mom', 'woman', 'female', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person raising hand', char: '\u{1F64B}', shortName: 'person_raising_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['gesture', 'hand', 'happy', 'raised', 'hi', 'celebrate', 'help', 'proud', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo'], modifiable: true), Emoji(name: 'man raising hand', char: '\u{1F64B}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_raising_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['gesture', 'man', 'raising hand', 'sad', 'men', 'hi', 'boys night', 'celebrate', 'daddy', 'help', 'crazy', 'proud', 'triste', 'depression', 'negative', 'sadness', 'man', 'guy', 'guys', 'gentleman', 'male', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'guys night', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'dad', 'papa', 'pere', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'woman raising hand', char: '\u{1F64B}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_raising_hand', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['gesture', 'raising hand', 'woman', 'women', 'hi', 'mom', 'woman', 'female', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'deaf person', char: '\u{1F9CF}', shortName: 'deaf_person', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['old people', 'handicap', 'quiet', 'sound', 'deaf', 'accessibility', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'disabled', 'disability', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear', 'hard of hearing'], modifiable: true), Emoji(name: 'deaf man', char: '\u{1F9CF}\u{200D}\u{2642}\u{FE0F}', shortName: 'deaf_man', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['old people', 'handicap', 'quiet', 'sound', 'deaf', 'accessibility', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'disabled', 'disability', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear', 'hard of hearing'], modifiable: true), Emoji(name: 'deaf woman', char: '\u{1F9CF}\u{200D}\u{2640}\u{FE0F}', shortName: 'deaf_woman', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['old people', 'women', 'handicap', 'quiet', 'sound', 'deaf', 'accessibility', 'grandparents', 'elderly', 'grandma', 'grandpa', 'grandmother', 'grandfather', 'mamie', 'papy', 'woman', 'female', 'disabled', 'disability', 'shut up', 'hushed', 'silence', 'silent', 'shush', 'shh', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear', 'hard of hearing'], modifiable: true), Emoji(name: 'person bowing', char: '\u{1F647}', shortName: 'person_bowing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['apology', 'bow', 'gesture', 'sorry', 'thank you', 'pray', 'jesus', 'yoga', 'begging', 'fame', 'idea', 'hope', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'meditation', 'meditate', 'zen', 'om', 'aum', 'famous', 'celebrity', 'swear', 'promise'], modifiable: true), Emoji(name: 'man bowing', char: '\u{1F647}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_bowing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['apology', 'bowing', 'favor', 'gesture', 'man', 'sorry', 'thank you', 'pray', 'jesus', 'yoga', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'meditation', 'meditate', 'zen', 'om', 'aum'], modifiable: true), Emoji(name: 'woman bowing', char: '\u{1F647}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_bowing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['apology', 'bowing', 'favor', 'gesture', 'sorry', 'woman', 'women', 'thank you', 'pray', 'jesus', 'yoga', 'fame', 'hope', 'woman', 'female', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'meditation', 'meditate', 'zen', 'om', 'aum', 'famous', 'celebrity', 'swear', 'promise'], modifiable: true), Emoji(name: 'person facepalming', char: '\u{1F926}', shortName: 'person_facepalming', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['disbelief', 'exasperation', 'face', 'palm', 'facepalm', 'las vegas', 'whoops', 'oops', 'mistake', 'vegas'], modifiable: true), Emoji(name: 'man facepalming', char: '\u{1F926}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_facepalming', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['disbelief', 'exasperation', 'facepalm', 'man', 'men', 'boys night', 'facepalm', 'dumb', 'las vegas', 'crazy', 'man', 'guy', 'guys', 'gentleman', 'male', 'guys night', 'whoops', 'oops', 'mistake', 'idiot', 'ignorant', 'stupid', 'vegas', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'woman facepalming', char: '\u{1F926}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_facepalming', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['disbelief', 'exasperation', 'facepalm', 'woman', 'women', 'facepalm', 'dumb', 'las vegas', 'crazy', 'woman', 'female', 'whoops', 'oops', 'mistake', 'idiot', 'ignorant', 'stupid', 'vegas', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'person shrugging', char: '\u{1F937}', shortName: 'person_shrugging', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['doubt', 'ignorance', 'indifference', 'shrug', 'shrug', 'neutral', 'bitch', 'confused', 'mystery', 'puta', 'pute', 'perplexed'], modifiable: true), Emoji(name: 'man shrugging', char: '\u{1F937}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_shrugging', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['doubt', 'ignorance', 'indifference', 'man', 'shrug', 'men', 'shrug', 'neutral', 'daddy', 'doubt', 'dumb', 'guilty', 'confused', 'what', 'crazy', 'mystery', 'man', 'guy', 'guys', 'gentleman', 'male', 'dad', 'papa', 'pere', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'idiot', 'ignorant', 'stupid', 'perplexed', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'woman shrugging', char: '\u{1F937}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_shrugging', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personGesture, keywords: ['doubt', 'ignorance', 'indifference', 'shrug', 'woman', 'women', 'shrug', 'neutral', 'bitch', 'doubt', 'dumb', 'guilty', 'confused', 'what', 'crazy', 'mystery', 'woman', 'female', 'puta', 'pute', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'idiot', 'ignorant', 'stupid', 'perplexed', 'weird', 'awkward', 'insane', 'wild'], modifiable: true), Emoji(name: 'health worker', char: '\u{1F9D1}\u{200D}\u{2695}\u{FE0F}', shortName: 'health_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['doctor', 'healthcare', 'nurse', 'therapist', 'health', 'sick', 'job', '911', 'nerd', 'nurse', 'help', 'medicine', 'doctor', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'profession', 'boss', 'emergency', 'injury', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'man health worker', char: '\u{1F468}\u{200D}\u{2695}\u{FE0F}', shortName: 'man_health_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['doctor', 'healthcare', 'man', 'nurse', 'therapist', 'health', 'sick', 'job', '911', 'nerd', 'nurse', 'help', 'medicine', 'doctor', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'profession', 'boss', 'emergency', 'injury', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'woman health worker', char: '\u{1F469}\u{200D}\u{2695}\u{FE0F}', shortName: 'woman_health_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['doctor', 'healthcare', 'nurse', 'therapist', 'woman', 'health', 'sick', 'job', '911', 'nerd', 'nurse', 'help', 'medicine', 'doctor', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'profession', 'boss', 'emergency', 'injury', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'student', char: '\u{1F9D1}\u{200D}\u{1F393}', shortName: 'student', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['graduate', 'student', 'office', 'job', 'nerd', 'graduate', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'man student', char: '\u{1F468}\u{200D}\u{1F393}', shortName: 'man_student', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['graduate', 'man', 'student', 'office', 'job', 'nerd', 'graduate', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'woman student', char: '\u{1F469}\u{200D}\u{1F393}', shortName: 'woman_student', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['graduate', 'student', 'woman', 'office', 'job', 'nerd', 'graduate', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'teacher', char: '\u{1F9D1}\u{200D}\u{1F3EB}', shortName: 'teacher', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['instructor', 'professor', 'teacher', 'office', 'job', 'nerd', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'man teacher', char: '\u{1F468}\u{200D}\u{1F3EB}', shortName: 'man_teacher', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['instructor', 'man', 'professor', 'teacher', 'office', 'job', 'nerd', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'woman teacher', char: '\u{1F469}\u{200D}\u{1F3EB}', shortName: 'woman_teacher', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['instructor', 'professor', 'teacher', 'woman', 'office', 'job', 'nerd', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'judge', char: '\u{1F9D1}\u{200D}\u{2696}\u{FE0F}', shortName: 'judge', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['judge', 'justice', 'scales', 'job', 'nerd', 'court', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'man judge', char: '\u{1F468}\u{200D}\u{2696}\u{FE0F}', shortName: 'man_judge', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['justice', 'man', 'scales', 'job', 'nerd', 'court', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'woman judge', char: '\u{1F469}\u{200D}\u{2696}\u{FE0F}', shortName: 'woman_judge', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['judge', 'scales', 'woman', 'job', 'nerd', 'court', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'farmer', char: '\u{1F9D1}\u{200D}\u{1F33E}', shortName: 'farmer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['farmer', 'gardener', 'rancher', 'job', 'farm', 'profession', 'boss'], modifiable: true), Emoji(name: 'man farmer', char: '\u{1F468}\u{200D}\u{1F33E}', shortName: 'man_farmer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['farmer', 'gardener', 'man', 'rancher', 'job', 'farm', 'profession', 'boss'], modifiable: true), Emoji(name: 'woman farmer', char: '\u{1F469}\u{200D}\u{1F33E}', shortName: 'woman_farmer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['farmer', 'gardener', 'rancher', 'woman', 'job', 'farm', 'profession', 'boss'], modifiable: true), Emoji(name: 'cook', char: '\u{1F9D1}\u{200D}\u{1F373}', shortName: 'cook', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['chef', 'cook', 'job', 'bake', 'dinner', 'profession', 'boss', 'baking', 'lunch'], modifiable: true), Emoji(name: 'man cook', char: '\u{1F468}\u{200D}\u{1F373}', shortName: 'man_cook', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['chef', 'cook', 'man', 'job', 'bake', 'dinner', 'profession', 'boss', 'baking', 'lunch'], modifiable: true), Emoji(name: 'woman cook', char: '\u{1F469}\u{200D}\u{1F373}', shortName: 'woman_cook', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['chef', 'cook', 'woman', 'job', 'bake', 'chef', 'dinner', 'profession', 'boss', 'baking', 'lunch'], modifiable: true), Emoji(name: 'mechanic', char: '\u{1F9D1}\u{200D}\u{1F527}', shortName: 'mechanic', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['electrician', 'mechanic', 'plumber', 'tradesperson', 'job', 'profession', 'boss'], modifiable: true), Emoji(name: 'man mechanic', char: '\u{1F468}\u{200D}\u{1F527}', shortName: 'man_mechanic', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['electrician', 'man', 'mechanic', 'plumber', 'tradesperson', 'job', 'profession', 'boss'], modifiable: true), Emoji(name: 'woman mechanic', char: '\u{1F469}\u{200D}\u{1F527}', shortName: 'woman_mechanic', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['electrician', 'mechanic', 'plumber', 'tradesperson', 'woman', 'job', 'profession', 'boss'], modifiable: true), Emoji(name: 'factory worker', char: '\u{1F9D1}\u{200D}\u{1F3ED}', shortName: 'factory_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['assembly', 'factory', 'industrial', 'worker', 'job', 'mask', 'build', 'profession', 'boss'], modifiable: true), Emoji(name: 'man factory worker', char: '\u{1F468}\u{200D}\u{1F3ED}', shortName: 'man_factory_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['assembly', 'factory', 'industrial', 'man', 'worker', 'job', 'mask', 'build', 'profession', 'boss'], modifiable: true), Emoji(name: 'woman factory worker', char: '\u{1F469}\u{200D}\u{1F3ED}', shortName: 'woman_factory_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['assembly', 'factory', 'industrial', 'woman', 'worker', 'job', 'mask', 'build', 'profession', 'boss'], modifiable: true), Emoji(name: 'office worker', char: '\u{1F9D1}\u{200D}\u{1F4BC}', shortName: 'office_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['architect', 'business', 'manager', 'office', 'white-collar', 'job', 'nerd', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'man office worker', char: '\u{1F468}\u{200D}\u{1F4BC}', shortName: 'man_office_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['architect', 'business', 'man', 'manager', 'office', 'white-collar', 'men', 'office', 'job', 'business', 'nerd', 'man', 'guy', 'guys', 'gentleman', 'male', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'woman office worker', char: '\u{1F469}\u{200D}\u{1F4BC}', shortName: 'woman_office_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['architect', 'business', 'manager', 'office', 'white-collar', 'woman', 'women', 'office', 'job', 'business', 'nerd', 'woman', 'female', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'scientist', char: '\u{1F9D1}\u{200D}\u{1F52C}', shortName: 'scientist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['biologist', 'chemist', 'engineer', 'mathematician', 'physicist', 'scientist', 'science', 'job', 'nerd', 'lab', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'man scientist', char: '\u{1F468}\u{200D}\u{1F52C}', shortName: 'man_scientist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['biologist', 'chemist', 'engineer', 'man', 'mathematician', 'physicist', 'scientist', 'science', 'job', 'nerd', 'lab', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'woman scientist', char: '\u{1F469}\u{200D}\u{1F52C}', shortName: 'woman_scientist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['biologist', 'chemist', 'engineer', 'mathematician', 'physicist', 'scientist', 'woman', 'science', 'job', 'nerd', 'lab', 'profession', 'boss', 'smart', 'geek', 'serious'], modifiable: true), Emoji(name: 'technologist', char: '\u{1F9D1}\u{200D}\u{1F4BB}', shortName: 'technologist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['coder', 'developer', 'inventor', 'software', 'technologist', 'office', 'job', 'business', 'nerd', 'code', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious', 'coding'], modifiable: true), Emoji(name: 'man technologist', char: '\u{1F468}\u{200D}\u{1F4BB}', shortName: 'man_technologist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['coder', 'developer', 'inventor', 'man', 'software', 'technologist', 'office', 'job', 'business', 'nerd', 'code', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious', 'coding'], modifiable: true), Emoji(name: 'woman technologist', char: '\u{1F469}\u{200D}\u{1F4BB}', shortName: 'woman_technologist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['coder', 'developer', 'inventor', 'software', 'technologist', 'woman', 'office', 'job', 'business', 'nerd', 'code', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'smart', 'geek', 'serious', 'coding'], modifiable: true), Emoji(name: 'singer', char: '\u{1F9D1}\u{200D}\u{1F3A4}', shortName: 'singer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['actor', 'entertainer', 'rock', 'singer', 'star', 'instruments', 'job', 'rock and roll', 'fame', 'artist', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'profession', 'boss', 'famous', 'celebrity'], modifiable: true), Emoji(name: 'man singer', char: '\u{1F468}\u{200D}\u{1F3A4}', shortName: 'man_singer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['actor', 'entertainer', 'man', 'rock', 'singer', 'star', 'instruments', 'job', 'rock and roll', 'fame', 'artist', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'profession', 'boss', 'famous', 'celebrity'], modifiable: true), Emoji(name: 'woman singer', char: '\u{1F469}\u{200D}\u{1F3A4}', shortName: 'woman_singer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['actor', 'entertainer', 'rock', 'singer', 'star', 'woman', 'instruments', 'job', 'rock and roll', 'fame', 'artist', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'profession', 'boss', 'famous', 'celebrity'], modifiable: true), Emoji(name: 'artist', char: '\u{1F9D1}\u{200D}\u{1F3A8}', shortName: 'artist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['artist', 'palette', 'job', 'painting', 'artist', 'profession', 'boss', 'painter', 'arts'], modifiable: true), Emoji(name: 'man artist', char: '\u{1F468}\u{200D}\u{1F3A8}', shortName: 'man_artist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['artist', 'man', 'palette', 'job', 'painting', 'artist', 'profession', 'boss', 'painter', 'arts'], modifiable: true), Emoji(name: 'woman artist', char: '\u{1F469}\u{200D}\u{1F3A8}', shortName: 'woman_artist', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['artist', 'palette', 'woman', 'job', 'painting', 'artist', 'profession', 'boss', 'painter', 'arts'], modifiable: true), Emoji(name: 'pilot', char: '\u{1F9D1}\u{200D}\u{2708}\u{FE0F}', shortName: 'pilot', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['pilot', 'plane', 'fly', 'job', 'airplane', 'handsome', 'flight', 'flying', 'flights', 'avion', 'profession', 'boss', 'airline', 'aircraft', 'airforce', 'air force', 'airport', 'stud'], modifiable: true), Emoji(name: 'man pilot', char: '\u{1F468}\u{200D}\u{2708}\u{FE0F}', shortName: 'man_pilot', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['man', 'pilot', 'plane', 'fly', 'job', 'airplane', 'handsome', 'flight', 'flying', 'flights', 'avion', 'profession', 'boss', 'airline', 'aircraft', 'airforce', 'air force', 'airport'], modifiable: true), Emoji(name: 'woman pilot', char: '\u{1F469}\u{200D}\u{2708}\u{FE0F}', shortName: 'woman_pilot', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['pilot', 'plane', 'woman', 'fly', 'job', 'airplane', 'flight', 'flying', 'flights', 'avion', 'profession', 'boss', 'airline', 'aircraft', 'airforce', 'air force', 'airport'], modifiable: true), Emoji(name: 'astronaut', char: '\u{1F9D1}\u{200D}\u{1F680}', shortName: 'astronaut', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['astronaut', 'rocket', 'space', 'job', 'helmet', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'profession', 'boss'], modifiable: true), Emoji(name: 'man astronaut', char: '\u{1F468}\u{200D}\u{1F680}', shortName: 'man_astronaut', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['astronaut', 'man', 'rocket', 'space', 'job', 'helmet', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'profession', 'boss'], modifiable: true), Emoji(name: 'woman astronaut', char: '\u{1F469}\u{200D}\u{1F680}', shortName: 'woman_astronaut', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['astronaut', 'rocket', 'woman', 'space', 'job', 'helmet', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'profession', 'boss'], modifiable: true), Emoji(name: 'firefighter', char: '\u{1F9D1}\u{200D}\u{1F692}', shortName: 'firefighter', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['firefighter', 'firetruck', 'job', '911', 'help', 'handsome', 'fires', 'helmet', 'profession', 'boss', 'emergency', 'injury'], modifiable: true), Emoji(name: 'man firefighter', char: '\u{1F468}\u{200D}\u{1F692}', shortName: 'man_firefighter', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['firefighter', 'firetruck', 'man', 'job', '911', 'help', 'handsome', 'fires', 'helmet', 'profession', 'boss', 'emergency', 'injury', 'stud'], modifiable: true), Emoji(name: 'woman firefighter', char: '\u{1F469}\u{200D}\u{1F692}', shortName: 'woman_firefighter', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['firefighter', 'firetruck', 'woman', 'job', '911', 'help', 'fires', 'helmet', 'profession', 'boss', 'emergency', 'injury'], modifiable: true), Emoji(name: 'police officer', char: '\u{1F46E}', shortName: 'police_officer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['cop', 'officer', 'police', 'job', 'police', '911', 'mustache', 'power', 'help', 'mystery', 'court', 'profession', 'boss', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice', 'emergency', 'injury'], modifiable: true), Emoji(name: 'man police officer', char: '\u{1F46E}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_police_officer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['cop', 'man', 'officer', 'police', 'job', 'police', 'mystery', 'court', 'profession', 'boss', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice'], modifiable: true), Emoji(name: 'woman police officer', char: '\u{1F46E}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_police_officer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['cop', 'officer', 'police', 'woman', 'job', 'police', '911', 'power', 'help', 'private', 'mystery', 'court', 'profession', 'boss', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice', 'emergency', 'injury', 'прив', 'privé', 'privado', 'reserved'], modifiable: true), Emoji(name: 'detective', char: '\u{1F575}', shortName: 'detective', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['detective', 'sleuth', 'spy', 'glasses', 'halloween', 'job', 'google', 'search', 'detective', 'super hero', 'mystery', 'clever', 'eyeglasses', 'eye glasses', 'samhain', 'profession', 'boss', 'look', 'find', 'looking', 'see', 'superhero', 'superman', 'batman', 'witty'], modifiable: true), Emoji(name: 'man detective', char: '\u{1F575}\u{FE0F}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_detective', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['detective', 'man', 'sleuth', 'spy', 'job', 'search', 'detective', 'mystery', 'clever', 'profession', 'boss', 'look', 'find', 'looking', 'see', 'witty'], modifiable: true), Emoji(name: 'woman detective', char: '\u{1F575}\u{FE0F}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_detective', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['detective', 'sleuth', 'spy', 'woman', 'halloween', 'job', 'search', 'detective', 'mystery', 'clever', 'samhain', 'profession', 'boss', 'look', 'find', 'looking', 'see', 'witty'], modifiable: true), Emoji(name: 'guard', char: '\u{1F482}', shortName: 'guard', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['guard', 'job', 'queen', 'england', 'profession', 'boss', 'king', 'prince', 'princess', 'united kingdom', 'london', 'uk'], modifiable: true), Emoji(name: 'man guard', char: '\u{1F482}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_guard', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['guard', 'man', 'job', 'queen', 'england', 'profession', 'boss', 'king', 'prince', 'princess', 'united kingdom', 'london', 'uk'], modifiable: true), Emoji(name: 'woman guard', char: '\u{1F482}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_guard', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['guard', 'woman', 'job', 'queen', 'england', 'private', 'profession', 'boss', 'king', 'prince', 'princess', 'united kingdom', 'london', 'uk', 'прив', 'privé', 'privado', 'reserved'], modifiable: true), Emoji(name: 'construction worker', char: '\u{1F477}', shortName: 'construction_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['construction', 'hat', 'worker', 'job', 'build', 'construction', 'helmet', 'profession', 'boss'], modifiable: true), Emoji(name: 'man construction worker', char: '\u{1F477}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_construction_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['construction', 'man', 'worker', 'job', 'construction', 'helmet', 'profession', 'boss'], modifiable: true), Emoji(name: 'woman construction worker', char: '\u{1F477}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_construction_worker', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['construction', 'woman', 'worker', 'job', 'build', 'construction', 'helmet', 'profession', 'boss'], modifiable: true), Emoji(name: 'prince', char: '\u{1F934}', shortName: 'prince', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['prince', 'men', 'power', 'queen', 'bling', 'fame', 'crown', 'rich', 'man', 'guy', 'guys', 'gentleman', 'male', 'king', 'prince', 'princess', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'famous', 'celebrity', 'tiara', 'grand', 'expensive', 'fancy'], modifiable: true), Emoji(name: 'princess', char: '\u{1F478}', shortName: 'princess', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['fairy tale', 'fantasy', 'women', 'halloween', 'beautiful', 'girls night', 'power', 'queen', 'bling', 'fame', 'crown', 'rich', 'woman', 'female', 'samhain', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend', 'king', 'prince', 'princess', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'famous', 'celebrity', 'tiara', 'grand', 'expensive', 'fancy'], modifiable: true), Emoji(name: 'person wearing turban', char: '\u{1F473}', shortName: 'person_wearing_turban', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['turban', 'mustache', 'human', 'islam', 'parent', 'husband', 'beard', 'gender', 'people', 'muslim', 'arab', 'parents', 'adult'], modifiable: true), Emoji(name: 'man wearing turban', char: '\u{1F473}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_wearing_turban', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['man', 'turban', 'men', 'mustache', 'daddy', 'islam', 'parent', 'husband', 'beard', 'man', 'guy', 'guys', 'gentleman', 'male', 'dad', 'papa', 'pere', 'muslim', 'arab', 'parents', 'adult'], modifiable: true), Emoji(name: 'woman wearing turban', char: '\u{1F473}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_wearing_turban', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['turban', 'woman', 'women', 'human', 'islam', 'parent', 'mom', 'woman', 'female', 'gender', 'people', 'muslim', 'arab', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person with skullcap', char: '\u{1F472}', shortName: 'man_with_chinese_cap', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['gua pi mao', 'hat', 'man', 'human', 'chinese', 'parent', 'husband', 'gender', 'people', 'chinois', 'asian', 'chine', 'parents', 'adult'], modifiable: true), Emoji(name: 'woman with headscarf', char: '\u{1F9D5}', shortName: 'woman_with_headscarf', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['women', 'parent', 'hijab', 'wife', 'mom', 'woman', 'female', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person in tuxedo', char: '\u{1F935}', shortName: 'man_in_tuxedo', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['groom', 'man', 'tuxedo', 'wedding', 'men', 'boys night', 'donald trump', 'fame', 'vampire', 'las vegas', 'rich', 'jacket', 'handsome', 'costume', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'man', 'guy', 'guys', 'gentleman', 'male', 'guys night', 'trump', 'famous', 'celebrity', 'dracula', 'vegas', 'grand', 'expensive', 'fancy', 'veste', 'stud'], modifiable: true), Emoji(name: 'person with veil', char: '\u{1F470}', shortName: 'bride_with_veil', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['bride', 'veil', 'wedding', 'wedding', 'women', 'beautiful', 'las vegas', 'wife', 'dress', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'vegas'], modifiable: true), Emoji(name: 'pregnant woman', char: '\u{1F930}', shortName: 'pregnant_woman', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['pregnant', 'woman', 'women', 'baby', 'parent', 'wife', 'child', 'mom', 'woman', 'female', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'breast-feeding', char: '\u{1F931}', shortName: 'breast_feeding', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personRole, keywords: ['baby', 'breast', 'nursing', 'boobs', 'women', 'baby', 'parent', 'wife', 'mom', 'boob', 'tits', 'tit', 'breast', 'woman', 'female', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'baby angel', char: '\u{1F47C}', shortName: 'angel', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['angel', 'baby', 'face', 'fairy tale', 'fantasy', 'halloween', 'baby', 'christmas', 'pray', 'omg', 'jesus', 'fantasy', 'child', 'soul', 'samhain', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'navidad', 'xmas', 'noel', 'merry christmas', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'omfg', 'oh my god', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant'], modifiable: true), Emoji(name: 'Santa Claus', char: '\u{1F385}', shortName: 'santa', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Christmas', 'celebration', 'claus', 'father', 'santa', 'holidays', 'winter', 'christmas', 'santa', 'mustache', 'advent', 'beard', 'fantasy', 'holiday', 'navidad', 'xmas', 'noel', 'merry christmas', 'santa clause', 'santa claus'], modifiable: true), Emoji(name: 'Mrs. Claus', char: '\u{1F936}', shortName: 'mrs_claus', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Christmas', 'Mrs.', 'celebration', 'claus', 'mother', 'holidays', 'christmas', 'santa', 'advent', 'fantasy', 'holiday', 'navidad', 'xmas', 'noel', 'merry christmas', 'santa clause', 'santa claus'], modifiable: true), Emoji(name: 'superhero', char: '\u{1F9B8}', shortName: 'superhero', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['peace', 'halloween', '911', 'power', 'fame', 'super hero', 'costume', 'mask', 'fantasy', 'proud', 'peace out', 'peace sign', 'samhain', 'emergency', 'injury', 'famous', 'celebrity', 'superhero', 'superman', 'batman'], modifiable: true), Emoji(name: 'man superhero', char: '\u{1F9B8}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_superhero', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['peace', 'halloween', 'men', '911', 'power', 'daddy', 'fame', 'super hero', 'costume', 'mask', 'fantasy', 'proud', 'peace out', 'peace sign', 'samhain', 'man', 'guy', 'guys', 'gentleman', 'male', 'emergency', 'injury', 'dad', 'papa', 'pere', 'famous', 'celebrity', 'superhero', 'superman', 'batman'], modifiable: true), Emoji(name: 'woman superhero', char: '\u{1F9B8}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_superhero', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['peace', 'halloween', 'power', 'fame', 'super hero', 'costume', 'mask', 'fantasy', 'mom', 'proud', 'peace out', 'peace sign', 'samhain', 'famous', 'celebrity', 'superhero', 'superman', 'batman', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'supervillain', char: '\u{1F9B9}', shortName: 'supervillain', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['halloween', 'power', 'evil', 'fame', 'guilty', 'super hero', 'killer', 'costume', 'mask', 'fantasy', 'proud', 'greed', 'samhain', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'famous', 'celebrity', 'superhero', 'superman', 'batman', 'savage', 'scary clown', 'selfish'], modifiable: true), Emoji(name: 'man supervillain', char: '\u{1F9B9}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_supervillain', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['halloween', 'men', 'power', 'evil', 'fame', 'guilty', 'super hero', 'killer', 'costume', 'mask', 'fantasy', 'proud', 'greed', 'samhain', 'man', 'guy', 'guys', 'gentleman', 'male', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'famous', 'celebrity', 'superhero', 'superman', 'batman', 'savage', 'scary clown', 'selfish'], modifiable: true), Emoji(name: 'woman supervillain', char: '\u{1F9B9}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_supervillain', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['halloween', 'power', 'evil', 'fame', 'guilty', 'super hero', 'killer', 'costume', 'mask', 'fantasy', 'proud', 'greed', 'samhain', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'famous', 'celebrity', 'superhero', 'superman', 'batman', 'savage', 'scary clown', 'selfish'], modifiable: true), Emoji(name: 'mage', char: '\u{1F9D9}', shortName: 'mage', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['sorcerer', 'sorceress', 'witch', 'wizard', 'halloween', 'wizard', 'samhain', 'Sorcerer', 'Sorceress', 'witch'], modifiable: true), Emoji(name: 'man mage', char: '\u{1F9D9}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_mage', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['sorcerer', 'wizard', 'magic', 'beard', 'wizard', 'fantasy', 'spell', 'genie', 'magical', 'Sorcerer', 'Sorceress', 'witch'], modifiable: true), Emoji(name: 'woman mage', char: '\u{1F9D9}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_mage', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['sorceress', 'witch', 'halloween', 'magic', 'wizard', 'fantasy', 'samhain', 'spell', 'genie', 'magical', 'Sorcerer', 'Sorceress', 'witch'], modifiable: true), Emoji(name: 'fairy', char: '\u{1F9DA}', shortName: 'fairy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Oberon', 'Puck', 'Titania', 'halloween', 'samhain'], modifiable: true), Emoji(name: 'man fairy', char: '\u{1F9DA}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_fairy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Oberon', 'Puck', 'halloween', 'beautiful', 'magic', 'fantasy', 'samhain', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'spell', 'genie', 'magical'], modifiable: true), Emoji(name: 'woman fairy', char: '\u{1F9DA}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_fairy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Titania', 'halloween', 'beautiful', 'magic', 'fantasy', 'samhain', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'spell', 'genie', 'magical'], modifiable: true), Emoji(name: 'vampire', char: '\u{1F9DB}', shortName: 'vampire', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Dracula', 'undead', 'halloween', 'vampire', 'samhain', 'dracula'], modifiable: true), Emoji(name: 'man vampire', char: '\u{1F9DB}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_vampire', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Dracula', 'undead', 'halloween', 'vampire', 'fantasy', 'samhain', 'dracula'], modifiable: true), Emoji(name: 'woman vampire', char: '\u{1F9DB}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_vampire', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['undead', 'halloween', 'vampire', 'fantasy', 'samhain', 'dracula'], modifiable: true), Emoji(name: 'merperson', char: '\u{1F9DC}', shortName: 'merperson', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['mermaid', 'merman', 'merwoman', 'halloween', 'mermaid', 'samhain', 'merboy', 'mergirl', 'merman', 'merperson', 'selkie', 'undine', 'atargatis', 'siren'], modifiable: true), Emoji(name: 'merman', char: '\u{1F9DC}\u{200D}\u{2642}\u{FE0F}', shortName: 'merman', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['Triton', 'halloween', 'mermaid', 'fantasy', 'samhain', 'merboy', 'mergirl', 'merman', 'merperson', 'selkie', 'undine', 'atargatis', 'siren'], modifiable: true), Emoji(name: 'mermaid', char: '\u{1F9DC}\u{200D}\u{2640}\u{FE0F}', shortName: 'mermaid', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['merwoman', 'halloween', 'mermaid', 'fantasy', 'samhain', 'merboy', 'mergirl', 'merman', 'merperson', 'selkie', 'undine', 'atargatis', 'siren'], modifiable: true), Emoji(name: 'elf', char: '\u{1F9DD}', shortName: 'elf', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['halloween', 'christmas', 'legolas', 'samhain', 'navidad', 'xmas', 'noel', 'merry christmas'], modifiable: true), Emoji(name: 'man elf', char: '\u{1F9DD}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_elf', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['magical', 'halloween', 'christmas', 'magic', 'legolas', 'fantasy', 'samhain', 'navidad', 'xmas', 'noel', 'merry christmas', 'spell', 'genie', 'magical'], modifiable: true), Emoji(name: 'woman elf', char: '\u{1F9DD}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_elf', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['magical', 'halloween', 'christmas', 'magic', 'legolas', 'fantasy', 'samhain', 'navidad', 'xmas', 'noel', 'merry christmas', 'spell', 'genie', 'magical'], modifiable: true), Emoji(name: 'genie', char: '\u{1F9DE}', shortName: 'genie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['djinni', 'jinni']), Emoji(name: 'man genie', char: '\u{1F9DE}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_genie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['djinn', 'magic', 'djinni', 'fantasy', 'spell', 'genie', 'magical', 'jinni']), Emoji(name: 'woman genie', char: '\u{1F9DE}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_genie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['djinn', 'magic', 'djinni', 'fantasy', 'spell', 'genie', 'magical', 'jinni']), Emoji(name: 'zombie', char: '\u{1F9DF}', shortName: 'zombie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['halloween', 'monster', 'samhain', 'monsters', 'beast']), Emoji(name: 'man zombie', char: '\u{1F9DF}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_zombie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['undead', 'walking dead', 'halloween', 'monster', 'fantasy', 'samhain', 'monsters', 'beast']), Emoji(name: 'woman zombie', char: '\u{1F9DF}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_zombie', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personFantasy, keywords: ['undead', 'walking dead', 'halloween', 'monster', 'fantasy', 'samhain', 'monsters', 'beast']), Emoji(name: 'person getting massage', char: '\u{1F486}', shortName: 'person_getting_massage', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['face', 'massage', 'salon', 'girls night', 'pleased', 'yoga', 'calm', 'spa', 'ladies night', 'girls only', 'girlfriend', 'please', 'chill', 'confident', 'content', 'meditation', 'meditate', 'zen', 'om', 'aum', 'relax', 'sauna'], modifiable: true), Emoji(name: 'man getting massage', char: '\u{1F486}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_getting_face_massage', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['face', 'man', 'massage', 'men', 'yoga', 'calm', 'spa', 'man', 'guy', 'guys', 'gentleman', 'male', 'meditation', 'meditate', 'zen', 'om', 'aum', 'relax', 'sauna'], modifiable: true), Emoji(name: 'woman getting massage', char: '\u{1F486}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_getting_face_massage', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['face', 'massage', 'woman', 'women', 'girls night', 'yoga', 'calm', 'spa', 'mom', 'woman', 'female', 'ladies night', 'girls only', 'girlfriend', 'meditation', 'meditate', 'zen', 'om', 'aum', 'relax', 'sauna', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person getting haircut', char: '\u{1F487}', shortName: 'person_getting_haircut', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['barber', 'beauty', 'haircut', 'parlor'], modifiable: true), Emoji(name: 'man getting haircut', char: '\u{1F487}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_getting_haircut', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['haircut', 'man', 'men', 'daddy', 'man', 'guy', 'guys', 'gentleman', 'male', 'dad', 'papa', 'pere'], modifiable: true), Emoji(name: 'woman getting haircut', char: '\u{1F487}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_getting_haircut', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['haircut', 'woman', 'women', 'mom', 'woman', 'female', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person walking', char: '\u{1F6B6}', shortName: 'person_walking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['hike', 'walk', 'walking', 'sport', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout'], modifiable: true), Emoji(name: 'man walking', char: '\u{1F6B6}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_walking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['hike', 'man', 'walk', 'sport', 'men', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'man', 'guy', 'guys', 'gentleman', 'male'], modifiable: true), Emoji(name: 'woman walking', char: '\u{1F6B6}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_walking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['hike', 'walk', 'woman', 'sport', 'women', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'woman', 'female'], modifiable: true), Emoji(name: 'person standing', char: '\u{1F9CD}', shortName: 'person_standing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['parent', 'stand', 'parents', 'adult'], modifiable: true), Emoji(name: 'man standing', char: '\u{1F9CD}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_standing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['men', 'daddy', 'parent', 'stand', 'man', 'guy', 'guys', 'gentleman', 'male', 'dad', 'papa', 'pere', 'parents', 'adult'], modifiable: true), Emoji(name: 'woman standing', char: '\u{1F9CD}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_standing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['parent', 'wife', 'mom', 'stand', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'person kneeling', char: '\u{1F9CE}', shortName: 'person_kneeling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['sit', 'sitting', 'kneel', 'kneeling'], modifiable: true), Emoji(name: 'man kneeling', char: '\u{1F9CE}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_kneeling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['sit', 'sitting', 'kneel', 'kneeling'], modifiable: true), Emoji(name: 'woman kneeling', char: '\u{1F9CE}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_kneeling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['sit', 'sitting', 'kneel', 'kneeling'], modifiable: true), Emoji(name: 'person with white cane', char: '\u{1F9D1}\u{200D}\u{1F9AF}', shortName: 'person_with_white_cane', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'navigate', 'blind', 'probe', 'accessibility', 'disabled', 'disability', 'white cane'], modifiable: true), Emoji(name: 'man with white cane', char: '\u{1F468}\u{200D}\u{1F9AF}', shortName: 'man_with_probing_cane', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'navigate', 'blind', 'probe', 'accessibility', 'disabled', 'disability', 'white cane'], modifiable: true), Emoji(name: 'woman with white cane', char: '\u{1F469}\u{200D}\u{1F9AF}', shortName: 'woman_with_probing_cane', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'navigate', 'blind', 'probe', 'accessibility', 'disabled', 'disability', 'white cane'], modifiable: true), Emoji(name: 'person in motorized wheelchair', char: '\u{1F9D1}\u{200D}\u{1F9BC}', shortName: 'person_in_motorized_wheelchair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'accessibility', 'disabled', 'disability', 'wheelchair'], modifiable: true), Emoji(name: 'man in motorized wheelchair', char: '\u{1F468}\u{200D}\u{1F9BC}', shortName: 'man_in_motorized_wheelchair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'accessibility', 'disabled', 'disability', 'wheelchair'], modifiable: true), Emoji(name: 'woman in motorized wheelchair', char: '\u{1F469}\u{200D}\u{1F9BC}', shortName: 'woman_in_motorized_wheelchair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'accessibility', 'disabled', 'disability', 'wheelchair'], modifiable: true), Emoji(name: 'person in manual wheelchair', char: '\u{1F9D1}\u{200D}\u{1F9BD}', shortName: 'person_in_manual_wheelchair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'accessibility', 'disabled', 'disability', 'wheelchair'], modifiable: true), Emoji(name: 'man in manual wheelchair', char: '\u{1F468}\u{200D}\u{1F9BD}', shortName: 'man_in_manual_wheelchair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'accessibility', 'disabled', 'disability'], modifiable: true), Emoji(name: 'woman in manual wheelchair', char: '\u{1F469}\u{200D}\u{1F9BD}', shortName: 'woman_in_manual_wheelchair', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['handicap', 'accessibility', 'disabled', 'disability'], modifiable: true), Emoji(name: 'person running', char: '\u{1F3C3}', shortName: 'person_running', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['marathon', 'running', 'sport', 'boys night', 'run', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'guys night', 'running', 'jog', 'runner'], modifiable: true), Emoji(name: 'man running', char: '\u{1F3C3}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_running', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['man', 'marathon', 'racing', 'running', 'sport', 'men', 'boys night', 'run', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'man', 'guy', 'guys', 'gentleman', 'male', 'guys night', 'running', 'jog', 'runner'], modifiable: true), Emoji(name: 'woman running', char: '\u{1F3C3}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_running', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['marathon', 'racing', 'running', 'woman', 'sport', 'women', 'run', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'woman', 'female', 'running', 'jog', 'runner'], modifiable: true), Emoji(name: 'woman dancing', char: '\u{1F483}', shortName: 'dancer', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['dancing', 'woman', 'instruments', 'women', 'mexican', 'sexy', 'circus', 'beautiful', 'girls night', 'dance', 'hawaii', 'celebrate', 'disco', 'las vegas', 'fun', 'activity', 'dress', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'woman', 'female', 'mexico', 'cinco de mayo', 'español', 'circus tent', 'clown', 'clowns', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend', 'dancers', 'dancing', 'ballet', 'ballerina', 'dabbing', 'salsa', 'aloha', 'kawaii', 'maui', 'moana', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'vegas'], modifiable: true), Emoji(name: 'man dancing', char: '\u{1F57A}', shortName: 'man_dancing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['dance', 'man', 'instruments', 'men', 'boys night', 'dance', 'celebrate', 'disco', 'daddy', 'las vegas', 'fun', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'man', 'guy', 'guys', 'gentleman', 'male', 'guys night', 'dancers', 'dancing', 'ballet', 'ballerina', 'dabbing', 'salsa', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'dad', 'papa', 'pere', 'vegas'], modifiable: true), Emoji(name: 'person in suit levitating', char: '\u{1F574}', shortName: 'levitate', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['business', 'man', 'suit', 'halloween', 'men', 'job', 'business', 'sunglasses', 'google', 'detective', 'fame', 'gangster', 'super hero', 'vampire', 'las vegas', 'mystery', 'samhain', 'man', 'guy', 'guys', 'gentleman', 'male', 'profession', 'boss', 'shades', 'lunettes de soleil', 'sun glasses', 'famous', 'celebrity', 'thug', 'superhero', 'superman', 'batman', 'dracula', 'vegas'], modifiable: true), Emoji(name: 'people with bunny ears', char: '\u{1F46F}', shortName: 'people_with_bunny_ears_partying', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['bunny ear', 'dancer', 'partying', 'instruments', 'silly', 'halloween', 'japan', 'sexy', 'girls night', 'boys night', 'dance', 'easter', 'porn', 'las vegas', 'fun', 'crazy', 'playboy', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'funny', 'samhain', 'japanese', 'ninja', 'ladies night', 'girls only', 'girlfriend', 'guys night', 'dancers', 'dancing', 'ballet', 'ballerina', 'dabbing', 'salsa', 'vegas', 'weird', 'awkward', 'insane', 'wild', 'play boy']), Emoji(name: 'men with bunny ears', char: '\u{1F46F}\u{200D}\u{2642}\u{FE0F}', shortName: 'men_with_bunny_ears_partying', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['bunny ear', 'dancer', 'men', 'partying', 'instruments', 'silly', 'halloween', 'men', 'japan', 'girls night', 'boys night', 'dance', 'queen', 'las vegas', 'fun', 'crazy', 'playboy', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'funny', 'samhain', 'man', 'guy', 'guys', 'gentleman', 'male', 'japanese', 'ninja', 'ladies night', 'girls only', 'girlfriend', 'guys night', 'dancers', 'dancing', 'ballet', 'ballerina', 'dabbing', 'salsa', 'king', 'prince', 'princess', 'vegas', 'weird', 'awkward', 'insane', 'wild', 'play boy']), Emoji(name: 'women with bunny ears', char: '\u{1F46F}\u{200D}\u{2640}\u{FE0F}', shortName: 'women_with_bunny_ears_partying', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['bunny ear', 'dancer', 'partying', 'women', 'instruments', 'women', 'halloween', 'japan', 'girls night', 'boys night', 'las vegas', 'playboy', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'woman', 'female', 'samhain', 'japanese', 'ninja', 'ladies night', 'girls only', 'girlfriend', 'guys night', 'vegas', 'play boy']), Emoji(name: 'person in steamy room', char: '\u{1F9D6}', shortName: 'person_in_steamy_room', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['hot', 'steam', 'spa', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'steaming', 'piping', 'relax', 'sauna'], modifiable: true), Emoji(name: 'man in steamy room', char: '\u{1F9D6}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_in_steamy_room', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['sauna', 'steam room', 'hot', 'steam', 'spa', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'steaming', 'piping', 'relax', 'sauna'], modifiable: true), Emoji(name: 'woman in steamy room', char: '\u{1F9D6}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_in_steamy_room', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['sauna', 'steam room', 'women', 'hot', 'steam', 'spa', 'woman', 'female', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'steaming', 'piping', 'relax', 'sauna'], modifiable: true), Emoji(name: 'person climbing', char: '\u{1F9D7}', shortName: 'person_climbing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['climber', 'sport', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout'], modifiable: true), Emoji(name: 'man climbing', char: '\u{1F9D7}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_climbing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['climber', 'sport', 'activity', 'rock climbing', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'climber'], modifiable: true), Emoji(name: 'woman climbing', char: '\u{1F9D7}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_climbing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personActivity, keywords: ['climber', 'sport', 'activity', 'rock climbing', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'climber'], modifiable: true), Emoji(name: 'person fencing', char: '\u{1F93A}', shortName: 'person_fencing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['fencer', 'fencing', 'sword', 'sport', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout']), Emoji(name: 'horse racing', char: '\u{1F3C7}', shortName: 'horse_racing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['horse', 'jockey', 'racehorse', 'racing', 'sport', 'horse racing', 'las vegas', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'horseback riding', 'horse and rider', 'horses', 'horseshoe', 'pony', 'vegas'], modifiable: true), Emoji(name: 'skier', char: '\u{26F7}', shortName: 'skier', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ski', 'snow', 'sport', 'winter', 'vacation', 'cold', 'skiing', 'paris', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'ski', 'snow skiing', 'ski boot', 'french', 'france']), Emoji(name: 'snowboarder', char: '\u{1F3C2}', shortName: 'snowboarder', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ski', 'snow', 'snowboard', 'sport', 'winter', 'vacation', 'cold', 'snowboarding', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'snowboarder'], modifiable: true), Emoji(name: 'person golfing', char: '\u{1F3CC}', shortName: 'person_golfing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ball', 'golf', 'sport', 'ball', 'vacation', 'golf', 'play', 'florida', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon', 'golfing', 'golfer'], modifiable: true), Emoji(name: 'man golfing', char: '\u{1F3CC}\u{FE0F}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_golfing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['golf', 'man', 'sport', 'golf', 'play', 'florida', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'golfing', 'golfer'], modifiable: true), Emoji(name: 'woman golfing', char: '\u{1F3CC}\u{FE0F}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_golfing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['golf', 'woman', 'sport', 'ball', 'golf', 'play', 'florida', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon', 'golfing', 'golfer'], modifiable: true), Emoji(name: 'person surfing', char: '\u{1F3C4}', shortName: 'person_surfing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['surfing', 'sport', 'tropical', 'vacation', 'hawaii', 'california', 'florida', 'fun', 'summer', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'aloha', 'kawaii', 'maui', 'moana', 'weekend'], modifiable: true), Emoji(name: 'man surfing', char: '\u{1F3C4}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_surfing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['man', 'surfing', 'sport', 'hawaii', 'florida', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'aloha', 'kawaii', 'maui', 'moana'], modifiable: true), Emoji(name: 'woman surfing', char: '\u{1F3C4}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_surfing', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['surfing', 'woman', 'sport', 'tropical', 'hawaii', 'florida', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'aloha', 'kawaii', 'maui', 'moana'], modifiable: true), Emoji(name: 'person rowing boat', char: '\u{1F6A3}', shortName: 'person_rowing_boat', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['boat', 'rowboat', 'sport', 'rowing', 'hawaii', 'scuba', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'rowboat', 'canoe', 'aloha', 'kawaii', 'maui', 'moana', 'snorkel'], modifiable: true), Emoji(name: 'man rowing boat', char: '\u{1F6A3}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_rowing_boat', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['boat', 'man', 'rowboat', 'sport', 'rowing', 'hawaii', 'scuba', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'rowboat', 'canoe', 'aloha', 'kawaii', 'maui', 'moana', 'snorkel'], modifiable: true), Emoji(name: 'woman rowing boat', char: '\u{1F6A3}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_rowing_boat', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['boat', 'rowboat', 'woman', 'sport', 'rowing', 'hawaii', 'scuba', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'rowboat', 'canoe', 'aloha', 'kawaii', 'maui', 'moana', 'snorkel'], modifiable: true), Emoji(name: 'person swimming', char: '\u{1F3CA}', shortName: 'person_swimming', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['swim', 'sport', 'swim', 'scuba', 'summer', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'swimming', 'swimmer', 'snorkel', 'weekend'], modifiable: true), Emoji(name: 'man swimming', char: '\u{1F3CA}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_swimming', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['man', 'swim', 'sport', 'swim', 'scuba', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'swimming', 'swimmer', 'snorkel'], modifiable: true), Emoji(name: 'woman swimming', char: '\u{1F3CA}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_swimming', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['swim', 'woman', 'sport', 'swim', 'scuba', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'swimming', 'swimmer', 'snorkel'], modifiable: true), Emoji(name: 'person bouncing ball', char: '\u{26F9}', shortName: 'person_bouncing_ball', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ball', 'sport', 'ball', 'basketball', 'play', 'fame', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon', 'famous', 'celebrity'], modifiable: true), Emoji(name: 'man bouncing ball', char: '\u{26F9}\u{FE0F}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_bouncing_ball', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ball', 'man', 'sport', 'ball', 'basketball', 'play', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'woman bouncing ball', char: '\u{26F9}\u{FE0F}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_bouncing_ball', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ball', 'woman', 'sport', 'basketball', 'play', 'fun', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout'], modifiable: true), Emoji(name: 'person lifting weights', char: '\u{1F3CB}', shortName: 'person_lifting_weights', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['lifter', 'weight', 'sport', 'flex', 'weight lifting', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'strong', 'weight lifter'], modifiable: true), Emoji(name: 'man lifting weights', char: '\u{1F3CB}\u{FE0F}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_lifting_weights', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['man', 'weight lifter', 'sport', 'flex', 'weight lifting', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'strong', 'weight lifter'], modifiable: true), Emoji(name: 'woman lifting weights', char: '\u{1F3CB}\u{FE0F}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_lifting_weights', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['weight lifter', 'woman', 'sport', 'flex', 'weight lifting', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'strong', 'weight lifter'], modifiable: true), Emoji(name: 'person biking', char: '\u{1F6B4}', shortName: 'person_biking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['bicycle', 'biking', 'cyclist', 'sport', 'bike', 'fame', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'bikes', 'bicycle', 'bicycling', 'famous', 'celebrity'], modifiable: true), Emoji(name: 'man biking', char: '\u{1F6B4}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_biking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['bicycle', 'biking', 'cyclist', 'man', 'sport', 'bike', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'bikes', 'bicycle', 'bicycling'], modifiable: true), Emoji(name: 'woman biking', char: '\u{1F6B4}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_biking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['bicycle', 'biking', 'cyclist', 'woman', 'sport', 'bike', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'bikes', 'bicycle', 'bicycling'], modifiable: true), Emoji(name: 'person mountain biking', char: '\u{1F6B5}', shortName: 'person_mountain_biking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['bicycle', 'bicyclist', 'bike', 'cyclist', 'mountain', 'sport', 'bike', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'bikes', 'bicycle', 'bicycling'], modifiable: true), Emoji(name: 'man mountain biking', char: '\u{1F6B5}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_mountain_biking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['bicycle', 'bike', 'cyclist', 'man', 'mountain', 'sport', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout'], modifiable: true), Emoji(name: 'woman mountain biking', char: '\u{1F6B5}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_mountain_biking', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['bicycle', 'bike', 'biking', 'cyclist', 'mountain', 'woman', 'sport', 'bike', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'bikes', 'bicycle', 'bicycling'], modifiable: true), Emoji(name: 'person cartwheeling', char: '\u{1F938}', shortName: 'person_doing_cartwheel', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['cartwheel', 'gymnastics', 'sport', 'circus', 'gymnast', 'yoga', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'circus tent', 'clown', 'clowns', 'gymnastics', 'meditation', 'meditate', 'zen', 'om', 'aum'], modifiable: true), Emoji(name: 'man cartwheeling', char: '\u{1F938}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_cartwheeling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['cartwheel', 'gymnastics', 'man', 'sport', 'circus', 'gymnast', 'yoga', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'circus tent', 'clown', 'clowns', 'gymnastics', 'meditation', 'meditate', 'zen', 'om', 'aum'], modifiable: true), Emoji(name: 'woman cartwheeling', char: '\u{1F938}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_cartwheeling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['cartwheel', 'gymnastics', 'woman', 'sport', 'circus', 'gymnast', 'yoga', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'circus tent', 'clown', 'clowns', 'gymnastics', 'meditation', 'meditate', 'zen', 'om', 'aum'], modifiable: true), Emoji(name: 'people wrestling', char: '\u{1F93C}', shortName: 'people_wrestling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['wrestle', 'wrestler', 'sport', 'fight', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout']), Emoji(name: 'men wrestling', char: '\u{1F93C}\u{200D}\u{2642}\u{FE0F}', shortName: 'men_wrestling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['men', 'wrestle', 'sport', 'fight', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout']), Emoji(name: 'women wrestling', char: '\u{1F93C}\u{200D}\u{2640}\u{FE0F}', shortName: 'women_wrestling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['women', 'wrestle', 'sport', 'fight', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout']), Emoji(name: 'person playing water polo', char: '\u{1F93D}', shortName: 'person_playing_water_polo', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['polo', 'water', 'sport', 'ball', 'play', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'man playing water polo', char: '\u{1F93D}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_playing_water_polo', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['man', 'water polo', 'sport', 'ball', 'play', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'woman playing water polo', char: '\u{1F93D}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_playing_water_polo', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['water polo', 'woman', 'sport', 'ball', 'play', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'person playing handball', char: '\u{1F93E}', shortName: 'person_playing_handball', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['ball', 'handball', 'sport', 'ball', 'volley ball', 'play', 'jump', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'man playing handball', char: '\u{1F93E}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_playing_handball', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['handball', 'man', 'sport', 'ball', 'volley ball', 'play', 'throw', 'jump', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'woman playing handball', char: '\u{1F93E}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_playing_handball', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['handball', 'woman', 'sport', 'ball', 'volley ball', 'play', 'throw', 'jump', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'balls', 'ballon'], modifiable: true), Emoji(name: 'person juggling', char: '\u{1F939}', shortName: 'person_juggling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['balance', 'juggle', 'multitask', 'skill', 'ball', 'circus', 'balls', 'ballon', 'circus tent', 'clown', 'clowns'], modifiable: true), Emoji(name: 'man juggling', char: '\u{1F939}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_juggling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['juggling', 'man', 'multitask', 'ball', 'circus', 'throw', 'activity', 'balls', 'ballon', 'circus tent', 'clown', 'clowns'], modifiable: true), Emoji(name: 'woman juggling', char: '\u{1F939}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_juggling', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSport, keywords: ['juggling', 'multitask', 'woman', 'ball', 'circus', 'throw', 'activity', 'balls', 'ballon', 'circus tent', 'clown', 'clowns'], modifiable: true), Emoji(name: 'person in lotus position', char: '\u{1F9D8}', shortName: 'person_in_lotus_position', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personResting, keywords: ['sport', 'yoga', 'spa', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'meditation', 'meditate', 'zen', 'om', 'aum', 'relax', 'sauna'], modifiable: true), Emoji(name: 'man in lotus position', char: '\u{1F9D8}\u{200D}\u{2642}\u{FE0F}', shortName: 'man_in_lotus_position', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personResting, keywords: ['meditation', 'yoga', 'sport', 'yoga', 'activity', 'spa', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'meditation', 'meditate', 'zen', 'om', 'aum', 'relax', 'sauna'], modifiable: true), Emoji(name: 'woman in lotus position', char: '\u{1F9D8}\u{200D}\u{2640}\u{FE0F}', shortName: 'woman_in_lotus_position', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personResting, keywords: ['meditation', 'yoga', 'sport', 'women', 'yoga', 'activity', 'spa', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'woman', 'female', 'meditation', 'meditate', 'zen', 'om', 'aum', 'relax', 'sauna'], modifiable: true), Emoji(name: 'person taking bath', char: '\u{1F6C0}', shortName: 'bath', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personResting, keywords: ['bath', 'bathtub', 'bathroom', 'steam', 'clean', 'wash', 'spa', 'steaming', 'piping', 'shower', 'bathe', 'bathing', 'relax', 'sauna'], modifiable: true), Emoji(name: 'person in bed', char: '\u{1F6CC}', shortName: 'sleeping_accommodation', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personResting, keywords: ['hotel', 'sleep', 'tired', 'lazy', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted'], modifiable: true), Emoji(name: 'people holding hands', char: '\u{1F9D1}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}', shortName: 'people_holding_hands', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['wedding', 'lesbian', 'gay', 'lgbt', 'friend', 'parent', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'homosexual', 'bisex', 'friends', 'friendship', 'best friends', 'bestfriends', 'parents', 'adult'], modifiable: true), Emoji(name: 'women holding hands', char: '\u{1F46D}', shortName: 'two_women_holding_hands', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'hand', 'hold', 'woman', 'family', 'wedding', 'lesbian', 'gay', 'women', 'lgbt', 'girls night', 'friend', 'human', 'porn', 'parent', 'wife', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'woman', 'female', 'homosexual', 'bisex', 'ladies night', 'girls only', 'girlfriend', 'friends', 'friendship', 'best friends', 'bestfriends', 'gender', 'people', 'parents', 'adult', 'maman', 'mommy', 'mama'], modifiable: true), Emoji(name: 'woman and man holding hands', char: '\u{1F46B}', shortName: 'couple', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'hand', 'hold', 'man', 'woman', 'family', 'wedding', 'creationism', 'friend', 'human', 'porn', 'parent', 'wife', 'husband', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'adam & eve', 'adam and eve', 'friends', 'friendship', 'best friends', 'bestfriends', 'gender', 'people', 'parents', 'adult'], modifiable: true), Emoji(name: 'men holding hands', char: '\u{1F46C}', shortName: 'two_men_holding_hands', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['Gemini', 'couple', 'hand', 'hold', 'man', 'twins', 'zodiac', 'family', 'wedding', 'gay', 'men', 'lgbt', 'friend', 'queen', 'human', 'daddy', 'porn', 'parent', 'husband', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'homosexual', 'bisex', 'friends', 'friendship', 'best friends', 'bestfriends', 'king', 'prince', 'princess', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult'], modifiable: true), Emoji(name: 'kiss', char: '\u{1F48F}', shortName: 'couplekiss', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'wedding', 'love', 'sex', 'hug', 'lgbt', 'pink', 'kisses', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'fuck', 'fucking', 'horny', 'humping', 'embrace', 'hugs', 'homosexual', 'bisex', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'kiss: woman, man', char: '\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}', shortName: 'kiss_woman_man', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'man', 'woman', 'wedding', 'love', 'kisses', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'kiss: man, man', char: '\u{1F468}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}', shortName: 'kiss_mm', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'man', 'wedding', 'gay', 'men', 'love', 'sex', 'hug', 'lgbt', 'pink', 'kisses', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'fuck', 'fucking', 'horny', 'humping', 'embrace', 'hugs', 'homosexual', 'bisex', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'kiss: woman, woman', char: '\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}', shortName: 'kiss_ww', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'woman', 'wedding', 'lesbian', 'gay', 'women', 'love', 'sex', 'hug', 'lgbt', 'pink', 'kisses', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'woman', 'female', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'fuck', 'fucking', 'horny', 'humping', 'embrace', 'hugs', 'homosexual', 'bisex', 'bisous', 'beijos', 'besos', 'bise', 'blowing kisses', 'kissy']), Emoji(name: 'couple with heart', char: '\u{1F491}', shortName: 'couple_with_heart', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'love', 'wedding', 'love', 'sex', 'lgbt', 'pink', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'fuck', 'fucking', 'horny', 'humping', 'homosexual', 'bisex']), Emoji(name: 'couple with heart: woman, man', char: '\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}', shortName: 'couple_with_heart_woman_man', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'love', 'man', 'woman', 'wedding', 'love', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey']), Emoji(name: 'couple with heart: man, man', char: '\u{1F468}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}', shortName: 'couple_mm', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'love', 'man', 'wedding', 'gay', 'men', 'love', 'sex', 'hug', 'lgbt', 'pink', 'husband', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'fuck', 'fucking', 'horny', 'humping', 'embrace', 'hugs', 'homosexual', 'bisex']), Emoji(name: 'couple with heart: woman, woman', char: '\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}', shortName: 'couple_ww', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['couple', 'love', 'woman', 'wedding', 'lesbian', 'gay', 'women', 'love', 'sex', 'lgbt', 'pink', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'twink', 'woman', 'female', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'fuck', 'fucking', 'horny', 'humping', 'homosexual', 'bisex']), Emoji(name: 'family', char: '\u{1F46A}', shortName: 'family', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'family', 'christmas', 'lgbt', 'human', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'navidad', 'xmas', 'noel', 'merry christmas', 'homosexual', 'bisex', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, woman, boy', char: '\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F466}', shortName: 'family_man_woman_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'man', 'woman', 'daddy', 'parent', 'wife', 'husband', 'mom', 'dad', 'papa', 'pere', 'parents', 'adult', 'maman', 'mommy', 'mama']), Emoji(name: 'family: man, woman, girl', char: '\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F467}', shortName: 'family_mwg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'man', 'woman', 'family', 'human', 'daddy', 'parent', 'wife', 'husband', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: man, woman, girl, boy', char: '\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F466}', shortName: 'family_mwgb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'girl', 'man', 'woman', 'family', 'human', 'daddy', 'parent', 'wife', 'husband', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: man, woman, boy, boy', char: '\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F466}\u{200D}\u{1F466}', shortName: 'family_mwbb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'man', 'woman', 'family', 'human', 'daddy', 'parent', 'wife', 'husband', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: man, woman, girl, girl', char: '\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F467}', shortName: 'family_mwgg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'man', 'woman', 'family', 'human', 'daddy', 'parent', 'wife', 'husband', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: man, man, boy', char: '\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F466}', shortName: 'family_mmb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'man', 'family', 'gay', 'men', 'lgbt', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'homosexual', 'bisex', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, man, girl', char: '\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F467}', shortName: 'family_mmg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'man', 'family', 'gay', 'men', 'lgbt', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'homosexual', 'bisex', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, man, girl, boy', char: '\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F466}', shortName: 'family_mmgb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'girl', 'man', 'family', 'gay', 'men', 'lgbt', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'homosexual', 'bisex', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, man, boy, boy', char: '\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F466}\u{200D}\u{1F466}', shortName: 'family_mmbb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'man', 'family', 'gay', 'men', 'lgbt', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'homosexual', 'bisex', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, man, girl, girl', char: '\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F467}', shortName: 'family_mmgg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'man', 'family', 'gay', 'men', 'lgbt', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'man', 'guy', 'guys', 'gentleman', 'male', 'homosexual', 'bisex', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: woman, woman, boy', char: '\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F466}', shortName: 'family_wwb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'woman', 'family', 'lesbian', 'gay', 'women', 'lgbt', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'woman', 'female', 'homosexual', 'bisex', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, woman, girl', char: '\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F467}', shortName: 'family_wwg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'woman', 'family', 'lesbian', 'gay', 'women', 'lgbt', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'woman', 'female', 'homosexual', 'bisex', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, woman, girl, boy', char: '\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F466}', shortName: 'family_wwgb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'girl', 'woman', 'family', 'lesbian', 'gay', 'women', 'lgbt', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'woman', 'female', 'homosexual', 'bisex', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, woman, boy, boy', char: '\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F466}\u{200D}\u{1F466}', shortName: 'family_wwbb', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'woman', 'family', 'lesbian', 'gay', 'women', 'lgbt', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'woman', 'female', 'homosexual', 'bisex', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, woman, girl, girl', char: '\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F467}', shortName: 'family_wwgg', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'woman', 'family', 'lesbian', 'gay', 'women', 'lgbt', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'twink', 'woman', 'female', 'homosexual', 'bisex', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: man, boy', char: '\u{1F468}\u{200D}\u{1F466}', shortName: 'family_man_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'man', 'family', 'men', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, boy, boy', char: '\u{1F468}\u{200D}\u{1F466}\u{200D}\u{1F466}', shortName: 'family_man_boy_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'man', 'family', 'men', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, girl', char: '\u{1F468}\u{200D}\u{1F467}', shortName: 'family_man_girl', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'man', 'family', 'men', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, girl, boy', char: '\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F466}', shortName: 'family_man_girl_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'girl', 'man', 'family', 'men', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: man, girl, girl', char: '\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F467}', shortName: 'family_man_girl_girl', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'man', 'family', 'men', 'human', 'daddy', 'parent', 'husband', 'child', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people', 'dad', 'papa', 'pere', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'family: woman, boy', char: '\u{1F469}\u{200D}\u{1F466}', shortName: 'family_woman_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'woman', 'family', 'women', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'woman', 'female', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, boy, boy', char: '\u{1F469}\u{200D}\u{1F466}\u{200D}\u{1F466}', shortName: 'family_woman_boy_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'woman', 'family', 'women', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'woman', 'female', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, girl', char: '\u{1F469}\u{200D}\u{1F467}', shortName: 'family_woman_girl', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'woman', 'family', 'women', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'woman', 'female', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, girl, boy', char: '\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F466}', shortName: 'family_woman_girl_boy', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['boy', 'family', 'girl', 'woman', 'family', 'women', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'woman', 'female', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'family: woman, girl, girl', char: '\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F467}', shortName: 'family_woman_girl_girl', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.family, keywords: ['family', 'girl', 'woman', 'family', 'women', 'human', 'parent', 'wife', 'child', 'mom', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'woman', 'female', 'gender', 'people', 'parents', 'adult', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant', 'maman', 'mommy', 'mama']), Emoji(name: 'speaking head', char: '\u{1F5E3}', shortName: 'speaking_head', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSymbol, keywords: ['face', 'head', 'silhouette', 'speak', 'speaking', 'talk', 'sound', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'bust in silhouette', char: '\u{1F464}', shortName: 'bust_in_silhouette', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSymbol, keywords: ['bust', 'silhouette', 'facebook', 'fame', 'famous', 'celebrity']), Emoji(name: 'busts in silhouette', char: '\u{1F465}', shortName: 'busts_in_silhouette', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSymbol, keywords: ['bust', 'silhouette', 'magnet', 'facebook', 'network']), Emoji(name: 'footprints', char: '\u{1F463}', shortName: 'footprints', emojiGroup: EmojiGroup.peopleBody, emojiSubgroup: EmojiSubgroup.personSymbol, keywords: ['clothing', 'footprint', 'print', 'baby', 'paws', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino']), Emoji(name: 'red hair', char: '\u{1F9B0}', shortName: 'red_haired', emojiGroup: EmojiGroup.component, emojiSubgroup: EmojiSubgroup.hairStyle, keywords: ['body', 'hair', 'ginger', 'body part']), Emoji(name: 'curly hair', char: '\u{1F9B1}', shortName: 'curly_haired', emojiGroup: EmojiGroup.component, emojiSubgroup: EmojiSubgroup.hairStyle, keywords: ['body', 'hair', 'body part']), Emoji(name: 'white hair', char: '\u{1F9B3}', shortName: 'white_haired', emojiGroup: EmojiGroup.component, emojiSubgroup: EmojiSubgroup.hairStyle, keywords: ['body', 'hair', 'grey hair', 'body part', 'silver hair']), Emoji(name: 'bald', char: '\u{1F9B2}', shortName: 'bald', emojiGroup: EmojiGroup.component, emojiSubgroup: EmojiSubgroup.hairStyle, keywords: ['body', 'shaved head', 'body part']), Emoji(name: 'monkey face', char: '\u{1F435}', shortName: 'monkey_face', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'monkey', 'animal', 'monkey', 'animals', 'animal kingdom', 'progi', 'ape', 'primate']), Emoji(name: 'monkey', char: '\u{1F412}', shortName: 'monkey', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['monkey', 'animal', 'wildlife', 'monkey', 'forest', 'pokemon', 'animals', 'animal kingdom', 'progi', 'ape', 'primate', 'rainforest']), Emoji(name: 'gorilla', char: '\u{1F98D}', shortName: 'gorilla', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['gorilla', 'animal', 'wildlife', 'forest', 'pokemon', 'animals', 'animal kingdom', 'rainforest']), Emoji(name: 'orangutan', char: '\u{1F9A7}', shortName: 'orangutan', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'monkey', 'animals', 'animal kingdom', 'progi', 'ape', 'primate']), Emoji(name: 'dog face', char: '\u{1F436}', shortName: 'dog', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['dog', 'face', 'pet', 'animal', 'dog', 'pug', 'bingo', 'bitch', 'pets', 'pokemon', 'minecraft', 'animals', 'animal kingdom', 'puppy', 'doggy', 'memes', 'dogs', 'perro', 'puppies', 'chien', 'pugs', 'puta', 'pute']), Emoji(name: 'dog', char: '\u{1F415}', shortName: 'dog2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['pet', 'animal', 'dog', 'japan', 'pug', 'bingo', 'bitch', 'farm', 'pets', 'pokemon', 'minecraft', 'hunt', 'animals', 'animal kingdom', 'puppy', 'doggy', 'memes', 'dogs', 'perro', 'puppies', 'chien', 'japanese', 'ninja', 'pugs', 'puta', 'pute']), Emoji(name: 'guide dog', char: '\u{1F9AE}', shortName: 'guide_dog', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'dog', 'handicap', 'pets', 'blind', 'animals', 'animal kingdom', 'puppy', 'doggy', 'memes', 'dogs', 'perro', 'puppies', 'chien', 'disabled', 'disability']), Emoji(name: 'service dog', char: '\u{1F415}\u{200D}\u{1F9BA}', shortName: 'service_dog', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'handicap', 'pets', 'blind', 'animals', 'animal kingdom', 'disabled', 'disability']), Emoji(name: 'poodle', char: '\u{1F429}', shortName: 'poodle', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['dog', 'animal', 'dog', 'pink', 'paris', 'bitch', 'pets', 'animals', 'animal kingdom', 'puppy', 'doggy', 'memes', 'dogs', 'perro', 'puppies', 'chien', 'french', 'france', 'puta', 'pute']), Emoji(name: 'wolf', char: '\u{1F43A}', shortName: 'wolf', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'wolf', 'animal', 'wildlife', 'roar', 'forest', 'pokemon', 'minecraft', 'animals', 'animal kingdom', 'rawr', 'rainforest']), Emoji(name: 'fox', char: '\u{1F98A}', shortName: 'fox', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'fox', 'animal', 'wildlife', 'forest', 'animals', 'animal kingdom', 'rainforest']), Emoji(name: 'raccoon', char: '\u{1F99D}', shortName: 'raccoon', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'animals', 'animal kingdom']), Emoji(name: 'cat face', char: '\u{1F431}', shortName: 'cat', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['cat', 'face', 'pet', 'animal', 'halloween', 'cat', 'vagina', 'pussy', 'glitter', 'pets', 'pokemon', 'porn', 'animals', 'animal kingdom', 'samhain', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'condom']), Emoji(name: 'cat', char: '\u{1F408}', shortName: 'cat2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['pet', 'animal', 'halloween', 'cat', 'pussy', 'grass', 'farm', 'pets', 'pokemon', 'porn', 'animals', 'animal kingdom', 'samhain', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'condom']), Emoji(name: 'lion', char: '\u{1F981}', shortName: 'lion_face', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['Leo', 'face', 'lion', 'zodiac', 'animal', 'wildlife', 'roar', 'cat', 'england', 'forest', 'animals', 'animal kingdom', 'rawr', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'united kingdom', 'london', 'uk', 'rainforest']), Emoji(name: 'tiger face', char: '\u{1F42F}', shortName: 'tiger', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'tiger', 'animal', 'wildlife', 'roar', 'cat', 'forest', 'animals', 'animal kingdom', 'rawr', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'rainforest']), Emoji(name: 'tiger', char: '\u{1F405}', shortName: 'tiger2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['tiger', 'animal', 'wildlife', 'roar', 'cat', 'forest', 'pokemon', 'animals', 'animal kingdom', 'rawr', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'rainforest']), Emoji(name: 'leopard', char: '\u{1F406}', shortName: 'leopard', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['leopard', 'animal', 'wildlife', 'roar', 'cat', 'forest', 'animals', 'animal kingdom', 'rawr', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'rainforest']), Emoji(name: 'horse face', char: '\u{1F434}', shortName: 'horse', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'horse', 'animal', 'wildlife', 'horse racing', 'donkey', 'farm', 'pets', 'pokemon', 'texas', 'minecraft', 'horse', 'animals', 'animal kingdom', 'horseback riding', 'horse and rider', 'horses', 'horseshoe', 'pony', 'poney']), Emoji(name: 'horse', char: '\u{1F40E}', shortName: 'racehorse', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['equestrian', 'racehorse', 'racing', 'animal', 'wildlife', 'horse racing', 'donkey', 'farm', 'pets', 'pokemon', 'texas', 'viking', 'horse', 'animals', 'animal kingdom', 'horseback riding', 'horse and rider', 'horses', 'horseshoe', 'pony', 'poney', 'knight']), Emoji(name: 'unicorn', char: '\u{1F984}', shortName: 'unicorn', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'unicorn', 'animal', 'halloween', 'emojione', 'hug', 'unicorn', 'pink', 'facebook', 'dream', 'pokemon', 'fantasy', 'animals', 'animal kingdom', 'samhain', 'emoji one', 'embrace', 'hugs', 'unicorns', 'onesie', 'dreams']), Emoji(name: 'zebra', char: '\u{1F993}', shortName: 'zebra', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['stripe', 'animal', 'wildlife', 'horse', 'animals', 'animal kingdom']), Emoji(name: 'deer', char: '\u{1F98C}', shortName: 'deer', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['deer', 'animal', 'wildlife', 'christmas', 'raindeer', 'forest', 'hunt', 'animals', 'animal kingdom', 'navidad', 'xmas', 'noel', 'merry christmas', 'moose', 'rudolph', 'rainforest']), Emoji(name: 'cow face', char: '\u{1F42E}', shortName: 'cow', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['cow', 'face', 'animal', 'farm', 'texas', 'minecraft', 'animals', 'animal kingdom']), Emoji(name: 'ox', char: '\u{1F402}', shortName: 'ox', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['Taurus', 'bull', 'zodiac', 'animal', 'farm', 'texas', 'animals', 'animal kingdom']), Emoji(name: 'water buffalo', char: '\u{1F403}', shortName: 'water_buffalo', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['buffalo', 'water', 'animal', 'wildlife', 'scotland', 'animals', 'animal kingdom', 'scottish']), Emoji(name: 'cow', char: '\u{1F404}', shortName: 'cow2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['cow', 'animal', 'farm', 'texas', 'animals', 'animal kingdom']), Emoji(name: 'pig face', char: '\u{1F437}', shortName: 'pig', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'pig', 'animal', 'pig', 'farm', 'guinea pig', 'pets', 'minecraft', 'animals', 'animal kingdom', 'pork']), Emoji(name: 'pig', char: '\u{1F416}', shortName: 'pig2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['sow', 'animal', 'pink', 'pig', 'farm', 'guinea pig', 'pets', 'minecraft', 'animals', 'animal kingdom', 'pork']), Emoji(name: 'boar', char: '\u{1F417}', shortName: 'boar', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['pig', 'animal', 'wildlife', 'pig', 'farm', 'forest', 'guinea pig', 'hunt', 'animals', 'animal kingdom', 'pork', 'rainforest']), Emoji(name: 'pig nose', char: '\u{1F43D}', shortName: 'pig_nose', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'nose', 'pig', 'animal', 'pig', 'guinea pig', 'pets', 'animals', 'animal kingdom', 'pork']), Emoji(name: 'ram', char: '\u{1F40F}', shortName: 'ram', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['Aries', 'male', 'sheep', 'zodiac', 'animal', 'wildlife', 'farm', 'sheep', 'animals', 'animal kingdom']), Emoji(name: 'ewe', char: '\u{1F411}', shortName: 'sheep', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['female', 'sheep', 'animal', 'farm', 'lamb', 'sheep', 'animals', 'animal kingdom']), Emoji(name: 'goat', char: '\u{1F410}', shortName: 'goat', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['Capricorn', 'zodiac', 'animal', 'farm', 'animals', 'animal kingdom']), Emoji(name: 'camel', char: '\u{1F42A}', shortName: 'dromedary_camel', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['dromedary', 'hump', 'animal', 'wildlife', 'animals', 'animal kingdom']), Emoji(name: 'two-hump camel', char: '\u{1F42B}', shortName: 'camel', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['bactrian', 'camel', 'hump', 'animal', 'wildlife', 'hump day', 'animals', 'animal kingdom']), Emoji(name: 'llama', char: '\u{1F999}', shortName: 'llama', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'animals', 'animal kingdom']), Emoji(name: 'giraffe', char: '\u{1F992}', shortName: 'giraffe', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['spots', 'animal', 'wildlife', 'animals', 'animal kingdom']), Emoji(name: 'elephant', char: '\u{1F418}', shortName: 'elephant', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['elephant', 'animal', 'wildlife', 'animals', 'animal kingdom']), Emoji(name: 'rhinoceros', char: '\u{1F98F}', shortName: 'rhino', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['rhinoceros', 'animal', 'wildlife', 'forest', 'pokemon', 'animals', 'animal kingdom', 'rainforest']), Emoji(name: 'hippopotamus', char: '\u{1F99B}', shortName: 'hippopotamus', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'animals', 'animal kingdom']), Emoji(name: 'mouse face', char: '\u{1F42D}', shortName: 'mouse', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'mouse', 'animal', 'mickey', 'disney', 'pokemon', 'rodent', 'animals', 'animal kingdom', 'cartoon']), Emoji(name: 'mouse', char: '\u{1F401}', shortName: 'mouse2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['mouse', 'animal', 'mickey', 'disney', 'pokemon', 'rodent', 'animals', 'animal kingdom', 'cartoon']), Emoji(name: 'rat', char: '\u{1F400}', shortName: 'rat', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['rat', 'animal', 'pokemon', 'rodent', 'animals', 'animal kingdom']), Emoji(name: 'hamster', char: '\u{1F439}', shortName: 'hamster', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'hamster', 'pet', 'animal', 'pets', 'rodent', 'animals', 'animal kingdom']), Emoji(name: 'rabbit face', char: '\u{1F430}', shortName: 'rabbit', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['bunny', 'face', 'pet', 'rabbit', 'animal', 'wildlife', 'magic', 'easter', 'pets', 'pokemon', 'playboy', 'animals', 'animal kingdom', 'spell', 'genie', 'magical', 'play boy']), Emoji(name: 'rabbit', char: '\u{1F407}', shortName: 'rabbit2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['bunny', 'pet', 'animal', 'wildlife', 'magic', 'easter', 'pets', 'pokemon', 'hunt', 'animals', 'animal kingdom', 'spell', 'genie', 'magical']), Emoji(name: 'chipmunk', char: '\u{1F43F}', shortName: 'chipmunk', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['chipmunk', 'animal', 'wildlife', 'squirrel', 'forest', 'pokemon', 'rodent', 'animals', 'animal kingdom', 'rainforest']), Emoji(name: 'hedgehog', char: '\u{1F994}', shortName: 'hedgehog', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['spiny', 'animal', 'wildlife', 'erinaceinae', 'animals', 'animal kingdom']), Emoji(name: 'bat', char: '\u{1F987}', shortName: 'bat', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['bat', 'vampire', 'animal', 'wildlife', 'halloween', 'forest', 'pokemon', 'super hero', 'vampire', 'animals', 'animal kingdom', 'samhain', 'rainforest', 'superhero', 'superman', 'batman', 'dracula']), Emoji(name: 'bear', char: '\u{1F43B}', shortName: 'bear', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['bear', 'face', 'animal', 'wildlife', 'roar', 'gummy', 'california', 'forest', 'polar bear', 'animals', 'animal kingdom', 'rawr', 'rainforest']), Emoji(name: 'koala', char: '\u{1F428}', shortName: 'koala', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['bear', 'animal', 'wildlife', 'australia', 'forest', 'marsupial', 'animals', 'animal kingdom', 'rainforest', 'marsupials']), Emoji(name: 'panda', char: '\u{1F43C}', shortName: 'panda_face', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['face', 'panda', 'animal', 'wildlife', 'roar', 'chinese', 'forest', 'animals', 'animal kingdom', 'rawr', 'chinois', 'asian', 'chine', 'rainforest']), Emoji(name: 'sloth', char: '\u{1F9A5}', shortName: 'sloth', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'lazy', 'animals', 'animal kingdom']), Emoji(name: 'otter', char: '\u{1F9A6}', shortName: 'otter', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'ocean', 'otor', 'animals', 'animal kingdom', 'sea', 'oter', 'wódr̥']), Emoji(name: 'skunk', char: '\u{1F9A8}', shortName: 'skunk', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'stinky', 'animals', 'animal kingdom', 'smell', 'stink', 'odor']), Emoji(name: 'kangaroo', char: '\u{1F998}', shortName: 'kangaroo', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'australia', 'marsupial', 'animals', 'animal kingdom', 'marsupials']), Emoji(name: 'badger', char: '\u{1F9A1}', shortName: 'badger', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['animal', 'wildlife', 'animals', 'animal kingdom']), Emoji(name: 'paw prints', char: '\u{1F43E}', shortName: 'feet', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMammal, keywords: ['feet', 'paw', 'print', 'animal', 'paws', 'animals', 'animal kingdom']), Emoji(name: 'turkey', char: '\u{1F983}', shortName: 'turkey', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'turkey', 'animal', 'wildlife', 'birds', 'farm', 'thanksgiving', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'chicken', char: '\u{1F414}', shortName: 'chicken', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'chicken', 'animal', 'birds', 'farm', 'jewish', 'pets', 'minecraft', 'animals', 'animal kingdom', 'goose', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'rooster', char: '\u{1F413}', shortName: 'rooster', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'rooster', 'animal', 'wildlife', 'birds', 'farm', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'hatching chick', char: '\u{1F423}', shortName: 'hatching_chick', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['baby', 'bird', 'chick', 'hatching', 'animal', 'easter', 'birds', 'eggs', 'pets', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'baby chick', char: '\u{1F424}', shortName: 'baby_chick', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['baby', 'bird', 'chick', 'animal', 'easter', 'birds', 'pets', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'front-facing baby chick', char: '\u{1F425}', shortName: 'hatched_chick', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['baby', 'bird', 'chick', 'animal', 'easter', 'birds', 'pets', 'pokemon', 'minecraft', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'bird', char: '\u{1F426}', shortName: 'bird', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'animal', 'wildlife', 'twitter', 'birds', 'forest', 'pets', 'pokemon', 'animals', 'animal kingdom', 'goose', 'rainforest']), Emoji(name: 'penguin', char: '\u{1F427}', shortName: 'penguin', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'penguin', 'animal', 'wildlife', 'birds', 'ocean', 'animals', 'animal kingdom', 'goose', 'sea']), Emoji(name: 'dove', char: '\u{1F54A}', shortName: 'dove', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'fly', 'peace', 'animal', 'wildlife', 'wedding', 'religion', 'peace', 'pray', 'birds', 'animals', 'animal kingdom', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'peace out', 'peace sign', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'goose']), Emoji(name: 'eagle', char: '\u{1F985}', shortName: 'eagle', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'eagle', 'animal', 'wildlife', 'america', 'birds', 'forest', 'pokemon', 'independence day', 'animals', 'animal kingdom', 'usa', 'united states', 'united states of america', 'american', 'goose', 'rainforest']), Emoji(name: 'duck', char: '\u{1F986}', shortName: 'duck', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'duck', 'animal', 'wildlife', 'quack', 'birds', 'hunt', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'swan', char: '\u{1F9A2}', shortName: 'swan', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['animal', 'wildlife', 'birds', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'owl', char: '\u{1F989}', shortName: 'owl', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['bird', 'owl', 'wise', 'animal', 'wildlife', 'halloween', 'birds', 'animals', 'animal kingdom', 'samhain', 'goose']), Emoji(name: 'flamingo', char: '\u{1F9A9}', shortName: 'flamingo', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['animal', 'wildlife', 'pink', 'birds', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'peacock', char: '\u{1F99A}', shortName: 'peacock', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['animal', 'wildlife', 'birds', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'parrot', char: '\u{1F99C}', shortName: 'parrot', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBird, keywords: ['animal', 'wildlife', 'tropical', 'birds', 'animals', 'animal kingdom', 'goose']), Emoji(name: 'frog', char: '\u{1F438}', shortName: 'frog', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalAmphibian, keywords: ['face', 'frog', 'animal', 'wildlife', 'forest', 'pets', 'pokemon', 'river', 'animals', 'animal kingdom', 'rainforest']), Emoji(name: 'crocodile', char: '\u{1F40A}', shortName: 'crocodile', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['crocodile', 'animal', 'wildlife', 'reptile', 'florida', 'river', 'alligator', 'animals', 'animal kingdom', 'reptiles']), Emoji(name: 'turtle', char: '\u{1F422}', shortName: 'turtle', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['terrapin', 'tortoise', 'turtle', 'animal', 'wildlife', 'reptile', 'pets', 'pokemon', 'river', 'ocean', 'animals', 'animal kingdom', 'reptiles', 'sea']), Emoji(name: 'lizard', char: '\u{1F98E}', shortName: 'lizard', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['lizard', 'reptile', 'animal', 'wildlife', 'reptile', 'forest', 'pets', 'pokemon', 'animals', 'animal kingdom', 'reptiles', 'rainforest']), Emoji(name: 'snake', char: '\u{1F40D}', shortName: 'snake', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['Ophiuchus', 'bearer', 'serpent', 'zodiac', 'animal', 'wildlife', 'reptile', 'creationism', 'australia', 'forest', 'pets', 'pokemon', 'animals', 'animal kingdom', 'reptiles', 'adam & eve', 'adam and eve', 'rainforest']), Emoji(name: 'dragon face', char: '\u{1F432}', shortName: 'dragon_face', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['dragon', 'face', 'fairy tale', 'animal', 'roar', 'monster', 'reptile', 'pokemon', 'minecraft', 'fantasy', 'animals', 'animal kingdom', 'rawr', 'monsters', 'beast', 'reptiles']), Emoji(name: 'dragon', char: '\u{1F409}', shortName: 'dragon', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['fairy tale', 'animal', 'roar', 'reptile', 'pokemon', 'minecraft', 'fantasy', 'animals', 'animal kingdom', 'rawr', 'reptiles']), Emoji(name: 'sauropod', char: '\u{1F995}', shortName: 'sauropod', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['brachiosaurus', 'brontosaurus', 'diplodocus', 'animal', 'dinosaur', 'Brontosaurus', 'animals', 'animal kingdom', 'Diplodocus', 'Brachiosaurus']), Emoji(name: 'T-Rex', char: '\u{1F996}', shortName: 't_rex', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalReptile, keywords: ['Tyrannosaurus Rex', 'animal', 'dinosaur', 'Tyrannosaurus Rex', 'animals', 'animal kingdom', 'trex', 't rex']), Emoji(name: 'spouting whale', char: '\u{1F433}', shortName: 'whale', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['face', 'spouting', 'whale', 'animal', 'wildlife', 'tropical', 'whales', 'scuba', 'ocean', 'animals', 'animal kingdom', 'whale', 'moby', 'snorkel', 'sea']), Emoji(name: 'whale', char: '\u{1F40B}', shortName: 'whale2', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['whale', 'animal', 'wildlife', 'tropical', 'whales', 'scuba', 'ocean', 'animals', 'animal kingdom', 'whale', 'moby', 'snorkel', 'sea']), Emoji(name: 'dolphin', char: '\u{1F42C}', shortName: 'dolphin', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['flipper', 'animal', 'wildlife', 'tropical', 'florida', 'scuba', 'ocean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'fish', char: '\u{1F41F}', shortName: 'fish', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['Pisces', 'zodiac', 'animal', 'wildlife', 'tropical', 'pets', 'scuba', 'seafood', 'river', 'ocean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'tropical fish', char: '\u{1F420}', shortName: 'tropical_fish', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['fish', 'tropical', 'animal', 'wildlife', 'tropical', 'pets', 'scuba', 'ocean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'blowfish', char: '\u{1F421}', shortName: 'blowfish', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['fish', 'animal', 'wildlife', 'japan', 'scuba', 'ocean', 'animals', 'animal kingdom', 'japanese', 'ninja', 'snorkel', 'sea']), Emoji(name: 'shark', char: '\u{1F988}', shortName: 'shark', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['fish', 'shark', 'animal', 'wildlife', 'florida', 'scuba', 'ocean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'octopus', char: '\u{1F419}', shortName: 'octopus', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['octopus', 'animal', 'wildlife', 'pussy', 'pokemon', 'porn', 'scuba', 'seafood', 'ocean', 'animals', 'animal kingdom', 'condom', 'snorkel', 'sea']), Emoji(name: 'spiral shell', char: '\u{1F41A}', shortName: 'shell', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalMarine, keywords: ['shell', 'spiral', 'tropical', 'scuba', 'ocean', 'snorkel', 'sea']), Emoji(name: 'snail', char: '\u{1F40C}', shortName: 'snail', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['snail', 'animal', 'wildlife', 'insects', 'emojione', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug', 'emoji one']), Emoji(name: 'butterfly', char: '\u{1F98B}', shortName: 'butterfly', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['butterfly', 'insect', 'pretty', 'animal', 'wildlife', 'insects', 'forest', 'pokemon', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug', 'rainforest']), Emoji(name: 'bug', char: '\u{1F41B}', shortName: 'bug', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['insect', 'animal', 'wildlife', 'insects', 'gummy', 'forest', 'pokemon', 'worm', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug', 'rainforest', 'caterpillar']), Emoji(name: 'ant', char: '\u{1F41C}', shortName: 'ant', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['insect', 'animal', 'wildlife', 'insects', 'pokemon', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug']), Emoji(name: 'honeybee', char: '\u{1F41D}', shortName: 'bee', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['bee', 'insect', 'animal', 'wildlife', 'insects', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug']), Emoji(name: 'lady beetle', char: '\u{1F41E}', shortName: 'beetle', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['beetle', 'insect', 'ladybird', 'ladybug', 'animal', 'wildlife', 'insects', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug']), Emoji(name: 'cricket', char: '\u{1F997}', shortName: 'cricket', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['animal', 'wildlife', 'insects', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug']), Emoji(name: 'spider', char: '\u{1F577}', shortName: 'spider', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['insect', 'animal', 'wildlife', 'insects', 'halloween', 'australia', 'pets', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug', 'samhain']), Emoji(name: 'spider web', char: '\u{1F578}', shortName: 'spider_web', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['spider', 'web', 'halloween', 'samhain']), Emoji(name: 'scorpion', char: '\u{1F982}', shortName: 'scorpion', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['Scorpius', 'scorpio', 'zodiac', 'animal', 'wildlife', 'insects', 'reptile', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug', 'reptiles']), Emoji(name: 'mosquito', char: '\u{1F99F}', shortName: 'mosquito', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['animal', 'wildlife', 'insects', 'bite', 'animals', 'animal kingdom', 'insect', 'bugs', 'bug']), Emoji(name: 'microbe', char: '\u{1F9A0}', shortName: 'microbe', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.animalBug, keywords: ['science', 'stinky', 'bacteria', 'booger', 'lab', 'smell', 'stink', 'odor', 'microorganism', 'bacterium']), Emoji(name: 'bouquet', char: '\u{1F490}', shortName: 'bouquet', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'nature', 'wedding', 'flower', 'plant', 'love', 'rip', 'condolence', 'beautiful', 'roses', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'flowers', 'plants', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'rest in peace', 'compassion', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely']), Emoji(name: 'cherry blossom', char: '\u{1F338}', shortName: 'cherry_blossom', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['blossom', 'cherry', 'flower', 'nature', 'flower', 'plant', 'japan', 'tropical', 'beautiful', 'hawaii', 'pink', 'sakura', 'flowers', 'plants', 'japanese', 'ninja', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'aloha', 'kawaii', 'maui', 'moana']), Emoji(name: 'white flower', char: '\u{1F4AE}', shortName: 'white_flower', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'flower', 'office', 'japan', 'thank you', 'good', 'flowers', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'japanese', 'ninja', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats']), Emoji(name: 'rosette', char: '\u{1F3F5}', shortName: 'rosette', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['plant', 'tropical', 'activity']), Emoji(name: 'rose', char: '\u{1F339}', shortName: 'rose', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'nature', 'flower', 'plant', 'love', 'rip', 'condolence', 'beautiful', 'flowers', 'plants', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'rest in peace', 'compassion', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely']), Emoji(name: 'wilted flower', char: '\u{1F940}', shortName: 'wilted_rose', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'wilted', 'flower', 'halloween', 'plant', 'dead', 'flowers', 'samhain', 'plants', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died']), Emoji(name: 'hibiscus', char: '\u{1F33A}', shortName: 'hibiscus', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'nature', 'flower', 'plant', 'tropical', 'beautiful', 'pink', 'flowers', 'plants', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely']), Emoji(name: 'sunflower', char: '\u{1F33B}', shortName: 'sunflower', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'sun', 'nature', 'flower', 'plant', 'beautiful', 'farm', 'flowers', 'plants', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely']), Emoji(name: 'blossom', char: '\u{1F33C}', shortName: 'blossom', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'nature', 'flower', 'plant', 'vagina', 'beautiful', 'flowers', 'plants', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely']), Emoji(name: 'tulip', char: '\u{1F337}', shortName: 'tulip', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantFlower, keywords: ['flower', 'nature', 'flower', 'plant', 'vagina', 'beautiful', 'girls night', 'pink', 'easter', 'flowers', 'plants', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend']), Emoji(name: 'seedling', char: '\u{1F331}', shortName: 'seedling', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['young', 'nature', 'plant', 'trees', 'leaf', 'grass', 'weed', 'farm', 'irish', 'pokemon', 'plants', 'tree', 'branch', 'wood', 'leaves', 'saint patricks day', 'st patricks day', 'leprechaun']), Emoji(name: 'evergreen tree', char: '\u{1F332}', shortName: 'evergreen_tree', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['tree', 'nature', 'plant', 'camp', 'trees', 'forest', 'plants', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'tree', 'branch', 'wood', 'rainforest']), Emoji(name: 'deciduous tree', char: '\u{1F333}', shortName: 'deciduous_tree', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['deciduous', 'shedding', 'tree', 'nature', 'plant', 'camp', 'trees', 'farm', 'forest', 'plants', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'tree', 'branch', 'wood', 'rainforest']), Emoji(name: 'palm tree', char: '\u{1F334}', shortName: 'palm_tree', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['palm', 'tree', 'nature', 'plant', 'tropical', 'trees', 'california', 'coconut', 'florida', 'palma', 'plants', 'tree', 'branch', 'wood', 'palmas']), Emoji(name: 'cactus', char: '\u{1F335}', shortName: 'cactus', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['plant', 'nature', 'plant', 'trees', 'plants', 'tree', 'branch', 'wood']), Emoji(name: 'sheaf of rice', char: '\u{1F33E}', shortName: 'ear_of_rice', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['ear', 'grain', 'rice', 'nature', 'plant', 'leaf', 'grass', 'farm', 'plants', 'leaves']), Emoji(name: 'herb', char: '\u{1F33F}', shortName: 'herb', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['leaf', 'nature', 'plant', 'leaf', 'grass', 'weed', 'farm', 'plants', 'leaves']), Emoji(name: 'shamrock', char: '\u{2618}', shortName: 'shamrock', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['plant', 'nature', 'plant', 'luck', 'leaf', 'grass', 'irish', 'plants', 'good luck', 'lucky', 'leaves', 'saint patricks day', 'st patricks day', 'leprechaun']), Emoji(name: 'four leaf clover', char: '\u{1F340}', shortName: 'four_leaf_clover', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['4', 'clover', 'four', 'leaf', 'nature', 'plant', 'luck', 'leaf', 'sol', 'grass', 'bingo', 'irish', 'plants', 'good luck', 'lucky', 'leaves', 'shit outta luck', 'shit out of luck', 'saint patricks day', 'st patricks day', 'leprechaun']), Emoji(name: 'maple leaf', char: '\u{1F341}', shortName: 'maple_leaf', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['falling', 'leaf', 'maple', 'nature', 'plant', 'trees', 'leaf', 'autumn', 'marijuana', 'plants', 'tree', 'branch', 'wood', 'leaves', 'fall']), Emoji(name: 'fallen leaf', char: '\u{1F342}', shortName: 'fallen_leaf', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['falling', 'leaf', 'nature', 'plant', 'trees', 'leaf', 'autumn', 'plants', 'tree', 'branch', 'wood', 'leaves', 'fall']), Emoji(name: 'leaf fluttering in wind', char: '\u{1F343}', shortName: 'leaves', emojiGroup: EmojiGroup.animalsNature, emojiSubgroup: EmojiSubgroup.plantOther, keywords: ['blow', 'flutter', 'leaf', 'wind', 'weather', 'nature', 'plant', 'trees', 'leaf', 'autumn', 'plants', 'tree', 'branch', 'wood', 'leaves', 'fall']), Emoji(name: 'grapes', char: '\u{1F347}', shortName: 'grapes', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'grape', 'food', 'fruit', 'paris', 'diet', 'snacks', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'french', 'france', 'snack']), Emoji(name: 'melon', char: '\u{1F348}', shortName: 'melon', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'food', 'fruit', 'boobs', 'diet', 'porn', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'boob', 'tits', 'tit', 'breast']), Emoji(name: 'watermelon', char: '\u{1F349}', shortName: 'watermelon', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'food', 'fruit', 'diet', 'summer', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'weekend']), Emoji(name: 'tangerine', char: '\u{1F34A}', shortName: 'tangerine', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'orange', 'food', 'fruit', 'breakfast', 'diet', 'donald trump', 'florida', 'citrus', 'picnic', 'orange', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'trump', 'juice', 'lime']), Emoji(name: 'lemon', char: '\u{1F34B}', shortName: 'lemon', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['citrus', 'fruit', 'food', 'fruit', 'diet', 'citrus', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'juice', 'lime']), Emoji(name: 'banana', char: '\u{1F34C}', shortName: 'banana', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'food', 'fruit', 'penis', 'breakfast', 'monkey', 'diet', 'snacks', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'dick', 'petit dejeuner', 'progi', 'ape', 'primate', 'snack']), Emoji(name: 'pineapple', char: '\u{1F34D}', shortName: 'pineapple', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'food', 'fruit', 'tropical', 'hawaii', 'diet', 'pineapple', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'aloha', 'kawaii', 'maui', 'moana', 'pinapple']), Emoji(name: 'mango', char: '\u{1F96D}', shortName: 'mango', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['food', 'fruit', 'tropical', 'thai', 'diet', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'pattaya']), Emoji(name: 'red apple', char: '\u{1F34E}', shortName: 'apple', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['apple', 'fruit', 'red', 'food', 'fruit', 'office', 'creationism', 'new york', 'apples', 'diet', 'snacks', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'adam & eve', 'adam and eve', 'snack']), Emoji(name: 'green apple', char: '\u{1F34F}', shortName: 'green_apple', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['apple', 'fruit', 'green', 'food', 'fruit', 'office', 'apples', 'diet', 'snacks', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'snack']), Emoji(name: 'pear', char: '\u{1F350}', shortName: 'pear', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'food', 'fruit', 'diet', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger']), Emoji(name: 'peach', char: '\u{1F351}', shortName: 'peach', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'food', 'fruit', 'butt', 'sex', 'vagina', 'pussy', 'diet', 'porn', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'ass', 'booty', 'fuck', 'fucking', 'horny', 'humping', 'condom']), Emoji(name: 'cherries', char: '\u{1F352}', shortName: 'cherries', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['cherry', 'fruit', 'food', 'fruit', 'sex', 'vagina', 'pussy', 'diet', 'porn', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'fuck', 'fucking', 'horny', 'humping', 'condom']), Emoji(name: 'strawberry', char: '\u{1F353}', shortName: 'strawberry', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['berry', 'fruit', 'food', 'fruit', 'diet', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger']), Emoji(name: 'kiwi fruit', char: '\u{1F95D}', shortName: 'kiwi', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['food', 'fruit', 'kiwi', 'food', 'fruit', 'breakfast', 'diet', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner']), Emoji(name: 'tomato', char: '\u{1F345}', shortName: 'tomato', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['fruit', 'vegetable', 'food', 'fruit', 'vegetables', 'diet', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume']), Emoji(name: 'coconut', char: '\u{1F965}', shortName: 'coconut', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodFruit, keywords: ['palm', 'piña colada', 'food', 'coconut', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger']), Emoji(name: 'avocado', char: '\u{1F951}', shortName: 'avocado', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['avocado', 'food', 'fruit', 'food', 'fruit', 'vegetables', 'california', 'diet', 'avocado', 'picnic', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'avacado']), Emoji(name: 'eggplant', char: '\u{1F346}', shortName: 'eggplant', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['aubergine', 'vegetable', 'food', 'vegetables', 'penis', 'sex', 'diet', 'porn', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'dick', 'fuck', 'fucking', 'horny', 'humping']), Emoji(name: 'potato', char: '\u{1F954}', shortName: 'potato', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['food', 'potato', 'vegetable', 'food', 'vegetables', 'carbs', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'carbohydrates']), Emoji(name: 'carrot', char: '\u{1F955}', shortName: 'carrot', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['carrot', 'food', 'vegetable', 'food', 'vegetables', 'penis', 'diet', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'dick']), Emoji(name: 'ear of corn', char: '\u{1F33D}', shortName: 'corn', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['corn', 'ear', 'maize', 'maze', 'food', 'vegetables', 'diet', 'farm', 'picnic', 'thanksgiving', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume']), Emoji(name: 'hot pepper', char: '\u{1F336}', shortName: 'hot_pepper', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['hot', 'pepper', 'food', 'vegetables', 'mexican', 'hot', 'chili', 'texas', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'mexico', 'cinco de mayo', 'español', 'heat', 'warm', 'caliente', 'chaud', 'heiß']), Emoji(name: 'cucumber', char: '\u{1F952}', shortName: 'cucumber', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['cucumber', 'food', 'pickle', 'vegetable', 'food', 'fruit', 'vegetables', 'penis', 'diet', 'pickle', 'picnic', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'dick']), Emoji(name: 'leafy green', char: '\u{1F96C}', shortName: 'leafy_green', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['food', 'vegetables', 'diet', 'lettuce', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume']), Emoji(name: 'broccoli', char: '\u{1F966}', shortName: 'broccoli', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['wild cabbage', 'food', 'vegetables', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume']), Emoji(name: 'garlic', char: '\u{1F9C4}', shortName: 'garlic', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['flavoring ', 'garlic']), Emoji(name: 'onion', char: '\u{1F9C5}', shortName: 'onion', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['cry', 'crying', 'weeping', 'weep', 'sob', 'sobbing', 'tear', 'tears', 'bawling']), Emoji(name: 'mushroom', char: '\u{1F344}', shortName: 'mushroom', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['toadstool', 'food', 'nature', 'vegetables', 'drugs', 'plant', 'disney', 'poison', 'pokemon', 'mushroom', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'drug', 'narcotics', 'plants', 'cartoon', 'toxic', 'toxins']), Emoji(name: 'peanuts', char: '\u{1F95C}', shortName: 'peanuts', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['food', 'nut', 'peanut', 'vegetable', 'food', 'vegetables', 'squirrel', 'nut', 'snacks', 'picnic', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'nuts', 'snack']), Emoji(name: 'chestnut', char: '\u{1F330}', shortName: 'chestnut', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodVegetable, keywords: ['plant', 'food', 'nature', 'plant', 'christmas', 'nut', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'plants', 'navidad', 'xmas', 'noel', 'merry christmas', 'nuts']), Emoji(name: 'bread', char: '\u{1F35E}', shortName: 'bread', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['loaf', 'food', 'sandwich', 'breakfast', 'bake', 'toast', 'carbs', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'sanwiches', 'petit dejeuner', 'baking', 'carbohydrates']), Emoji(name: 'croissant', char: '\u{1F950}', shortName: 'croissant', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['bread', 'crescent roll', 'croissant', 'food', 'french', 'food', 'breakfast', 'paris', 'bake', 'picnic', 'carbs', 'pastry', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'french', 'france', 'baking', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'baguette bread', char: '\u{1F956}', shortName: 'french_bread', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['baguette', 'bread', 'food', 'french', 'food', 'penis', 'paris', 'bake', 'picnic', 'carbs', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'dick', 'french', 'france', 'baking', 'carbohydrates']), Emoji(name: 'pretzel', char: '\u{1F968}', shortName: 'pretzel', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['food', 'bake', 'snacks', 'carbs', 'german', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'baking', 'snack', 'carbohydrates', 'oktoberfest', 'octoberfest', 'bratwurst']), Emoji(name: 'bagel', char: '\u{1F96F}', shortName: 'bagel', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['food', 'breakfast', 'bake', 'carbs', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'baking', 'carbohydrates']), Emoji(name: 'pancakes', char: '\u{1F95E}', shortName: 'pancakes', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['crêpe', 'food', 'hotcake', 'pancake', 'food', 'breakfast', 'carbs', 'restaurant', 'vegetarian', 'pancake', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'carbohydrates', 'pannenkoeken', 'maple syrup', 'pfannkuchen', 'panqueques', 'crêpes']), Emoji(name: 'waffle', char: '\u{1F9C7}', shortName: 'waffle', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['food', 'breakfast', 'carbs', 'waffles', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'carbohydrates', 'eggo', 'gaufre', 'gofre', 'waffel', 'wafel']), Emoji(name: 'cheese wedge', char: '\u{1F9C0}', shortName: 'cheese', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['cheese', 'food', 'paris', 'picnic', 'cheese', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'french', 'france']), Emoji(name: 'meat on bone', char: '\u{1F356}', shortName: 'meat_on_bone', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['bone', 'meat', 'food', 'beef', 'brazil', 'viking', 'dinner', 'meat', 'thanksgiving', 'restaurant', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'brasil', 'bresil', 'knight', 'lunch']), Emoji(name: 'poultry leg', char: '\u{1F357}', shortName: 'poultry_leg', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['bone', 'chicken', 'leg', 'poultry', 'food', 'holidays', 'chicken leg', 'disney', 'viking', 'dinner', 'meat', 'thanksgiving', 'restaurant', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'holiday', 'cartoon', 'knight', 'lunch']), Emoji(name: 'cut of meat', char: '\u{1F969}', shortName: 'cut_of_meat', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['chop', 'lambchop', 'porkchop', 'steak', 'food', 'dinner', 'steak', 'meat', 'restaurant', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'lunch']), Emoji(name: 'bacon', char: '\u{1F953}', shortName: 'bacon', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['bacon', 'food', 'meat', 'food', 'breakfast', 'pig', 'meat', 'restaurant', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'pork']), Emoji(name: 'hamburger', char: '\u{1F354}', shortName: 'hamburger', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['burger', 'food', 'america', 'boys night', 'sandwich', 'beef', 'mcdonalds', 'dinner', 'burger', 'cheese', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'usa', 'united states', 'united states of america', 'american', 'guys night', 'sanwiches', 'ronald mcdonald', 'macdo', 'lunch', 'cheeseburger', 'cheese burger']), Emoji(name: 'french fries', char: '\u{1F35F}', shortName: 'fries', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['french', 'fries', 'food', 'america', 'chips', 'mcdonalds', 'carbs', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'usa', 'united states', 'united states of america', 'american', 'ronald mcdonald', 'macdo', 'carbohydrates']), Emoji(name: 'pizza', char: '\u{1F355}', shortName: 'pizza', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['cheese', 'slice', 'food', 'italian', 'boys night', 'dinner', 'cheese', 'carbs', 'restaurant', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'italy', 'italie', 'guys night', 'lunch', 'carbohydrates']), Emoji(name: 'hot dog', char: '\u{1F32D}', shortName: 'hotdog', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['frankfurter', 'hotdog', 'sausage', 'food', 'america', 'sandwich', 'dinner', 'franks', 'german', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'usa', 'united states', 'united states of america', 'american', 'sanwiches', 'lunch', 'sausage', 'hot dog', 'oktoberfest', 'octoberfest', 'bratwurst']), Emoji(name: 'sandwich', char: '\u{1F96A}', shortName: 'sandwich', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['bread', 'food', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'lunch']), Emoji(name: 'taco', char: '\u{1F32E}', shortName: 'taco', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['mexican', 'food', 'mexican', 'vagina', 'tacos', 'hola', 'pussy', 'porn', 'texas', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'mexico', 'cinco de mayo', 'español', 'condom', 'lunch']), Emoji(name: 'burrito', char: '\u{1F32F}', shortName: 'burrito', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['mexican', 'wrap', 'food', 'mexican', 'hola', 'texas', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'mexico', 'cinco de mayo', 'español', 'lunch']), Emoji(name: 'stuffed flatbread', char: '\u{1F959}', shortName: 'stuffed_flatbread', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['falafel', 'flatbread', 'food', 'gyro', 'kebab', 'stuffed', 'food', 'sandwich', 'dinner', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'sanwiches', 'lunch']), Emoji(name: 'falafel', char: '\u{1F9C6}', shortName: 'falafel', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['food', 'meatball', 'felafel', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'chickpeas', 'fava beans', 'levantine', 'meze']), Emoji(name: 'egg', char: '\u{1F95A}', shortName: 'egg', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['egg', 'food', 'food', 'breakfast', 'easter', 'diet', 'eggs', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner']), Emoji(name: 'cooking', char: '\u{1F373}', shortName: 'cooking', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['egg', 'frying', 'pan', 'food', 'breakfast', 'eggs', 'restaurant', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner']), Emoji(name: 'shallow pan of food', char: '\u{1F958}', shortName: 'shallow_pan_of_food', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['casserole', 'food', 'paella', 'pan', 'shallow', 'food', 'mexican', 'barcelona', 'beef', 'brazil', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'mexico', 'cinco de mayo', 'español', 'españa', 'spanish', 'brasil', 'bresil', 'lunch']), Emoji(name: 'pot of food', char: '\u{1F372}', shortName: 'stew', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['pot', 'stew', 'food', 'steam', 'thai', 'brazil', 'soup', 'dinner', 'stew', 'thanksgiving', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'steaming', 'piping', 'pattaya', 'brasil', 'bresil', 'lunch', 'braise']), Emoji(name: 'bowl with spoon', char: '\u{1F963}', shortName: 'bowl_with_spoon', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['food', 'breakfast', 'soup', 'dinner', 'cereal', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'petit dejeuner', 'lunch']), Emoji(name: 'green salad', char: '\u{1F957}', shortName: 'salad', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['food', 'green', 'salad', 'food', 'vegetables', 'diet', 'dinner', 'lettuce', 'picnic', 'restaurant', 'vegetarian', 'keto', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'lunch']), Emoji(name: 'popcorn', char: '\u{1F37F}', shortName: 'popcorn', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['popcorn', 'food', 'celebrate', 'snacks', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'snack']), Emoji(name: 'butter', char: '\u{1F9C8}', shortName: 'butter', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['breakfast', 'butter', 'keto', 'petit dejeuner', 'margarine', 'ghee']), Emoji(name: 'salt', char: '\u{1F9C2}', shortName: 'salt', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['condiment', 'restaurant', 'condiments', 'seasoning', 'topping']), Emoji(name: 'canned food', char: '\u{1F96B}', shortName: 'canned_food', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodPrepared, keywords: ['can', 'food', 'soup', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger']), Emoji(name: 'bento box', char: '\u{1F371}', shortName: 'bento', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['bento', 'box', 'food', 'sushi', 'japan', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'lunch']), Emoji(name: 'rice cracker', char: '\u{1F358}', shortName: 'rice_cracker', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['cracker', 'rice', 'food', 'sushi', 'chinese', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'chinois', 'asian', 'chine']), Emoji(name: 'rice ball', char: '\u{1F359}', shortName: 'rice_ball', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['Japanese', 'ball', 'rice', 'food', 'sushi', 'japan', 'snacks', 'dinner', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'snack', 'lunch']), Emoji(name: 'cooked rice', char: '\u{1F35A}', shortName: 'rice', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['cooked', 'rice', 'food', 'sushi', 'japan', 'thai', 'chinese', 'brazil', 'dinner', 'carbs', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'pattaya', 'chinois', 'asian', 'chine', 'brasil', 'bresil', 'lunch', 'carbohydrates']), Emoji(name: 'curry rice', char: '\u{1F35B}', shortName: 'curry', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['curry', 'rice', 'food', 'japan', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'lunch']), Emoji(name: 'steaming bowl', char: '\u{1F35C}', shortName: 'ramen', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['bowl', 'noodle', 'ramen', 'steaming', 'food', 'noodles', 'ramen', 'pasta', 'japan', 'chinese', 'soup', 'dinner', 'restaurant', 'vegetarian', 'bone broth', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'noodle', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'lunch']), Emoji(name: 'spaghetti', char: '\u{1F35D}', shortName: 'spaghetti', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['pasta', 'food', 'noodles', 'pasta', 'italian', 'dinner', 'meatball', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'noodle', 'italy', 'italie', 'lunch']), Emoji(name: 'roasted sweet potato', char: '\u{1F360}', shortName: 'sweet_potato', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['potato', 'roasted', 'sweet', 'food', 'vegetables', 'diet', 'yam', 'carbs', 'thanksgiving', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'vegetable', 'veggie', 'legume', 'carbohydrates']), Emoji(name: 'oden', char: '\u{1F362}', shortName: 'oden', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['kebab', 'seafood', 'skewer', 'stick', 'food', 'japan', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'lunch']), Emoji(name: 'sushi', char: '\u{1F363}', shortName: 'sushi', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['sushi', 'food', 'sushi', 'japan', 'diet', 'seafood', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'lunch']), Emoji(name: 'fried shrimp', char: '\u{1F364}', shortName: 'fried_shrimp', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['fried', 'prawn', 'shrimp', 'tempura', 'food', 'japan', 'prawn', 'seafood', 'dinner', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'lunch']), Emoji(name: 'fish cake with swirl', char: '\u{1F365}', shortName: 'fish_cake', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['cake', 'fish', 'pastry', 'swirl', 'food', 'sushi', 'japan', 'seafood', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja']), Emoji(name: 'moon cake', char: '\u{1F96E}', shortName: 'moon_cake', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['food', 'cake', 'celebrate', 'sugar', 'chinese', 'bake', 'carbs', 'pastry', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'cupcake', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'junk food', 'dessert', 'sweets', 'chinois', 'asian', 'chine', 'baking', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'dango', char: '\u{1F361}', shortName: 'dango', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['Japanese', 'dessert', 'skewer', 'stick', 'sweet', 'food', 'japan', 'sugar', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'junk food', 'dessert', 'sweets']), Emoji(name: 'dumpling', char: '\u{1F95F}', shortName: 'dumpling', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['empanada', 'gyōza', 'jiaozi', 'pierogi', 'potsticker', 'food', 'chinese', 'dumpling', 'pastry', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'chinois', 'asian', 'chine', 'Empanada', 'Gyōza', 'Pierogi', 'pastries', 'pâtisserie']), Emoji(name: 'fortune cookie', char: '\u{1F960}', shortName: 'fortune_cookie', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['prophecy', 'food', 'luck', 'sugar', 'cookie', 'chinese', 'bake', 'carbs', 'pastry', 'restaurant', 'vegetarian', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'good luck', 'lucky', 'junk food', 'dessert', 'sweets', 'cookies', 'chinois', 'asian', 'chine', 'baking', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'takeout box', char: '\u{1F961}', shortName: 'takeout_box', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodAsian, keywords: ['oyster pail', 'food', 'chinese', 'oyster pail', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'chinois', 'asian', 'chine']), Emoji(name: 'crab', char: '\u{1F980}', shortName: 'crab', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodMarine, keywords: ['Cancer', 'zodiac', 'animal', 'wildlife', 'tropical', 'pokemon', 'scuba', 'seafood', 'ocean', 'crustacean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'lobster', char: '\u{1F99E}', shortName: 'lobster', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodMarine, keywords: ['animal', 'food', 'wildlife', 'seafood', 'ocean', 'crustacean', 'animals', 'animal kingdom', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'sea']), Emoji(name: 'shrimp', char: '\u{1F990}', shortName: 'shrimp', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodMarine, keywords: ['food', 'shellfish', 'shrimp', 'small', 'animal', 'wildlife', 'prawn', 'scuba', 'seafood', 'ocean', 'crustacean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'squid', char: '\u{1F991}', shortName: 'squid', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodMarine, keywords: ['food', 'molusc', 'squid', 'animal', 'wildlife', 'scuba', 'seafood', 'ocean', 'animals', 'animal kingdom', 'snorkel', 'sea']), Emoji(name: 'oyster', char: '\u{1F9AA}', shortName: 'oyster', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodMarine, keywords: ['animal', 'seafood', 'ocean', 'crustacean', 'half shell', 'animals', 'animal kingdom', 'sea', 'pearl']), Emoji(name: 'soft ice cream', char: '\u{1F366}', shortName: 'icecream', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['cream', 'dessert', 'ice', 'icecream', 'soft', 'sweet', 'food', 'italian', 'ice cream', 'sugar', 'summer', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'italy', 'italie', 'junk food', 'dessert', 'sweets', 'weekend']), Emoji(name: 'shaved ice', char: '\u{1F367}', shortName: 'shaved_ice', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['dessert', 'ice', 'shaved', 'sweet', 'food', 'ice cream', 'hawaii', 'sugar', 'disney', 'summer', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'aloha', 'kawaii', 'maui', 'moana', 'junk food', 'dessert', 'sweets', 'cartoon', 'weekend']), Emoji(name: 'ice cream', char: '\u{1F368}', shortName: 'ice_cream', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['cream', 'dessert', 'ice', 'sweet', 'food', 'ice cream', 'sugar', 'summer', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'junk food', 'dessert', 'sweets', 'weekend']), Emoji(name: 'doughnut', char: '\u{1F369}', shortName: 'doughnut', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['dessert', 'donut', 'sweet', 'food', 'sex', 'vagina', 'breakfast', 'doughnut', 'sugar', 'bake', 'carbs', 'pastry', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'fuck', 'fucking', 'horny', 'humping', 'petit dejeuner', 'donut', 'junk food', 'dessert', 'sweets', 'baking', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'cookie', char: '\u{1F36A}', shortName: 'cookie', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['dessert', 'sweet', 'food', 'christmas', 'vagina', 'sugar', 'cookie', 'bake', 'snacks', 'carbs', 'pastry', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'navidad', 'xmas', 'noel', 'merry christmas', 'junk food', 'dessert', 'sweets', 'cookies', 'baking', 'snack', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'birthday cake', char: '\u{1F382}', shortName: 'birthday', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['birthday', 'cake', 'celebration', 'dessert', 'pastry', 'sweet', 'food', 'holidays', 'birthday', 'happy birthday', 'cake', 'celebrate', 'sugar', 'facebook', 'bake', 'pastry', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'holiday', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'cupcake', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'junk food', 'dessert', 'sweets', 'baking', 'pastries', 'pâtisserie']), Emoji(name: 'shortcake', char: '\u{1F370}', shortName: 'cake', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['cake', 'dessert', 'pastry', 'slice', 'sweet', 'food', 'cake', 'sugar', 'bake', 'carbs', 'pastry', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'cupcake', 'junk food', 'dessert', 'sweets', 'baking', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'cupcake', char: '\u{1F9C1}', shortName: 'cupcake', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['food', 'birthday', 'happy birthday', 'cake', 'pink', 'celebrate', 'sugar', 'bake', 'carbs', 'pastry', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'cupcake', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'junk food', 'dessert', 'sweets', 'baking', 'carbohydrates', 'pastries', 'pâtisserie']), Emoji(name: 'pie', char: '\u{1F967}', shortName: 'pie', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['food', 'sugar', 'bake', 'carbs', 'pastry', 'quiche', 'thanksgiving', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'junk food', 'dessert', 'sweets', 'baking', 'carbohydrates', 'pastries', 'pâtisserie', 'tart']), Emoji(name: 'chocolate bar', char: '\u{1F36B}', shortName: 'chocolate_bar', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['bar', 'chocolate', 'dessert', 'sweet', 'food', 'halloween', 'love', 'girls night', 'candy', 'sugar', 'easter', 'cocoa', 'snacks', 'rich', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'samhain', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'ladies night', 'girls only', 'girlfriend', 'candy cane', 'candycane', 'lolipop', 'junk food', 'dessert', 'sweets', 'hot chocolate', 'snack', 'grand', 'expensive', 'fancy']), Emoji(name: 'candy', char: '\u{1F36C}', shortName: 'candy', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['dessert', 'sweet', 'halloween', 'candy', 'sugar', 'snacks', 'samhain', 'candy cane', 'candycane', 'lolipop', 'junk food', 'dessert', 'sweets', 'snack']), Emoji(name: 'lollipop', char: '\u{1F36D}', shortName: 'lollipop', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['candy', 'dessert', 'sweet', 'food', 'halloween', 'candy', 'sugar', 'disney', 'snacks', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'samhain', 'candy cane', 'candycane', 'lolipop', 'junk food', 'dessert', 'sweets', 'cartoon', 'snack']), Emoji(name: 'custard', char: '\u{1F36E}', shortName: 'custard', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['dessert', 'pudding', 'sweet', 'food', 'sugar', 'bake', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'junk food', 'dessert', 'sweets', 'baking']), Emoji(name: 'honey pot', char: '\u{1F36F}', shortName: 'honey_pot', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.foodSweet, keywords: ['honey', 'honeypot', 'pot', 'sweet', 'food', 'vagina', 'sugar', 'condiment', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'junk food', 'dessert', 'sweets', 'condiments', 'seasoning', 'topping']), Emoji(name: 'baby bottle', char: '\u{1F37C}', shortName: 'baby_bottle', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['baby', 'bottle', 'drink', 'milk', 'food', 'drink', 'baby', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'drinks', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino']), Emoji(name: 'glass of milk', char: '\u{1F95B}', shortName: 'milk', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['drink', 'glass', 'milk', 'drink', 'christmas', 'dinner', 'restaurant', 'drinks', 'navidad', 'xmas', 'noel', 'merry christmas', 'lunch']), Emoji(name: 'hot beverage', char: '\u{2615}', shortName: 'coffee', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['beverage', 'coffee', 'drink', 'hot', 'steaming', 'tea', 'drink', 'caffeine', 'steam', 'morning', 'coffee', 'breakfast', 'cocoa', 'diet', 'restaurant', 'keto', 'drinks', 'decaffeinated', 'decaf', 'steaming', 'piping', 'good morning', 'starbucks', 'petit dejeuner', 'hot chocolate']), Emoji(name: 'teacup without handle', char: '\u{1F375}', shortName: 'tea', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['beverage', 'cup', 'drink', 'tea', 'teacup', 'drink', 'japan', 'caffeine', 'steam', 'morning', 'tea', 'breakfast', 'england', 'chinese', 'diet', 'restaurant', 'keto', 'drinks', 'japanese', 'ninja', 'decaffeinated', 'decaf', 'steaming', 'piping', 'good morning', 'iced tea', 'petit dejeuner', 'united kingdom', 'london', 'uk', 'chinois', 'asian', 'chine']), Emoji(name: 'sake', char: '\u{1F376}', shortName: 'sake', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'beverage', 'bottle', 'cup', 'drink', 'drink', 'japan', 'alcohol', 'sake', 'girls night', 'chinese', 'dinner', 'restaurant', 'drinks', 'japanese', 'ninja', 'liquor', 'booze', 'ladies night', 'girls only', 'girlfriend', 'chinois', 'asian', 'chine', 'lunch']), Emoji(name: 'bottle with popping cork', char: '\u{1F37E}', shortName: 'champagne', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'bottle', 'cork', 'drink', 'popping', 'drink', 'holidays', 'alcohol', 'cheers', 'celebrate', 'paris', 'rich', 'toast', 'picnic', 'restaurant', 'drinks', 'holiday', 'liquor', 'booze', 'gān bēi', 'Na zdravi', 'Proost', 'Prost', 'Sláinte', 'Cin cin', 'Kanpai', 'Na zdrowie', 'Saúde', 'На здоровье', 'Salud', 'Skål', 'Sei gesund', 'santé', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'french', 'france', 'grand', 'expensive', 'fancy']), Emoji(name: 'wine glass', char: '\u{1F377}', shortName: 'wine_glass', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'beverage', 'drink', 'glass', 'wine', 'drink', 'italian', 'christmas', 'alcohol', 'cocktail', 'girls night', 'australia', 'paris', 'rich', 'dinner', 'picnic', 'thanksgiving', 'restaurant', 'drinks', 'italy', 'italie', 'navidad', 'xmas', 'noel', 'merry christmas', 'liquor', 'booze', 'martini', 'ladies night', 'girls only', 'girlfriend', 'french', 'france', 'grand', 'expensive', 'fancy', 'lunch']), Emoji(name: 'cocktail glass', char: '\u{1F378}', shortName: 'cocktail', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'cocktail', 'drink', 'glass', 'drink', 'alcohol', 'cocktail', 'girls night', 'las vegas', 'dinner', 'restaurant', 'drinks', 'liquor', 'booze', 'martini', 'ladies night', 'girls only', 'girlfriend', 'vegas', 'lunch']), Emoji(name: 'tropical drink', char: '\u{1F379}', shortName: 'tropical_drink', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'drink', 'tropical', 'drink', 'alcohol', 'tropical', 'cocktail', 'tea', 'citrus', 'summer', 'dinner', 'restaurant', 'drinks', 'liquor', 'booze', 'martini', 'iced tea', 'juice', 'lime', 'weekend', 'lunch']), Emoji(name: 'beer mug', char: '\u{1F37A}', shortName: 'beer', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'beer', 'drink', 'mug', 'drink', 'alcohol', 'beer', 'cocktail', 'friend', 'irish', 'dinner', 'german', 'restaurant', 'drinks', 'liquor', 'booze', 'martini', 'friends', 'friendship', 'best friends', 'bestfriends', 'saint patricks day', 'st patricks day', 'leprechaun', 'lunch', 'oktoberfest', 'octoberfest', 'bratwurst']), Emoji(name: 'clinking beer mugs', char: '\u{1F37B}', shortName: 'beers', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['bar', 'beer', 'clink', 'drink', 'mug', 'drink', 'alcohol', 'cheers', 'beer', 'cocktail', 'thank you', 'girls night', 'boys night', 'friend', 'celebrate', 'irish', 'toast', 'german', 'restaurant', 'drinks', 'liquor', 'booze', 'gān bēi', 'Na zdravi', 'Proost', 'Prost', 'Sláinte', 'Cin cin', 'Kanpai', 'Na zdrowie', 'Saúde', 'На здоровье', 'Salud', 'Skål', 'Sei gesund', 'santé', 'martini', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'ladies night', 'girls only', 'girlfriend', 'guys night', 'friends', 'friendship', 'best friends', 'bestfriends', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'saint patricks day', 'st patricks day', 'leprechaun', 'oktoberfest', 'octoberfest', 'bratwurst']), Emoji(name: 'clinking glasses', char: '\u{1F942}', shortName: 'champagne_glass', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['celebrate', 'clink', 'drink', 'glass', 'drink', 'alcohol', 'cheers', 'girls night', 'friend', 'celebrate', 'toast', 'restaurant', 'drinks', 'liquor', 'booze', 'gān bēi', 'Na zdravi', 'Proost', 'Prost', 'Sláinte', 'Cin cin', 'Kanpai', 'Na zdrowie', 'Saúde', 'На здоровье', 'Salud', 'Skål', 'Sei gesund', 'santé', 'ladies night', 'girls only', 'girlfriend', 'friends', 'friendship', 'best friends', 'bestfriends', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo']), Emoji(name: 'tumbler glass', char: '\u{1F943}', shortName: 'tumbler_glass', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['glass', 'liquor', 'shot', 'tumbler', 'whisky', 'drink', 'japan', 'alcohol', 'cocktail', 'boys night', 'whisky', 'irish', 'scotland', 'las vegas', 'restaurant', 'keto', 'drinks', 'japanese', 'ninja', 'liquor', 'booze', 'martini', 'guys night', 'whiskey', 'scotch', 'saint patricks day', 'st patricks day', 'leprechaun', 'scottish', 'vegas']), Emoji(name: 'cup with straw', char: '\u{1F964}', shortName: 'cup_with_straw', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['drink', 'dinner', 'soda', 'restaurant', 'keto', 'drinks', 'lunch', 'cola', 'milkshake', 'soft drink', 'sippy cup', 'coke', 'pepsi']), Emoji(name: 'beverage box', char: '\u{1F9C3}', shortName: 'beverage_box', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['drink', 'apples', 'citrus', 'snacks', 'drinks', 'juice', 'lime', 'snack']), Emoji(name: 'mate', char: '\u{1F9C9}', shortName: 'mate', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['drink', 'caffeine', 'tea', 'yerba', 'drinks', 'decaffeinated', 'decaf', 'iced tea', 'chimarrão', 'cimarrón', 'maté']), Emoji(name: 'ice', char: '\u{1F9CA}', shortName: 'ice_cube', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.drink, keywords: ['snow', 'cold', 'igloo', 'cubo de hielo', 'freeze', 'frozen', 'frost', 'ice cube', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'glaçon', 'cubetto di ghiaccio']), Emoji(name: 'chopsticks', char: '\u{1F962}', shortName: 'chopsticks', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.dishware, keywords: ['food', 'sushi', 'japan', 'chinese', 'utensils', 'restaurant', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'fork and knife with plate', char: '\u{1F37D}', shortName: 'fork_knife_plate', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.dishware, keywords: ['cooking', 'fork', 'knife', 'plate', 'food', 'cutlery', 'diet', 'dinner', 'picnic', 'utensils', 'restaurant', 'dishes', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'dish', 'lunch']), Emoji(name: 'fork and knife', char: '\u{1F374}', shortName: 'fork_and_knife', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.dishware, keywords: ['cooking', 'fork', 'knife', 'food', 'christmas', 'cutlery', 'dinner', 'steel', 'picnic', 'independence day', 'utensils', 'restaurant', 'dishes', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'navidad', 'xmas', 'noel', 'merry christmas', 'dish', 'lunch']), Emoji(name: 'spoon', char: '\u{1F944}', shortName: 'spoon', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.dishware, keywords: ['spoon', 'tableware', 'food', 'cutlery', 'steel', 'utensils', 'restaurant', 'dishes', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'dish']), Emoji(name: 'kitchen knife', char: '\u{1F52A}', shortName: 'knife', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.dishware, keywords: ['cooking', 'hocho', 'knife', 'tool', 'weapon', 'tool', 'weapon', 'blood', 'cutlery', 'minecraft', 'crazy', 'killer', 'hunt', 'steel', 'utensils', 'knives', 'chop', 'tools', 'weapons', 'sangre', 'sang', 'blut', 'sangue', 'dish', 'weird', 'awkward', 'insane', 'wild', 'savage', 'scary clown']), Emoji(name: 'amphora', char: '\u{1F3FA}', shortName: 'amphora', emojiGroup: EmojiGroup.foodDrink, emojiSubgroup: EmojiSubgroup.dishware, keywords: ['Aquarius', 'cooking', 'drink', 'jug', 'tool', 'weapon', 'zodiac', 'bling', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure']), Emoji(name: 'globe showing Europe-Africa', char: '\u{1F30D}', shortName: 'earth_africa', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['Africa', 'Europe', 'earth', 'globe', 'world', 'space', 'map', 'vacation', 'globe', 'history', 'world', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'maps', 'location', 'locate', 'local', 'lost', 'globes', 'planet', 'earth', 'earthquake', 'ancient', 'old']), Emoji(name: 'globe showing Americas', char: '\u{1F30E}', shortName: 'earth_americas', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['Americas', 'earth', 'globe', 'world', 'weather', 'america', 'space', 'map', 'vacation', 'globe', 'history', 'world', 'usa', 'united states', 'united states of america', 'american', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'maps', 'location', 'locate', 'local', 'lost', 'globes', 'planet', 'earth', 'earthquake', 'ancient', 'old']), Emoji(name: 'globe showing Asia-Australia', char: '\u{1F30F}', shortName: 'earth_asia', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['Asia', 'Australia', 'earth', 'globe', 'world', 'space', 'map', 'vacation', 'globe', 'history', 'world', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'maps', 'location', 'locate', 'local', 'lost', 'globes', 'planet', 'earth', 'earthquake', 'ancient', 'old']), Emoji(name: 'globe with meridians', char: '\u{1F310}', shortName: 'globe_with_meridians', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['earth', 'globe', 'meridians', 'world', 'talk', 'globe', 'history', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'globes', 'planet', 'earth', 'earthquake', 'ancient', 'old']), Emoji(name: 'world map', char: '\u{1F5FA}', shortName: 'map', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['map', 'world', 'travel', 'map', 'vacation', 'pirate', 'history', 'minecraft', 'direction', 'world', 'maps', 'location', 'locate', 'local', 'lost', 'ancient', 'old']), Emoji(name: 'map of Japan', char: '\u{1F5FE}', shortName: 'japan', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['Japan', 'map', 'places', 'travel', 'japan', 'map', 'vacation', 'japanese', 'ninja', 'maps', 'location', 'locate', 'local', 'lost']), Emoji(name: 'compass', char: '\u{1F9ED}', shortName: 'compass', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeMap, keywords: ['travel', 'camp', 'science', 'globe', 'navigate', 'direction', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'lab', 'globes', 'planet', 'earth', 'earthquake']), Emoji(name: 'snow-capped mountain', char: '\u{1F3D4}', shortName: 'mountain_snow', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['cold', 'mountain', 'snow', 'places', 'winter', 'travel', 'snow', 'camp', 'vacation', 'cold', 'mountain', 'paris', 'polar bear', 'freeze', 'frozen', 'frost', 'ice cube', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'french', 'france']), Emoji(name: 'mountain', char: '\u{26F0}', shortName: 'mountain', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['mountain', 'places', 'travel', 'camp', 'vacation', 'mountain', 'camping', 'tent', 'camper', 'outdoor', 'outside']), Emoji(name: 'volcano', char: '\u{1F30B}', shortName: 'volcano', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['eruption', 'mountain', 'places', 'travel', 'japan', 'smoking', 'tropical', 'mountain', 'explosion', 'hawaii', 'minecraft', 'japanese', 'ninja', 'smoke', 'cigarette', 'puff', 'explode', 'aloha', 'kawaii', 'maui', 'moana']), Emoji(name: 'mount fuji', char: '\u{1F5FB}', shortName: 'mount_fuji', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['fuji', 'mountain', 'places', 'travel', 'japan', 'camp', 'vacation', 'cold', 'mountain', 'japanese', 'ninja', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'camping', char: '\u{1F3D5}', shortName: 'camping', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['camping', 'places', 'travel', 'camp', 'vacation', 'mountain', 'fun', 'camping', 'tent', 'camper', 'outdoor', 'outside']), Emoji(name: 'beach with umbrella', char: '\u{1F3D6}', shortName: 'beach', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['beach', 'umbrella', 'places', 'travel', 'tropical', 'vacation', 'swim', 'beach', 'australia', 'umbrella', 'hawaii', 'california', 'florida', 'fun', 'summer', 'swimming', 'swimmer', 'aloha', 'kawaii', 'maui', 'moana', 'weekend']), Emoji(name: 'desert', char: '\u{1F3DC}', shortName: 'desert', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['desert', 'places', 'travel', 'vacation', 'hot', 'australia', 'california', 'las vegas', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'vegas']), Emoji(name: 'desert island', char: '\u{1F3DD}', shortName: 'island', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['desert', 'island', 'places', 'travel', 'tropical', 'vacation', 'swim', 'beach', 'hawaii', 'florida', 'summer', 'swimming', 'swimmer', 'aloha', 'kawaii', 'maui', 'moana', 'weekend']), Emoji(name: 'national park', char: '\u{1F3DE}', shortName: 'park', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeGeographic, keywords: ['park', 'travel', 'camp', 'vacation', 'park', 'river', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'parks']), Emoji(name: 'stadium', char: '\u{1F3DF}', shortName: 'stadium', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['stadium', 'building', 'instruments', 'places', 'travel', 'game', 'vacation', 'boys night', 'buildings', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'games', 'gaming', 'guys night']), Emoji(name: 'classical building', char: '\u{1F3DB}', shortName: 'classical_building', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['classical', 'building', 'places', 'travel', 'vacation', 'police', 'history', 'court', 'buildings', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice', 'ancient', 'old']), Emoji(name: 'building construction', char: '\u{1F3D7}', shortName: 'construction_site', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['construction', 'building', 'crane', 'build', 'construction', 'buildings']), Emoji(name: 'brick', char: '\u{1F9F1}', shortName: 'bricks', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['house', 'trap', 'donald trump', 'private', 'household', 'build', 'houses', 'apartment', 'apartments', 'casa', 'maison', 'home', 'trump', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'houses', char: '\u{1F3D8}', shortName: 'homes', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['houses', 'building', 'places', 'house', 'buildings', 'houses', 'apartment', 'apartments', 'casa', 'maison', 'home']), Emoji(name: 'derelict house', char: '\u{1F3DA}', shortName: 'house_abandoned', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['derelict', 'house', 'building', 'places', 'house', 'halloween', 'buildings', 'houses', 'apartment', 'apartments', 'casa', 'maison', 'home', 'samhain']), Emoji(name: 'house', char: '\u{1F3E0}', shortName: 'house', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['home', 'house', 'building', 'places', 'house', 'buildings', 'houses', 'apartment', 'apartments', 'casa', 'maison', 'home']), Emoji(name: 'house with garden', char: '\u{1F3E1}', shortName: 'house_with_garden', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['garden', 'home', 'house', 'building', 'places', 'house', 'buildings', 'houses', 'apartment', 'apartments', 'casa', 'maison', 'home']), Emoji(name: 'office building', char: '\u{1F3E2}', shortName: 'office', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['building', 'building', 'work', 'places', 'office', 'business', 'buildings', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'Japanese post office', char: '\u{1F3E3}', shortName: 'post_office', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['Japanese', 'post', 'building', 'places', 'japan', 'mail', 'buildings', 'japanese', 'ninja', 'email', 'post', 'post office']), Emoji(name: 'post office', char: '\u{1F3E4}', shortName: 'european_post_office', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['European', 'post', 'building', 'places', 'mail', 'buildings', 'email', 'post', 'post office']), Emoji(name: 'hospital', char: '\u{1F3E5}', shortName: 'hospital', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['doctor', 'medicine', 'building', 'places', 'health', '911', 'nurse', 'buildings', 'medicine', 'doctor', 'emergency', 'injury']), Emoji(name: 'bank', char: '\u{1F3E6}', shortName: 'bank', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['building', 'building', 'places', 'money', 'rich', 'buildings', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'grand', 'expensive', 'fancy']), Emoji(name: 'hotel', char: '\u{1F3E8}', shortName: 'hotel', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['building', 'building', 'places', 'vacation', 'las vegas', 'hotel', 'buildings', 'vegas', 'vacancy', 'no vacancy']), Emoji(name: 'love hotel', char: '\u{1F3E9}', shortName: 'love_hotel', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['hotel', 'love', 'building', 'places', 'love', 'japan', 'vacation', 'pink', 'porn', 'hotel', 'buildings', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'japanese', 'ninja', 'vacancy', 'no vacancy']), Emoji(name: 'convenience store', char: '\u{1F3EA}', shortName: 'convenience_store', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['convenience', 'store', 'building', 'places', 'las vegas', 'buildings', 'vegas']), Emoji(name: 'school', char: '\u{1F3EB}', shortName: 'school', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['building', 'building', 'places', 'office', 'buildings', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'department store', char: '\u{1F3EC}', shortName: 'department_store', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['department', 'store', 'building', 'places', 'disney', 'buildings', 'cartoon']), Emoji(name: 'factory', char: '\u{1F3ED}', shortName: 'factory', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['building', 'building', 'places', 'travel', 'steam', 'power', 'poison', 'buildings', 'steaming', 'piping', 'toxic', 'toxins']), Emoji(name: 'Japanese castle', char: '\u{1F3EF}', shortName: 'japanese_castle', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['Japanese', 'castle', 'building', 'places', 'travel', 'japan', 'vacation', 'buildings', 'japanese', 'ninja']), Emoji(name: 'castle', char: '\u{1F3F0}', shortName: 'european_castle', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['European', 'building', 'places', 'travel', 'vacation', 'paris', 'history', 'irish', 'scotland', 'viking', 'minecraft', 'buildings', 'french', 'france', 'ancient', 'old', 'saint patricks day', 'st patricks day', 'leprechaun', 'scottish', 'knight']), Emoji(name: 'wedding', char: '\u{1F492}', shortName: 'wedding', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['chapel', 'romance', 'building', 'places', 'wedding', 'love', 'pink', 'buildings', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey']), Emoji(name: 'Tokyo tower', char: '\u{1F5FC}', shortName: 'tokyo_tower', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['Tokyo', 'tower', 'places', 'travel', 'japan', 'vacation', 'japanese', 'ninja']), Emoji(name: 'Statue of Liberty', char: '\u{1F5FD}', shortName: 'statue_of_liberty', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeBuilding, keywords: ['liberty', 'statue', 'places', 'america', 'travel', 'vacation', 'statue of liberty', 'free speech', 'new york', 'independence day', 'usa', 'united states', 'united states of america', 'american', 'statueofliberty', 'freedom of speech']), Emoji(name: 'church', char: '\u{26EA}', shortName: 'church', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeReligious, keywords: ['Christian', 'cross', 'religion', 'building', 'places', 'wedding', 'religion', 'travel', 'christmas', 'pray', 'condolence', 'jesus', 'easter', 'bible', 'advent', 'buildings', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'navidad', 'xmas', 'noel', 'merry christmas', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'compassion']), Emoji(name: 'mosque', char: '\u{1F54C}', shortName: 'mosque', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeReligious, keywords: ['Muslim', 'islam', 'religion', 'building', 'places', 'religion', 'vacation', 'pray', 'condolence', 'islam', 'buildings', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'compassion', 'muslim', 'arab']), Emoji(name: 'hindu temple', char: '\u{1F6D5}', shortName: 'hindu_temple', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeReligious, keywords: ['travel', 'dharmachakra', 'jainism', 'buddhism', 'hinduism', 'nirvana', 'maintain', 'keep', 'law', 'bueno', 'dharma', 'kama', 'artha', 'moksa', 'karma']), Emoji(name: 'synagogue', char: '\u{1F54D}', shortName: 'synagogue', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeReligious, keywords: ['Jew', 'Jewish', 'religion', 'temple', 'building', 'places', 'wedding', 'religion', 'vacation', 'pray', 'condolence', 'jewish', 'buildings', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'compassion', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'shinto shrine', char: '\u{26E9}', shortName: 'shinto_shrine', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeReligious, keywords: ['religion', 'shinto', 'shrine', 'building', 'places', 'travel', 'japan', 'vacation', 'buildings', 'japanese', 'ninja']), Emoji(name: 'kaaba', char: '\u{1F54B}', shortName: 'kaaba', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeReligious, keywords: ['Muslim', 'islam', 'religion', 'building', 'places', 'religion', 'pray', 'condolence', 'islam', 'buildings', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'compassion', 'muslim', 'arab']), Emoji(name: 'fountain', char: '\u{26F2}', shortName: 'fountain', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['fountain', 'travel', 'vacation', 'rich', 'grand', 'expensive', 'fancy']), Emoji(name: 'tent', char: '\u{26FA}', shortName: 'tent', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['camping', 'places', 'travel', 'camp', 'vacation', 'camping', 'tent', 'camper', 'outdoor', 'outside']), Emoji(name: 'foggy', char: '\u{1F301}', shortName: 'foggy', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['fog', 'building', 'places', 'sky', 'travel', 'vacation', 'england', 'buildings', 'united kingdom', 'london', 'uk']), Emoji(name: 'night with stars', char: '\u{1F303}', shortName: 'night_with_stars', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['night', 'star', 'building', 'places', 'halloween', 'sky', 'vacation', 'goodnight', 'buildings', 'samhain']), Emoji(name: 'cityscape', char: '\u{1F3D9}', shortName: 'cityscape', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['city', 'building', 'places', 'vacation', 'new york', 'england', 'donald trump', 'rich', 'buildings', 'united kingdom', 'london', 'uk', 'trump', 'grand', 'expensive', 'fancy']), Emoji(name: 'sunrise over mountains', char: '\u{1F304}', shortName: 'sunrise_over_mountains', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['morning', 'mountain', 'sun', 'sunrise', 'places', 'sun', 'sky', 'travel', 'camp', 'vacation', 'day', 'morning', 'mountain', 'california', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'good morning']), Emoji(name: 'sunrise', char: '\u{1F305}', shortName: 'sunrise', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['morning', 'sun', 'places', 'sun', 'sky', 'travel', 'tropical', 'vacation', 'day', 'hump day', 'morning', 'hawaii', 'california', 'florida', 'scuba', 'summer', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'good morning', 'aloha', 'kawaii', 'maui', 'moana', 'snorkel', 'weekend']), Emoji(name: 'cityscape at dusk', char: '\u{1F306}', shortName: 'city_dusk', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['city', 'dusk', 'evening', 'landscape', 'sun', 'sunset', 'building', 'places', 'buildings']), Emoji(name: 'sunset', char: '\u{1F307}', shortName: 'city_sunset', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['dusk', 'sun', 'building', 'places', 'sky', 'vacation', 'buildings']), Emoji(name: 'bridge at night', char: '\u{1F309}', shortName: 'bridge_at_night', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['bridge', 'night', 'places', 'travel', 'vacation', 'goodnight', 'england', 'california', 'united kingdom', 'london', 'uk']), Emoji(name: 'hot springs', char: '\u{2668}', shortName: 'hotsprings', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['hot', 'hotsprings', 'springs', 'steaming', 'japan', 'smoking', 'hot', 'steam', 'onsen', 'wash', 'spa', 'japanese', 'ninja', 'smoke', 'cigarette', 'puff', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'steaming', 'piping', 'shower', 'bathe', 'bathing', 'relax', 'sauna']), Emoji(name: 'carousel horse', char: '\u{1F3A0}', shortName: 'carousel_horse', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['carousel', 'horse', 'places', 'vacation', 'roller coaster', 'carousel', 'donkey', 'disney', 'fun', 'independence day', 'amusement park', 'carousel horse', 'poney', 'cartoon']), Emoji(name: 'ferris wheel', char: '\u{1F3A1}', shortName: 'ferris_wheel', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['amusement park', 'ferris', 'wheel', 'places', 'travel', 'vacation', 'ferris wheel', 'roller coaster', 'england', 'disney', 'fun', 'independence day', 'amusement park', 'united kingdom', 'london', 'uk', 'cartoon']), Emoji(name: 'roller coaster', char: '\u{1F3A2}', shortName: 'roller_coaster', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['amusement park', 'coaster', 'roller', 'places', 'travel', 'vacation', 'roller coaster', 'disney', 'fun', 'amusement park', 'cartoon']), Emoji(name: 'barber pole', char: '\u{1F488}', shortName: 'barber', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['barber', 'haircut', 'pole']), Emoji(name: 'circus tent', char: '\u{1F3AA}', shortName: 'circus_tent', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.placeOther, keywords: ['circus', 'tent', 'circus', 'magic', 'activity', 'independence day', 'opera', 'circus tent', 'clown', 'clowns', 'spell', 'genie', 'magical']), Emoji(name: 'locomotive', char: '\u{1F682}', shortName: 'steam_locomotive', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['engine', 'railway', 'steam', 'train', 'transportation', 'train', 'travel', 'steam', 'disney', 'trains', 'steaming', 'piping', 'cartoon']), Emoji(name: 'railway car', char: '\u{1F683}', shortName: 'railway_car', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'electric', 'railway', 'train', 'tram', 'trolleybus', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'high-speed train', char: '\u{1F684}', shortName: 'bullettrain_side', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['railway', 'shinkansen', 'speed', 'train', 'transportation', 'train', 'travel', 'vacation', 'trains']), Emoji(name: 'bullet train', char: '\u{1F685}', shortName: 'bullettrain_front', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['bullet', 'railway', 'shinkansen', 'speed', 'train', 'transportation', 'train', 'travel', 'vacation', 'trains']), Emoji(name: 'train', char: '\u{1F686}', shortName: 'train2', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['railway', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'metro', char: '\u{1F687}', shortName: 'metro', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['subway', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'light rail', char: '\u{1F688}', shortName: 'light_rail', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['railway', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'station', char: '\u{1F689}', shortName: 'station', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['railway', 'train', 'transportation', 'train', 'travel', 'vacation', 'trains']), Emoji(name: 'tram', char: '\u{1F68A}', shortName: 'tram', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['trolleybus', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'monorail', char: '\u{1F69D}', shortName: 'monorail', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['vehicle', 'transportation', 'train', 'travel', 'vacation', 'disney', 'trains', 'cartoon']), Emoji(name: 'mountain railway', char: '\u{1F69E}', shortName: 'mountain_railway', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'mountain', 'railway', 'transportation', 'train', 'travel', 'vacation', 'mountain', 'trains']), Emoji(name: 'tram car', char: '\u{1F68B}', shortName: 'train', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'tram', 'trolleybus', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'bus', char: '\u{1F68C}', shortName: 'bus', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['vehicle', 'transportation', 'bus', 'office', 'travel', 'vacation', 'buses', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'oncoming bus', char: '\u{1F68D}', shortName: 'oncoming_bus', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['bus', 'oncoming', 'transportation', 'bus', 'travel', 'buses']), Emoji(name: 'trolleybus', char: '\u{1F68E}', shortName: 'trolleybus', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['bus', 'tram', 'trolley', 'transportation', 'bus', 'travel', 'buses']), Emoji(name: 'minibus', char: '\u{1F690}', shortName: 'minibus', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['bus', 'transportation', 'bus', 'travel', 'camp', 'vacation', 'buses', 'camping', 'tent', 'camper', 'outdoor', 'outside']), Emoji(name: 'ambulance', char: '\u{1F691}', shortName: 'ambulance', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['vehicle', 'transportation', '911', 'sirens', 'help', 'poison', 'emergency', 'injury', 'switch', 'toxic', 'toxins']), Emoji(name: 'fire engine', char: '\u{1F692}', shortName: 'fire_engine', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['engine', 'fire', 'truck', 'transportation', 'truck', '911', 'sirens', 'help', 'fires', 'trucks', 'emergency', 'injury', 'switch']), Emoji(name: 'police car', char: '\u{1F693}', shortName: 'police_car', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'patrol', 'police', 'transportation', 'car', 'police', '911', 'sirens', 'help', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice', 'emergency', 'injury', 'switch']), Emoji(name: 'oncoming police car', char: '\u{1F694}', shortName: 'oncoming_police_car', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'oncoming', 'police', 'transportation', 'car', 'police', '911', 'sirens', 'help', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice', 'emergency', 'injury', 'switch']), Emoji(name: 'taxi', char: '\u{1F695}', shortName: 'taxi', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['vehicle', 'transportation', 'car', 'travel', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto']), Emoji(name: 'oncoming taxi', char: '\u{1F696}', shortName: 'oncoming_taxi', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['oncoming', 'taxi', 'transportation', 'car', 'travel', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto']), Emoji(name: 'automobile', char: '\u{1F697}', shortName: 'red_car', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'transportation', 'car', 'travel', 'toy', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto']), Emoji(name: 'oncoming automobile', char: '\u{1F698}', shortName: 'oncoming_automobile', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['automobile', 'car', 'oncoming', 'transportation', 'car', 'travel', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto']), Emoji(name: 'sport utility vehicle', char: '\u{1F699}', shortName: 'blue_car', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['recreational', 'sport utility', 'transportation', 'car', 'travel', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto']), Emoji(name: 'delivery truck', char: '\u{1F69A}', shortName: 'truck', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['delivery', 'truck', 'transportation', 'truck', 'moving', 'trucks']), Emoji(name: 'articulated lorry', char: '\u{1F69B}', shortName: 'articulated_lorry', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['lorry', 'semi', 'truck', 'transportation', 'truck', 'moving', 'trucks']), Emoji(name: 'tractor', char: '\u{1F69C}', shortName: 'tractor', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['vehicle', 'transportation', 'farm']), Emoji(name: 'racing car', char: '\u{1F3CE}', shortName: 'race_car', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['car', 'racing', 'transportation', 'car', 'disney', 'fun', 'rich', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto', 'cartoon', 'grand', 'expensive', 'fancy']), Emoji(name: 'motorcycle', char: '\u{1F3CD}', shortName: 'motorcycle', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['racing', 'transportation', 'bike', 'travel', 'super hero', 'fun', 'bikes', 'bicycle', 'bicycling', 'superhero', 'superman', 'batman']), Emoji(name: 'motor scooter', char: '\u{1F6F5}', shortName: 'motor_scooter', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['motor', 'scooter', 'transportation', 'travel', 'thai', 'pattaya']), Emoji(name: 'manual wheelchair', char: '\u{1F9BD}', shortName: 'manual_wheelchair', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['transportation', 'handicap', 'accessibility', 'disabled', 'disability']), Emoji(name: 'motorized wheelchair', char: '\u{1F9BC}', shortName: 'motorized_wheelchair', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['transportation', 'handicap', 'accessibility', 'disabled', 'disability']), Emoji(name: 'auto rickshaw', char: '\u{1F6FA}', shortName: 'auto_rickshaw', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['transportation', 'car', 'travel', 'vacation', 'thai', 'chinese', 'cart', 'tuk tuk', 'cars', 'vehicle', 'fast car', 'drive', 'driving', 'auto', 'pattaya', 'chinois', 'asian', 'chine', 'pedicab', 'trishaw', 'jinrikisha']), Emoji(name: 'bicycle', char: '\u{1F6B2}', shortName: 'bike', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['bike', 'transportation', 'bike', 'travel', 'bikes', 'bicycle', 'bicycling']), Emoji(name: 'kick scooter', char: '\u{1F6F4}', shortName: 'scooter', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['kick', 'scooter', 'transportation']), Emoji(name: 'skateboard', char: '\u{1F6F9}', shortName: 'skateboard', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['sport', 'fun', 'activity', 'boosted', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'boosted board']), Emoji(name: 'bus stop', char: '\u{1F68F}', shortName: 'busstop', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['bus', 'busstop', 'stop']), Emoji(name: 'motorway', char: '\u{1F6E3}', shortName: 'motorway', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['highway', 'road', 'travel', 'camp', 'vacation', 'road', 'camping', 'tent', 'camper', 'outdoor', 'outside', 'route', 'highway', 'street']), Emoji(name: 'railway track', char: '\u{1F6E4}', shortName: 'railway_track', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['railway', 'train', 'train', 'travel', 'vacation', 'trains']), Emoji(name: 'oil drum', char: '\u{1F6E2}', shortName: 'oil', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['drum', 'oil', 'jewish', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'fuel pump', char: '\u{26FD}', shortName: 'fuelpump', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['fuel', 'fuelpump', 'gas', 'pump', 'station', 'gas pump', 'petrol']), Emoji(name: 'police car light', char: '\u{1F6A8}', shortName: 'rotating_light', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['beacon', 'car', 'light', 'police', 'revolving', 'transportation', 'police', '911', 'sirens', 'help', 'cop', 'policeman', 'popo', 'prison', 'handcuff', 'jail', 'justice', 'emergency', 'injury', 'switch']), Emoji(name: 'horizontal traffic light', char: '\u{1F6A5}', shortName: 'traffic_light', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['light', 'signal', 'traffic', 'stop light']), Emoji(name: 'vertical traffic light', char: '\u{1F6A6}', shortName: 'vertical_traffic_light', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['light', 'signal', 'traffic', 'stop light']), Emoji(name: 'stop sign', char: '\u{1F6D1}', shortName: 'octagonal_sign', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['octagonal', 'sign', 'stop', 'stop light', 'sol', 'danger', 'private', 'shit outta luck', 'shit out of luck', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'construction', char: '\u{1F6A7}', shortName: 'construction', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportGround, keywords: ['barrier', 'construction']), Emoji(name: 'anchor', char: '\u{2693}', shortName: 'anchor', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['ship', 'tool', 'boat', 'vacation', 'pirate', 'boats', 'boating']), Emoji(name: 'sailboat', char: '\u{26F5}', shortName: 'sailboat', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['boat', 'resort', 'sea', 'yacht', 'transportation', 'travel', 'boat', 'vacation', 'rich', 'boats', 'boating', 'grand', 'expensive', 'fancy']), Emoji(name: 'canoe', char: '\u{1F6F6}', shortName: 'canoe', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['boat', 'canoe', 'transportation', 'travel', 'rowing', 'rowboat', 'canoe']), Emoji(name: 'speedboat', char: '\u{1F6A4}', shortName: 'speedboat', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['boat', 'transportation', 'travel', 'boat', 'tropical', 'vacation', 'florida', 'scuba', 'boats', 'boating', 'snorkel']), Emoji(name: 'passenger ship', char: '\u{1F6F3}', shortName: 'cruise_ship', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['passenger', 'ship', 'transportation', 'travel', 'boat', 'vacation', 'disney', 'florida', 'fun', 'boats', 'boating', 'cartoon']), Emoji(name: 'ferry', char: '\u{26F4}', shortName: 'ferry', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['boat', 'passenger', 'transportation', 'travel', 'boat', 'vacation', 'boats', 'boating']), Emoji(name: 'motor boat', char: '\u{1F6E5}', shortName: 'motorboat', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['boat', 'motorboat', 'transportation', 'travel', 'boat', 'scuba', 'rich', 'boats', 'boating', 'snorkel', 'grand', 'expensive', 'fancy']), Emoji(name: 'ship', char: '\u{1F6A2}', shortName: 'ship', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportWater, keywords: ['boat', 'passenger', 'transportation', 'travel', 'boat', 'smoking', 'vacation', 'moving', 'boats', 'boating', 'smoke', 'cigarette', 'puff']), Emoji(name: 'airplane', char: '\u{2708}', shortName: 'airplane', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['aeroplane', 'airplane', 'transportation', 'plane', 'fly', 'travel', 'vacation', 'airplane', 'planes', 'flight', 'flying', 'flights', 'avion', 'airline', 'aircraft', 'airforce', 'air force', 'airport']), Emoji(name: 'small airplane', char: '\u{1F6E9}', shortName: 'airplane_small', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['aeroplane', 'airplane', 'transportation', 'plane', 'fly', 'travel', 'vacation', 'airplane', 'rich', 'planes', 'flight', 'flying', 'flights', 'avion', 'airline', 'aircraft', 'airforce', 'air force', 'airport', 'grand', 'expensive', 'fancy']), Emoji(name: 'airplane departure', char: '\u{1F6EB}', shortName: 'airplane_departure', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['aeroplane', 'airplane', 'check-in', 'departure', 'departures', 'transportation', 'plane', 'fly', 'travel', 'vacation', 'airplane', 'planes', 'flight', 'flying', 'flights', 'avion', 'airline', 'aircraft', 'airforce', 'air force', 'airport']), Emoji(name: 'airplane arrival', char: '\u{1F6EC}', shortName: 'airplane_arriving', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['aeroplane', 'airplane', 'arrivals', 'arriving', 'landing', 'transportation', 'plane', 'fly', 'travel', 'vacation', 'airplane', 'planes', 'flight', 'flying', 'flights', 'avion', 'airline', 'aircraft', 'airforce', 'air force', 'airport']), Emoji(name: 'parachute', char: '\u{1FA82}', shortName: 'parachute', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['fly', 'vacation', 'airplane', 'activity', 'kite', 'skydive', 'flight', 'flying', 'flights', 'avion', 'airline', 'aircraft', 'airforce', 'air force', 'airport', 'hang-glide', 'parasail']), Emoji(name: 'seat', char: '\u{1F4BA}', shortName: 'seat', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['chair', 'transportation', 'fly', 'travel', 'vacation', 'seat', 'flight', 'flying', 'flights', 'avion', 'bench', 'sedia', 'Stuhl', 'chaise', 'silla', 'armchair']), Emoji(name: 'helicopter', char: '\u{1F681}', shortName: 'helicopter', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['vehicle', 'transportation', 'plane', 'fly', 'travel', 'vacation', 'rich', 'planes', 'flight', 'flying', 'flights', 'avion', 'grand', 'expensive', 'fancy']), Emoji(name: 'suspension railway', char: '\u{1F69F}', shortName: 'suspension_railway', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['railway', 'suspension', 'transportation', 'train', 'travel', 'trains']), Emoji(name: 'mountain cableway', char: '\u{1F6A0}', shortName: 'mountain_cableway', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['cable', 'gondola', 'mountain', 'transportation', 'train', 'travel', 'skiing', 'snowboarding', 'trains', 'ski', 'snow skiing', 'ski boot', 'snowboarder']), Emoji(name: 'aerial tramway', char: '\u{1F6A1}', shortName: 'aerial_tramway', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['aerial', 'cable', 'car', 'gondola', 'tramway', 'transportation', 'train', 'travel', 'disney', 'trains', 'cartoon']), Emoji(name: 'satellite', char: '\u{1F6F0}', shortName: 'satellite_orbital', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['space', 'space', 'drone', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship']), Emoji(name: 'rocket', char: '\u{1F680}', shortName: 'rocket', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['space', 'transportation', 'fly', 'space', 'travel', 'blast', 'star wars', 'flight', 'flying', 'flights', 'avion', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'boom']), Emoji(name: 'flying saucer', char: '\u{1F6F8}', shortName: 'flying_saucer', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.transportAir, keywords: ['UFO', 'transportation', 'space', 'travel', 'alien', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'ufo']), Emoji(name: 'bellhop bell', char: '\u{1F6CE}', shortName: 'bellhop', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.hotel, keywords: ['bell', 'bellhop', 'hotel', 'vacation', 'help', 'suitcase', 'hotel', 'carry-on', 'vacancy', 'no vacancy']), Emoji(name: 'luggage', char: '\u{1F9F3}', shortName: 'luggage', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.hotel, keywords: ['bag', 'travel', 'vacation', 'suitcase', 'household', 'swag', 'carry-on']), Emoji(name: 'hourglass done', char: '\u{231B}', shortName: 'hourglass', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['sand', 'timer', 'time', 'empty', 'percent', 'wait', 'clocks', 'clock', 'hours']), Emoji(name: 'hourglass not done', char: '\u{23F3}', shortName: 'hourglass_flowing_sand', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['hourglass', 'sand', 'timer', 'time', 'infinity', 'history', 'percent', 'wait', 'clocks', 'clock', 'infini', 'forever', 'ancient', 'old', 'hours']), Emoji(name: 'watch', char: '\u{231A}', shortName: 'watch', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['clock', 'electronics', 'time', 'accessories', 'bling', 'wait', 'clocks', 'clock', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'hours']), Emoji(name: 'alarm clock', char: '\u{23F0}', shortName: 'alarm_clock', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['alarm', 'clock', 'time', 'wait', 'clocks', 'clock', 'hours']), Emoji(name: 'stopwatch', char: '\u{23F1}', shortName: 'stopwatch', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['clock', 'electronics', 'time', 'wait', 'clocks', 'clock', 'hours']), Emoji(name: 'timer clock', char: '\u{23F2}', shortName: 'timer', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['clock', 'timer', 'time', 'bake', 'wait', 'clocks', 'clock', 'baking', 'hours']), Emoji(name: 'mantelpiece clock', char: '\u{1F570}', shortName: 'clock', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['clock', 'time', 'vintage', 'wait', 'household', 'clocks', 'clock', 'hours']), Emoji(name: 'twelve o’clock', char: '\u{1F55B}', shortName: 'clock12', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '12', '12:00', 'clock', 'o’clock', 'twelve', 'time', 'clocks', 'clock']), Emoji(name: 'twelve-thirty', char: '\u{1F567}', shortName: 'clock1230', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['12', '12:30', '30', 'clock', 'thirty', 'twelve', 'time', 'clocks', 'clock']), Emoji(name: 'one o’clock', char: '\u{1F550}', shortName: 'clock1', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '1', '1:00', 'clock', 'one', 'o’clock', 'time', 'clocks', 'clock']), Emoji(name: 'one-thirty', char: '\u{1F55C}', shortName: 'clock130', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['1', '1:30', '30', 'clock', 'one', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'two o’clock', char: '\u{1F551}', shortName: 'clock2', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '2', '2:00', 'clock', 'o’clock', 'two', 'time', 'clocks', 'clock']), Emoji(name: 'two-thirty', char: '\u{1F55D}', shortName: 'clock230', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['2', '2:30', '30', 'clock', 'thirty', 'two', 'time', 'clocks', 'clock']), Emoji(name: 'three o’clock', char: '\u{1F552}', shortName: 'clock3', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '3', '3:00', 'clock', 'o’clock', 'three', 'time', 'clocks', 'clock']), Emoji(name: 'three-thirty', char: '\u{1F55E}', shortName: 'clock330', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['3', '30', '3:30', 'clock', 'thirty', 'three', 'time', 'clocks', 'clock']), Emoji(name: 'four o’clock', char: '\u{1F553}', shortName: 'clock4', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '4', '4:00', 'clock', 'four', 'o’clock', 'time', 'clocks', 'clock']), Emoji(name: 'four-thirty', char: '\u{1F55F}', shortName: 'clock430', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['4', '30', '4:30', 'clock', 'four', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'five o’clock', char: '\u{1F554}', shortName: 'clock5', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '5', '5:00', 'clock', 'five', 'o’clock', 'time', 'clocks', 'clock']), Emoji(name: 'five-thirty', char: '\u{1F560}', shortName: 'clock530', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['5', '30', '5:30', 'clock', 'five', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'six o’clock', char: '\u{1F555}', shortName: 'clock6', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '6', '6:00', 'clock', 'o’clock', 'six', 'time', 'clocks', 'clock']), Emoji(name: 'six-thirty', char: '\u{1F561}', shortName: 'clock630', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['6', '30', '6:30', 'clock', 'six', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'seven o’clock', char: '\u{1F556}', shortName: 'clock7', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '7', '7:00', 'clock', 'o’clock', 'seven', 'time', 'clocks', 'clock']), Emoji(name: 'seven-thirty', char: '\u{1F562}', shortName: 'clock730', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['7', '30', '7:30', 'clock', 'seven', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'eight o’clock', char: '\u{1F557}', shortName: 'clock8', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '8', '8:00', 'clock', 'eight', 'o’clock', 'time', 'clocks', 'clock']), Emoji(name: 'eight-thirty', char: '\u{1F563}', shortName: 'clock830', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['8', '30', '8:30', 'clock', 'eight', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'nine o’clock', char: '\u{1F558}', shortName: 'clock9', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '9', '9:00', 'clock', 'nine', 'o’clock', 'time', 'clocks', 'clock']), Emoji(name: 'nine-thirty', char: '\u{1F564}', shortName: 'clock930', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['9', '30', '9:30', 'clock', 'nine', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'ten o’clock', char: '\u{1F559}', shortName: 'clock10', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '10', '10:00', 'clock', 'o’clock', 'ten', 'time', 'clocks', 'clock']), Emoji(name: 'ten-thirty', char: '\u{1F565}', shortName: 'clock1030', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['10', '10:30', '30', 'clock', 'ten', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'eleven o’clock', char: '\u{1F55A}', shortName: 'clock11', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['00', '11', '11:00', 'clock', 'eleven', 'o’clock', 'time', 'clocks', 'clock']), Emoji(name: 'eleven-thirty', char: '\u{1F566}', shortName: 'clock1130', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.time, keywords: ['11', '11:30', '30', 'clock', 'eleven', 'thirty', 'time', 'clocks', 'clock']), Emoji(name: 'new moon', char: '\u{1F311}', shortName: 'new_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['dark', 'moon', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'waxing crescent moon', char: '\u{1F312}', shortName: 'waxing_crescent_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['crescent', 'moon', 'waxing', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'first quarter moon', char: '\u{1F313}', shortName: 'first_quarter_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['moon', 'quarter', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'waxing gibbous moon', char: '\u{1F314}', shortName: 'waxing_gibbous_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['gibbous', 'moon', 'waxing', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'full moon', char: '\u{1F315}', shortName: 'full_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['full', 'moon', 'halloween', 'space', 'sky', 'moon', 'goodnight', 'samhain', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'waning gibbous moon', char: '\u{1F316}', shortName: 'waning_gibbous_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['gibbous', 'moon', 'waning', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'last quarter moon', char: '\u{1F317}', shortName: 'last_quarter_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['moon', 'quarter', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'waning crescent moon', char: '\u{1F318}', shortName: 'waning_crescent_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['crescent', 'moon', 'waning', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'crescent moon', char: '\u{1F319}', shortName: 'crescent_moon', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['crescent', 'moon', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'new moon face', char: '\u{1F31A}', shortName: 'new_moon_with_face', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['face', 'moon', 'space', 'sky', 'moon', 'goodnight', 'pokemon', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'first quarter moon face', char: '\u{1F31B}', shortName: 'first_quarter_moon_with_face', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['face', 'moon', 'quarter', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'last quarter moon face', char: '\u{1F31C}', shortName: 'last_quarter_moon_with_face', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['face', 'moon', 'quarter', 'space', 'sky', 'moon', 'goodnight', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'thermometer', char: '\u{1F321}', shortName: 'thermometer', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['weather', 'science', 'health', 'hot', 'lab', 'medicine', 'doctor', 'heat', 'warm', 'caliente', 'chaud', 'heiß']), Emoji(name: 'sun', char: '\u{2600}', shortName: 'sunny', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['bright', 'rays', 'sunny', 'weather', 'sun', 'space', 'sky', 'day', 'hot', 'morning', 'sunglasses', 'power', 'california', 'las vegas', 'summer', 'independence day', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'good morning', 'shades', 'lunettes de soleil', 'sun glasses', 'vegas', 'weekend']), Emoji(name: 'full moon face', char: '\u{1F31D}', shortName: 'full_moon_with_face', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['bright', 'face', 'full', 'moon', 'halloween', 'space', 'sky', 'moon', 'goodnight', 'samhain', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'night', 'moons', 'lunar', 'lunareclipse', 'lunar eclipse']), Emoji(name: 'sun with face', char: '\u{1F31E}', shortName: 'sun_with_face', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['bright', 'face', 'sun', 'sun', 'sky', 'day', 'hump day', 'morning', 'sunglasses', 'california', 'pokemon', 'las vegas', 'summer', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'good morning', 'shades', 'lunettes de soleil', 'sun glasses', 'vegas', 'weekend']), Emoji(name: 'ringed planet', char: '\u{1FA90}', shortName: 'ringed_planet', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['space', 'saturn', 'world', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'saturnine']), Emoji(name: 'star', char: '\u{2B50}', shortName: 'star', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['star', 'space', 'sky', 'star', 'star wars', 'fame', 'texas', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'stars', 'famous', 'celebrity']), Emoji(name: 'glowing star', char: '\u{1F31F}', shortName: 'star2', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['glittery', 'glow', 'shining', 'sparkle', 'star', 'space', 'sky', 'star', 'christmas', 'star wars', 'fame', 'sparkle', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'stars', 'navidad', 'xmas', 'noel', 'merry christmas', 'famous', 'celebrity', 'bright', 'shine', 'twinkle']), Emoji(name: 'shooting star', char: '\u{1F320}', shortName: 'stars', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['falling', 'shooting', 'star', 'space', 'star wars', 'fame', 'sparkle', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'famous', 'celebrity', 'bright', 'shine', 'twinkle']), Emoji(name: 'milky way', char: '\u{1F30C}', shortName: 'milky_way', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['space', 'places', 'space', 'sky', 'travel', 'star', 'vacation', 'goodnight', 'star wars', 'dream', 'fantasy', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'stars', 'dreams']), Emoji(name: 'cloud', char: '\u{2601}', shortName: 'cloud', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['weather', 'weather', 'sky', 'cloud', 'cold', 'dream', 'clouds', 'nuage', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'dreams']), Emoji(name: 'sun behind cloud', char: '\u{26C5}', shortName: 'partly_sunny', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'sun', 'weather', 'sun', 'sky', 'cloud', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'clouds', 'nuage']), Emoji(name: 'cloud with lightning and rain', char: '\u{26C8}', shortName: 'thunder_cloud_rain', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'rain', 'thunder', 'weather', 'sky', 'cloud', 'rain', 'cold', 'lightning', 'storm', 'clouds', 'nuage', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'sun behind small cloud', char: '\u{1F324}', shortName: 'white_sun_small_cloud', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'sun', 'weather', 'sun', 'sky', 'cloud', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'clouds', 'nuage']), Emoji(name: 'sun behind large cloud', char: '\u{1F325}', shortName: 'white_sun_cloud', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'sun', 'weather', 'sun', 'sky', 'cloud', 'cold', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'clouds', 'nuage', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'sun behind rain cloud', char: '\u{1F326}', shortName: 'white_sun_rain_cloud', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'rain', 'sun', 'weather', 'sun', 'sky', 'cloud', 'rain', 'cold', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'clouds', 'nuage', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'cloud with rain', char: '\u{1F327}', shortName: 'cloud_rain', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'rain', 'weather', 'winter', 'sky', 'cloud', 'rain', 'cold', 'clouds', 'nuage', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'cloud with snow', char: '\u{1F328}', shortName: 'cloud_snow', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'cold', 'snow', 'weather', 'winter', 'sky', 'cloud', 'snow', 'cold', 'clouds', 'nuage', 'freeze', 'frozen', 'frost', 'ice cube', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'cloud with lightning', char: '\u{1F329}', shortName: 'cloud_lightning', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'lightning', 'weather', 'halloween', 'sky', 'cloud', 'rain', 'cold', 'lightning', 'storm', 'samhain', 'clouds', 'nuage', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'tornado', char: '\u{1F32A}', shortName: 'cloud_tornado', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'whirlwind', 'weather', 'sky', 'power', 'storm', 'clean', 'texas']), Emoji(name: 'fog', char: '\u{1F32B}', shortName: 'fog', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cloud', 'weather', 'sky', 'cold', 'steam', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'steaming', 'piping']), Emoji(name: 'wind face', char: '\u{1F32C}', shortName: 'wind_blowing_face', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['blow', 'cloud', 'face', 'wind', 'weather', 'winter', 'smoking', 'cold', 'power', 'dream', 'autumn', 'breathe', 'smoke', 'cigarette', 'puff', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'dreams', 'fall', 'sigh']), Emoji(name: 'cyclone', char: '\u{1F300}', shortName: 'cyclone', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['dizzy', 'twister', 'typhoon', 'drugs', 'clean', 'drug', 'narcotics']), Emoji(name: 'rainbow', char: '\u{1F308}', shortName: 'rainbow', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['rain', 'weather', 'gay', 'sky', 'rain', 'rainbow', 'gay pride', 'hawaii', 'color', 'glitter', 'easter', 'irish', 'mirror', 'twink', 'aloha', 'kawaii', 'maui', 'moana', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch', 'saint patricks day', 'st patricks day', 'leprechaun']), Emoji(name: 'closed umbrella', char: '\u{1F302}', shortName: 'closed_umbrella', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['clothing', 'rain', 'umbrella', 'sky', 'rain', 'accessories', 'umbrella', 'england', 'cane', 'united kingdom', 'london', 'uk']), Emoji(name: 'umbrella', char: '\u{2602}', shortName: 'umbrella2', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['clothing', 'rain', 'weather', 'sky', 'umbrella', 'summer', 'weekend']), Emoji(name: 'umbrella with rain drops', char: '\u{2614}', shortName: 'umbrella', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['clothing', 'drop', 'rain', 'umbrella', 'weather', 'sky', 'rain', 'cold', 'umbrella', 'england', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'united kingdom', 'london', 'uk']), Emoji(name: 'umbrella on ground', char: '\u{26F1}', shortName: 'beach_umbrella', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['rain', 'sun', 'umbrella', 'travel', 'tropical', 'vacation', 'umbrella', 'hawaii', 'california', 'florida', 'summer', 'aloha', 'kawaii', 'maui', 'moana', 'weekend']), Emoji(name: 'high voltage', char: '\u{26A1}', shortName: 'zap', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['danger', 'electric', 'electricity', 'lightning', 'voltage', 'zap', 'weather', 'halloween', 'sky', 'diarrhea', 'lightning', 'electric', 'harry potter', 'magic', 'power', 'storm', 'bling', 'pokemon', 'samhain', 'shits', 'the shits', 'spell', 'genie', 'magical', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure']), Emoji(name: 'snowflake', char: '\u{2744}', shortName: 'snowflake', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cold', 'snow', 'weather', 'winter', 'sky', 'snow', 'christmas', 'cold', 'freeze', 'frozen', 'frost', 'ice cube', 'navidad', 'xmas', 'noel', 'merry christmas', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'snowman', char: '\u{2603}', shortName: 'snowman2', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cold', 'snow', 'weather', 'holidays', 'winter', 'snow', 'christmas', 'cold', 'holiday', 'freeze', 'frozen', 'frost', 'ice cube', 'navidad', 'xmas', 'noel', 'merry christmas', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'snowman without snow', char: '\u{26C4}', shortName: 'snowman', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cold', 'snow', 'snowman', 'weather', 'winter', 'snow', 'christmas', 'cold', 'freeze', 'frozen', 'frost', 'ice cube', 'navidad', 'xmas', 'noel', 'merry christmas', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'comet', char: '\u{2604}', shortName: 'comet', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['space', 'space', 'sky', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship']), Emoji(name: 'fire', char: '\u{1F525}', shortName: 'fire', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['flame', 'tool', 'love', 'christmas', 'wth', 'hot', 'flame', 'jewish', 'porn', 'independence day', 'fires', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'navidad', 'xmas', 'noel', 'merry christmas', 'what the hell', 'heat', 'warm', 'caliente', 'chaud', 'heiß', 'burn', 'match', 'flames', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'droplet', char: '\u{1F4A7}', shortName: 'droplet', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['cold', 'comic', 'drop', 'sweat', 'weather', 'sky', 'rain', 'sweat', 'drip', 'anime', 'water', 'manga', 'water drop']), Emoji(name: 'water wave', char: '\u{1F30A}', shortName: 'ocean', emojiGroup: EmojiGroup.travelPlaces, emojiSubgroup: EmojiSubgroup.skyWeather, keywords: ['ocean', 'water', 'wave', 'weather', 'boat', 'tropical', 'swim', 'storm', 'mermaid', 'california', 'scuba', 'waves', 'ocean', 'boats', 'boating', 'swimming', 'swimmer', 'merboy', 'mergirl', 'merman', 'merperson', 'selkie', 'undine', 'atargatis', 'siren', 'snorkel', 'sea']), Emoji(name: 'jack-o-lantern', char: '\u{1F383}', shortName: 'jack_o_lantern', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'halloween', 'jack', 'lantern', 'holidays', 'halloween', 'pumpkin', 'minecraft', 'holiday', 'samhain', 'jack o lantern']), Emoji(name: 'Christmas tree', char: '\u{1F384}', shortName: 'christmas_tree', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['Christmas', 'celebration', 'tree', 'holidays', 'plant', 'christmas', 'santa', 'trees', 'advent', 'holiday', 'plants', 'navidad', 'xmas', 'noel', 'merry christmas', 'santa clause', 'santa claus', 'tree', 'branch', 'wood']), Emoji(name: 'fireworks', char: '\u{1F386}', shortName: 'fireworks', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'holidays', 'firework', 'explosion', 'celebrate', 'glitter', 'disney', 'sparkle', 'independence day', 'holiday', 'fireworks', 'firecracker', 'explode', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'cartoon', 'bright', 'shine', 'twinkle']), Emoji(name: 'sparkler', char: '\u{1F387}', shortName: 'sparkler', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'fireworks', 'sparkle', 'holidays', 'happy birthday', 'firework', 'explosion', 'celebrate', 'glitter', 'disney', 'sparkle', 'holiday', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'fireworks', 'firecracker', 'explode', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'cartoon', 'bright', 'shine', 'twinkle']), Emoji(name: 'firecracker', char: '\u{1F9E8}', shortName: 'firecracker', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['weapon', 'blast', 'danger', 'chinese', 'throw', 'war', 'independence day', 'weapons', 'boom', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'chinois', 'asian', 'chine']), Emoji(name: 'sparkles', char: '\u{2728}', shortName: 'sparkles', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['sparkle', 'star', 'star', 'birthday', 'girls night', 'magic', 'glitter', 'bling', 'fame', 'sparkle', 'stars', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'ladies night', 'girls only', 'girlfriend', 'spell', 'genie', 'magical', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'famous', 'celebrity', 'bright', 'shine', 'twinkle']), Emoji(name: 'balloon', char: '\u{1F388}', shortName: 'balloon', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'holidays', 'baby', 'birthday', 'good', 'balloon', 'balloons', 'happy birthday', 'celebrate', 'independence day', 'sperm', 'toy', 'holiday', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo']), Emoji(name: 'party popper', char: '\u{1F389}', shortName: 'tada', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'party', 'popper', 'tada', 'holidays', 'happy', 'birthday', 'cheers', 'good', 'girls night', 'boys night', 'happy birthday', 'confetti', 'celebrate', 'glitter', 'bingo', 'fame', 'fun', 'independence day', 'holiday', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'gān bēi', 'Na zdravi', 'Proost', 'Prost', 'Sláinte', 'Cin cin', 'Kanpai', 'Na zdrowie', 'Saúde', 'На здоровье', 'Salud', 'Skål', 'Sei gesund', 'santé', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'ladies night', 'girls only', 'girlfriend', 'guys night', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'famous', 'celebrity']), Emoji(name: 'confetti ball', char: '\u{1F38A}', shortName: 'confetti_ball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['ball', 'celebration', 'confetti', 'happy', 'birthday', 'cheers', 'girls night', 'boys night', 'happy birthday', 'confetti', 'celebrate', 'glitter', 'hooray', 'cheek', 'cheeky', 'excited', 'feliz', 'heureux', 'cheerful', 'delighted', 'ecstatic', 'elated', 'glad', 'joy', 'merry', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'gān bēi', 'Na zdravi', 'Proost', 'Prost', 'Sláinte', 'Cin cin', 'Kanpai', 'Na zdrowie', 'Saúde', 'На здоровье', 'Salud', 'Skål', 'Sei gesund', 'santé', 'ladies night', 'girls only', 'girlfriend', 'guys night', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo']), Emoji(name: 'tanabata tree', char: '\u{1F38B}', shortName: 'tanabata_tree', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['Japanese', 'banner', 'celebration', 'tree', 'nature', 'plant', 'japan', 'trees', 'plants', 'japanese', 'ninja', 'tree', 'branch', 'wood']), Emoji(name: 'pine decoration', char: '\u{1F38D}', shortName: 'bamboo', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['Japanese', 'bamboo', 'celebration', 'pine', 'nature', 'plant', 'japan', 'plants', 'japanese', 'ninja']), Emoji(name: 'Japanese dolls', char: '\u{1F38E}', shortName: 'dolls', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['Japanese', 'celebration', 'doll', 'festival', 'japan', 'japanese', 'ninja']), Emoji(name: 'carp streamer', char: '\u{1F38F}', shortName: 'flags', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['carp', 'celebration', 'streamer', 'japan', 'japanese', 'ninja']), Emoji(name: 'wind chime', char: '\u{1F390}', shortName: 'wind_chime', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['bell', 'celebration', 'chime', 'wind', 'japan', 'japanese', 'ninja']), Emoji(name: 'moon viewing ceremony', char: '\u{1F391}', shortName: 'rice_scene', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'ceremony', 'moon', 'places', 'space', 'sky', 'travel', 'japan', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'japanese', 'ninja']), Emoji(name: 'red envelope', char: '\u{1F9E7}', shortName: 'red_envelope', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['gift', 'chinese', 'present', 'cadeau', 'bows', 'presents', 'chinois', 'asian', 'chine']), Emoji(name: 'ribbon', char: '\u{1F380}', shortName: 'ribbon', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'holidays', 'love', 'gift', 'birthday', 'accessories', 'happy birthday', 'celebrate', 'rich', 'holiday', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'present', 'cadeau', 'bows', 'presents', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo', 'grand', 'expensive', 'fancy']), Emoji(name: 'wrapped gift', char: '\u{1F381}', shortName: 'gift', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['box', 'celebration', 'gift', 'present', 'wrapped', 'holidays', 'love', 'gift', 'birthday', 'christmas', 'happy birthday', 'celebrate', 'holiday', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'present', 'cadeau', 'bows', 'presents', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'navidad', 'xmas', 'noel', 'merry christmas', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'celebration', 'event', 'celebrating', 'festa', 'parties', 'events', 'new years', 'new year', 'fiesta', 'fete', 'newyear', 'party', 'festive', 'festival', 'yolo']), Emoji(name: 'reminder ribbon', char: '\u{1F397}', shortName: 'reminder_ribbon', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['celebration', 'reminder', 'ribbon', 'award', 'activity', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero']), Emoji(name: 'admission tickets', char: '\u{1F39F}', shortName: 'tickets', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['admission', 'ticket', 'theatre', 'instruments', 'movie', 'circus', 'disney', 'activity', 'theater', 'craft', 'drama', 'monet', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'circus tent', 'clown', 'clowns', 'cartoon']), Emoji(name: 'ticket', char: '\u{1F3AB}', shortName: 'ticket', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.event, keywords: ['admission', 'theatre', 'instruments', 'movie', 'circus', 'pink', 'disney', 'discount', 'las vegas', 'activity', 'opera', 'theater', 'craft', 'drama', 'monet', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'circus tent', 'clown', 'clowns', 'cartoon', 'sale', 'bargain', 'vegas']), Emoji(name: 'military medal', char: '\u{1F396}', shortName: 'military_medal', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.awardMedal, keywords: ['celebration', 'medal', 'military', 'award', 'medal', 'gymnast', 'activity', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'medals', 'gold medal', 'silver medal', 'bronze medal', 'gymnastics']), Emoji(name: 'trophy', char: '\u{1F3C6}', shortName: 'trophy', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.awardMedal, keywords: ['prize', 'sport', 'game', 'award', 'football', 'soccer', 'perfect', 'win', 'nerd', 'fame', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'soccer ball', 'world cup', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'smart', 'geek', 'serious', 'famous', 'celebrity']), Emoji(name: 'sports medal', char: '\u{1F3C5}', shortName: 'medal', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.awardMedal, keywords: ['medal', 'sport', 'award', 'perfect', 'win', 'medal', 'gymnast', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'medals', 'gold medal', 'silver medal', 'bronze medal', 'gymnastics']), Emoji(name: '1st place medal', char: '\u{1F947}', shortName: 'first_place', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.awardMedal, keywords: ['first', 'gold', 'medal', 'sport', 'award', 'win', 'medal', 'gymnast', 'fame', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'medals', 'gold medal', 'silver medal', 'bronze medal', 'gymnastics', 'famous', 'celebrity']), Emoji(name: '2nd place medal', char: '\u{1F948}', shortName: 'second_place', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.awardMedal, keywords: ['medal', 'second', 'silver', 'sport', 'award', 'win', 'medal', 'gymnast', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'medals', 'gold medal', 'silver medal', 'bronze medal', 'gymnastics']), Emoji(name: '3rd place medal', char: '\u{1F949}', shortName: 'third_place', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.awardMedal, keywords: ['bronze', 'medal', 'third', 'sport', 'award', 'win', 'medal', 'gymnast', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'winning', 'killing it', 'crushing it', 'victory', 'victorious', 'success', 'successful', 'winner', 'medals', 'gold medal', 'silver medal', 'bronze medal', 'gymnastics']), Emoji(name: 'soccer ball', char: '\u{26BD}', shortName: 'soccer', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'football', 'soccer', 'sport', 'game', 'ball', 'football', 'soccer', 'play', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'soccer ball', 'world cup']), Emoji(name: 'baseball', char: '\u{26BE}', shortName: 'baseball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'sport', 'game', 'ball', 'play', 'throw', 'activity', 'independence day', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'softball', char: '\u{1F94E}', shortName: 'softball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['sport', 'game', 'ball', 'play', 'fun', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'basketball', char: '\u{1F3C0}', shortName: 'basketball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'hoop', 'sport', 'game', 'ball', 'basketball', 'play', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'volleyball', char: '\u{1F3D0}', shortName: 'volleyball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'game', 'sport', 'game', 'ball', 'volley ball', 'play', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'american football', char: '\u{1F3C8}', shortName: 'football', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['american', 'ball', 'football', 'sport', 'america', 'game', 'ball', 'football', 'play', 'texas', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'usa', 'united states', 'united states of america', 'american', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'rugby football', char: '\u{1F3C9}', shortName: 'rugby_football', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'football', 'rugby', 'sport', 'game', 'ball', 'football', 'play', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'tennis', char: '\u{1F3BE}', shortName: 'tennis', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'racquet', 'sport', 'game', 'ball', 'tennis', 'play', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'tennis ball', 'tennis racquet']), Emoji(name: 'flying disc', char: '\u{1F94F}', shortName: 'flying_disc', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['sport', 'game', 'play', 'fun', 'throw', 'activity', 'frisbee', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'disque-volant', 'boomerang']), Emoji(name: 'bowling', char: '\u{1F3B3}', shortName: 'bowling', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'game', 'sport', 'game', 'ball', 'boys night', 'play', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'guys night']), Emoji(name: 'cricket game', char: '\u{1F3CF}', shortName: 'cricket_game', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'bat', 'game', 'sport', 'game', 'ball', 'cricket', 'play', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'cricket bat', 'cricket ball']), Emoji(name: 'field hockey', char: '\u{1F3D1}', shortName: 'field_hockey', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'field', 'game', 'hockey', 'stick', 'sport', 'game', 'ball', 'hockey', 'play', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'field hockey']), Emoji(name: 'ice hockey', char: '\u{1F3D2}', shortName: 'hockey', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['game', 'hockey', 'ice', 'puck', 'stick', 'sport', 'game', 'hockey', 'play', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'field hockey']), Emoji(name: 'lacrosse', char: '\u{1F94D}', shortName: 'lacrosse', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['sport', 'game', 'ball', 'play', 'fun', 'throw', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon']), Emoji(name: 'ping pong', char: '\u{1F3D3}', shortName: 'ping_pong', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ball', 'bat', 'game', 'paddle', 'ping pong', 'table tennis', 'sport', 'game', 'ball', 'ping pong', 'play', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'table tennis', 'ping pong ball', 'ping pong paddle', 'paddle']), Emoji(name: 'badminton', char: '\u{1F3F8}', shortName: 'badminton', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['birdie', 'game', 'racquet', 'shuttlecock', 'sport', 'game', 'play', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming']), Emoji(name: 'boxing glove', char: '\u{1F94A}', shortName: 'boxing_glove', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['boxing', 'glove', 'sport', 'fight', 'gloves', 'hit', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'punch', 'pow', 'bam']), Emoji(name: 'martial arts uniform', char: '\u{1F94B}', shortName: 'martial_arts_uniform', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['judo', 'karate', 'martial arts', 'taekwondo', 'uniform', 'sport', 'fight', 'karate', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout']), Emoji(name: 'goal net', char: '\u{1F945}', shortName: 'goal', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['goal', 'net', 'sport', 'football', 'soccer', 'play', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'soccer ball', 'world cup']), Emoji(name: 'flag in hole', char: '\u{26F3}', shortName: 'golf', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['golf', 'hole', 'sport', 'game', 'ball', 'vacation', 'golf', 'play', 'florida', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'golfing', 'golfer']), Emoji(name: 'ice skate', char: '\u{26F8}', shortName: 'ice_skate', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ice', 'skate', 'sport', 'winter', 'cold', 'ice skating', 'disney', 'fun', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'cartoon']), Emoji(name: 'fishing pole', char: '\u{1F3A3}', shortName: 'fishing_pole_and_fish', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['fish', 'pole', 'sport', 'vacation', 'fishing', 'florida', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'fish', 'fishing pole', 'fishing rod']), Emoji(name: 'diving mask', char: '\u{1F93F}', shortName: 'diving_mask', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['glasses', 'vacation', 'swim', 'scuba', 'activity', 'mask', 'eyeglasses', 'eye glasses', 'swimming', 'swimmer', 'snorkel']), Emoji(name: 'running shirt', char: '\u{1F3BD}', shortName: 'running_shirt_with_sash', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['athletics', 'running', 'sash', 'shirt', 'sport', 'award', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero']), Emoji(name: 'skis', char: '\u{1F3BF}', shortName: 'ski', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['ski', 'snow', 'sport', 'winter', 'cold', 'skiing', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'ski', 'snow skiing', 'ski boot']), Emoji(name: 'sled', char: '\u{1F6F7}', shortName: 'sled', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['winter', 'christmas', 'activity', 'sleigh', 'navidad', 'xmas', 'noel', 'merry christmas', 'sledge', 'toboggan']), Emoji(name: 'curling stone', char: '\u{1F94C}', shortName: 'curling_stone', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.sport, keywords: ['game', 'rock', 'sport', 'winter', 'play', 'activity', 'iron', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout']), Emoji(name: 'direct hit', char: '\u{1F3AF}', shortName: 'dart', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['bull', 'bullseye', 'dart', 'eye', 'game', 'hit', 'target', 'sport', 'game', 'boys night', 'play', 'target', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'guys night']), Emoji(name: 'yo-yo', char: '\u{1FA80}', shortName: 'yo_yo', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'play', 'activity', 'yoyo', 'toy', 'games', 'gaming', 'fluctuate']), Emoji(name: 'kite', char: '\u{1FA81}', shortName: 'kite', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['fly', 'vacation', 'activity', 'toy', 'kite', 'flight', 'flying', 'flights', 'avion']), Emoji(name: 'pool 8 ball', char: '\u{1F3B1}', shortName: '8ball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['8', '8 ball', 'ball', 'billiard', 'eight', 'game', 'sport', 'game', 'ball', 'billiards', 'luck', 'boys night', 'play', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'games', 'gaming', 'balls', 'ballon', 'billiards ball', '8 ball', '8ball', 'pool', 'eight ball', 'good luck', 'lucky', 'guys night']), Emoji(name: 'crystal ball', char: '\u{1F52E}', shortName: 'crystal_ball', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['ball', 'crystal', 'fairy tale', 'fantasy', 'fortune', 'tool', 'halloween', 'ball', 'harry potter', 'magic', 'disney', 'bling', 'mirror', 'future', 'mystery', 'wizard', 'fantasy', 'samhain', 'balls', 'ballon', 'spell', 'genie', 'magical', 'cartoon', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'Sorcerer', 'Sorceress', 'witch']), Emoji(name: 'nazar amulet', char: '\u{1F9FF}', shortName: 'nazar_amulet', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'luck', 'magic', 'evil', 'fantasy', 'eye bead', 'games', 'gaming', 'good luck', 'lucky', 'spell', 'genie', 'magical', 'imp', 'demon', 'devil', 'naughty', 'devilish', 'diablo', 'diable', 'satan', 'Nazar Boncuğu', 'Munçuk', 'turkish']), Emoji(name: 'video game', char: '\u{1F3AE}', shortName: 'video_game', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['controller', 'game', 'electronics', 'game', 'boys night', 'play', 'controller', 'activity', 'games', 'gaming', 'guys night', 'remote']), Emoji(name: 'joystick', char: '\u{1F579}', shortName: 'joystick', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'video game', 'electronics', 'game', 'boys night', 'technology', 'controller', 'pacman', 'games', 'gaming', 'guys night', 'remote', 'pac man']), Emoji(name: 'slot machine', char: '\u{1F3B0}', shortName: 'slot_machine', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'slot', 'game', 'boys night', 'play', 'bingo', 'las vegas', 'fun', 'activity', 'games', 'gaming', 'guys night', 'vegas']), Emoji(name: 'game die', char: '\u{1F3B2}', shortName: 'game_die', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['dice', 'die', 'game', 'game', 'boys night', 'play', 'bingo', 'las vegas', 'dice', 'activity', 'toy', 'games', 'gaming', 'guys night', 'vegas']), Emoji(name: 'puzzle piece', char: '\u{1F9E9}', shortName: 'jigsaw', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'play', 'puzzle', 'household', 'toy', 'games', 'gaming']), Emoji(name: 'teddy bear', char: '\u{1F9F8}', shortName: 'teddy_bear', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['animal', 'baby', 'play', 'gummy', 'household', 'stuffed animal', 'animals', 'animal kingdom', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'doudou']), Emoji(name: 'spade suit', char: '\u{2660}', shortName: 'spades', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['card', 'game', 'game', 'las vegas', 'poker', 'games', 'gaming', 'vegas']), Emoji(name: 'heart suit', char: '\u{2665}', shortName: 'hearts', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['card', 'game', 'love', 'game', 'las vegas', 'poker', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'games', 'gaming', 'vegas']), Emoji(name: 'diamond suit', char: '\u{2666}', shortName: 'diamonds', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['card', 'game', 'shapes', 'game', 'las vegas', 'diamond', 'poker', 'games', 'gaming', 'vegas']), Emoji(name: 'club suit', char: '\u{2663}', shortName: 'clubs', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['card', 'game', 'game', 'las vegas', 'poker', 'games', 'gaming', 'vegas']), Emoji(name: 'chess pawn', char: '\u{265F}', shortName: 'chess_pawn', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'play', 'fun', 'activity', 'games', 'gaming']), Emoji(name: 'joker', char: '\u{1F0CF}', shortName: 'black_joker', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['card', 'game', 'wildcard', 'game', 'magic', 'super hero', 'las vegas', 'poker', 'games', 'gaming', 'spell', 'genie', 'magical', 'superhero', 'superman', 'batman', 'vegas']), Emoji(name: 'mahjong red dragon', char: '\u{1F004}', shortName: 'mahjong', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['game', 'mahjong', 'red', 'game', 'puzzle', 'games', 'gaming']), Emoji(name: 'flower playing cards', char: '\u{1F3B4}', shortName: 'flower_playing_cards', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.game, keywords: ['Japanese', 'card', 'flower', 'game', 'playing', 'game', 'magic', 'future', 'games', 'gaming', 'spell', 'genie', 'magical']), Emoji(name: 'performing arts', char: '\u{1F3AD}', shortName: 'performing_arts', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.artsCrafts, keywords: ['art', 'mask', 'performing', 'theater', 'theatre', 'theatre', 'halloween', 'movie', 'girls night', 'fame', 'las vegas', 'activity', 'mask', 'fantasy', 'opera', 'theater', 'craft', 'drama', 'monet', 'samhain', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'ladies night', 'girls only', 'girlfriend', 'famous', 'celebrity', 'vegas']), Emoji(name: 'framed picture', char: '\u{1F5BC}', shortName: 'frame_photo', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.artsCrafts, keywords: ['art', 'frame', 'museum', 'painting', 'picture', 'theatre', 'travel', 'vacation', 'painting', 'image', 'instagram', 'household', 'theater', 'craft', 'drama', 'monet', 'painter', 'arts']), Emoji(name: 'artist palette', char: '\u{1F3A8}', shortName: 'art', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.artsCrafts, keywords: ['art', 'museum', 'painting', 'palette', 'theatre', 'painting', 'color', 'instagram', 'activity', 'theater', 'craft', 'drama', 'monet', 'painter', 'arts', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch']), Emoji(name: 'thread', char: '\u{1F9F5}', shortName: 'thread', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.artsCrafts, keywords: ['household', 'sew', 'knit', 'embroider', 'stitch', 'repair', 'crochet']), Emoji(name: 'yarn', char: '\u{1F9F6}', shortName: 'yarn', emojiGroup: EmojiGroup.activities, emojiSubgroup: EmojiSubgroup.artsCrafts, keywords: ['cat', 'household', 'sew', 'kitty', 'kitten', 'cats', 'kittens', 'kitties', 'feline', 'felines', 'cat face', 'gato', 'meow', 'knit', 'embroider', 'stitch', 'repair', 'crochet']), Emoji(name: 'glasses', char: '\u{1F453}', shortName: 'eyeglasses', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'eye', 'eyeglasses', 'eyewear', 'fashion', 'glasses', 'accessories', 'harry potter', 'detective', 'clothes', 'clothing', 'style', 'eyeglasses', 'eye glasses']), Emoji(name: 'sunglasses', char: '\u{1F576}', shortName: 'dark_sunglasses', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['dark', 'eye', 'eyewear', 'glasses', 'fashion', 'glasses', 'accessories', 'awesome', 'beautiful', 'sunglasses', 'hawaii', 'california', 'florida', 'las vegas', 'summer', 'clothes', 'clothing', 'style', 'eyeglasses', 'eye glasses', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'shades', 'lunettes de soleil', 'sun glasses', 'aloha', 'kawaii', 'maui', 'moana', 'vegas', 'weekend']), Emoji(name: 'goggles', char: '\u{1F97D}', shortName: 'goggles', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['glasses', 'science', 'accessories', 'eyeglasses', 'eye glasses', 'lab']), Emoji(name: 'lab coat', char: '\u{1F97C}', shortName: 'lab_coat', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['science', 'jacket', 'lab', 'veste']), Emoji(name: 'safety vest', char: '\u{1F9BA}', shortName: 'safety_vest', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['911', 'jacket', 'construction', 'emergency', 'injury', 'veste']), Emoji(name: 'necktie', char: '\u{1F454}', shortName: 'necktie', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'fashion', 'men', 'accessories', 'business', 'clothes', 'clothing', 'style', 'man', 'guy', 'guys', 'gentleman', 'male']), Emoji(name: 't-shirt', char: '\u{1F455}', shortName: 'shirt', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'shirt', 'tshirt', 'fashion', 'men', 'clothes', 'clothing', 'style', 'man', 'guy', 'guys', 'gentleman', 'male']), Emoji(name: 'jeans', char: '\u{1F456}', shortName: 'jeans', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'pants', 'trousers', 'fashion', 'men', 'pants', 'clothes', 'clothing', 'style', 'man', 'guy', 'guys', 'gentleman', 'male', 'pant', 'levis', 'slacks']), Emoji(name: 'scarf', char: '\u{1F9E3}', shortName: 'scarf', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['neck', 'fashion', 'winter', 'cold', 'accessories', 'clothes', 'clothing', 'style', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'gloves', char: '\u{1F9E4}', shortName: 'gloves', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['hand', 'fashion', 'winter', 'cold', 'accessories', 'gloves', 'mittins', 'clothes', 'clothing', 'style', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'muff']), Emoji(name: 'coat', char: '\u{1F9E5}', shortName: 'coat', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['jacket', 'fashion', 'winter', 'cold', 'jacket', 'clothes', 'clothing', 'style', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles', 'veste']), Emoji(name: 'socks', char: '\u{1F9E6}', shortName: 'socks', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['stocking', 'fashion', 'winter', 'cold', 'accessories', 'clothes', 'clothing', 'style', 'chilly', 'chilled', 'brisk', 'freezing', 'frostbite', 'icicles']), Emoji(name: 'dress', char: '\u{1F457}', shortName: 'dress', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'fashion', 'women', 'sexy', 'beautiful', 'girls night', 'pink', 'vintage', 'florida', 'dress', 'clothes', 'clothing', 'style', 'woman', 'female', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend']), Emoji(name: 'kimono', char: '\u{1F458}', shortName: 'kimono', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'fashion', 'japan', 'dress', 'clothes', 'clothing', 'style', 'japanese', 'ninja']), Emoji(name: 'sari', char: '\u{1F97B}', shortName: 'sari', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['fashion', 'saree', 'dress', 'clothes', 'clothing', 'style', 'shari', 'nivi', 'choli', 'ravike', 'cholo', 'parkar', 'ul-pavadai']), Emoji(name: 'one-piece swimsuit', char: '\u{1FA71}', shortName: 'one_piece_swimsuit', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['fashion', 'vacation', 'swim', 'beach', 'scuba', 'wash', 'clothes', 'clothing', 'style', 'swimming', 'swimmer', 'snorkel', 'shower', 'bathe', 'bathing']), Emoji(name: 'briefs', char: '\u{1FA72}', shortName: 'briefs', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['fashion', 'men', 'underwear', 'clothes', 'clothing', 'style', 'man', 'guy', 'guys', 'gentleman', 'male', 'undergarments', 'boxers', 'panties', 'boy shorts', 'panty', 'biancheria intima', 'sous-vêtements', 'ropa interior', 'speedos']), Emoji(name: 'shorts', char: '\u{1FA73}', shortName: 'shorts', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['fashion', 'vacation', 'swim', 'beach', 'scuba', 'pantalones cortos', 'clothes', 'clothing', 'style', 'swimming', 'swimmer', 'snorkel', 'kurze Hose', 'pantaloncini']), Emoji(name: 'bikini', char: '\u{1F459}', shortName: 'bikini', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'swim', 'fashion', 'women', 'sexy', 'tropical', 'vacation', 'swim', 'beach', 'hawaii', 'california', 'florida', 'las vegas', 'summer', 'wash', 'binoculars', 'clothes', 'clothing', 'style', 'woman', 'female', 'swimming', 'swimmer', 'aloha', 'kawaii', 'maui', 'moana', 'vegas', 'weekend', 'shower', 'bathe', 'bathing']), Emoji(name: 'woman’s clothes', char: '\u{1F45A}', shortName: 'womans_clothes', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'woman', 'fashion', 'women', 'pink', 'clothes', 'clothing', 'style', 'woman', 'female']), Emoji(name: 'purse', char: '\u{1F45B}', shortName: 'purse', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'coin', 'fashion', 'women', 'bag', 'money', 'accessories', 'vintage', 'clothes', 'clothing', 'style', 'woman', 'female', 'swag', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld']), Emoji(name: 'handbag', char: '\u{1F45C}', shortName: 'handbag', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['bag', 'clothing', 'purse', 'fashion', 'women', 'bag', 'vacation', 'accessories', 'pink', 'rich', 'clothes', 'clothing', 'style', 'woman', 'female', 'swag', 'grand', 'expensive', 'fancy']), Emoji(name: 'clutch bag', char: '\u{1F45D}', shortName: 'pouch', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['bag', 'clothing', 'pouch', 'fashion', 'women', 'bag', 'accessories', 'clothes', 'clothing', 'style', 'woman', 'female', 'swag']), Emoji(name: 'shopping bags', char: '\u{1F6CD}', shortName: 'shopping_bags', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['bag', 'hotel', 'shopping', 'bag', 'gift', 'birthday', 'happy birthday', 'rich', 'purchase', 'swag', 'present', 'cadeau', 'bows', 'presents', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'Bon anniversaire', 'joyeux anniversaire', 'buon compleanno', 'feliz cumpleaños', 'alles Gute zum Geburtstag', 'feliz Aniversário', 'Gratulerer med dagen', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'backpack', char: '\u{1F392}', shortName: 'school_satchel', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['bag', 'satchel', 'school', 'fashion', 'bag', 'office', 'vacation', 'accessories', 'backpack', 'suitcase', 'clothes', 'clothing', 'style', 'swag', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'carry-on']), Emoji(name: 'man’s shoe', char: '\u{1F45E}', shortName: 'mans_shoe', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'man', 'shoe', 'fashion', 'shoe', 'accessories', 'vintage', 'clothes', 'clothing', 'style', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels']), Emoji(name: 'running shoe', char: '\u{1F45F}', shortName: 'athletic_shoe', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['athletic', 'clothing', 'shoe', 'sneaker', 'fashion', 'shoe', 'accessories', 'boys night', 'clothes', 'clothing', 'style', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels', 'guys night']), Emoji(name: 'hiking boot', char: '\u{1F97E}', shortName: 'hiking_boot', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['shoe', 'accessories', 'mountain', 'activity', 'rock climbing', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels', 'climber']), Emoji(name: 'flat shoe', char: '\u{1F97F}', shortName: 'womans_flat_shoe', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['fashion', 'women', 'shoe', 'accessories', 'pink', 'clothes', 'clothing', 'style', 'woman', 'female', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels']), Emoji(name: 'high-heeled shoe', char: '\u{1F460}', shortName: 'high_heel', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'heel', 'shoe', 'woman', 'fashion', 'women', 'shoe', 'sexy', 'accessories', 'girls night', 'las vegas', 'rich', 'clothes', 'clothing', 'style', 'woman', 'female', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels', 'ladies night', 'girls only', 'girlfriend', 'vegas', 'grand', 'expensive', 'fancy']), Emoji(name: 'woman’s sandal', char: '\u{1F461}', shortName: 'sandal', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'sandal', 'shoe', 'woman', 'fashion', 'women', 'shoe', 'accessories', 'flip flop', 'summer', 'clothes', 'clothing', 'style', 'woman', 'female', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels', 'weekend']), Emoji(name: 'ballet shoes', char: '\u{1FA70}', shortName: 'ballet_shoes', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['shoe', 'dance', 'vintage', 'activity', 'opera', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels', 'dancers', 'dancing', 'ballet', 'ballerina', 'dabbing', 'salsa']), Emoji(name: 'woman’s boot', char: '\u{1F462}', shortName: 'boot', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['boot', 'clothing', 'shoe', 'woman', 'fashion', 'women', 'shoe', 'sexy', 'accessories', 'vintage', 'rich', 'clothes', 'clothing', 'style', 'woman', 'female', 'shoes', 'baskets', 'loafers', 'sandals', 'pumps', 'boots', 'heels', 'grand', 'expensive', 'fancy']), Emoji(name: 'crown', char: '\u{1F451}', shortName: 'crown', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'king', 'queen', 'accessories', 'power', 'queen', 'england', 'bling', 'crown', 'rich', 'king', 'prince', 'princess', 'united kingdom', 'london', 'uk', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'tiara', 'grand', 'expensive', 'fancy']), Emoji(name: 'woman’s hat', char: '\u{1F452}', shortName: 'womans_hat', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'hat', 'woman', 'fashion', 'hat', 'women', 'accessories', 'pink', 'vintage', 'easter', 'rich', 'clothes', 'clothing', 'style', 'hats', 'cap', 'caps', 'woman', 'female', 'grand', 'expensive', 'fancy']), Emoji(name: 'top hat', char: '\u{1F3A9}', shortName: 'tophat', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['clothing', 'hat', 'top', 'tophat', 'fashion', 'wedding', 'hat', 'men', 'accessories', 'magic', 'vintage', 'rich', 'clothes', 'clothing', 'style', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'hats', 'cap', 'caps', 'man', 'guy', 'guys', 'gentleman', 'male', 'spell', 'genie', 'magical', 'grand', 'expensive', 'fancy']), Emoji(name: 'graduation cap', char: '\u{1F393}', shortName: 'mortar_board', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['cap', 'celebration', 'clothing', 'graduation', 'hat', 'hat', 'office', 'accessories', 'graduate', 'hats', 'cap', 'caps', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'billed cap', char: '\u{1F9E2}', shortName: 'billed_cap', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['baseball cap', 'fashion', 'hat', 'accessories', 'clothes', 'clothing', 'style', 'hats', 'cap', 'caps']), Emoji(name: 'rescue worker’s helmet', char: '\u{26D1}', shortName: 'helmet_with_cross', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['aid', 'cross', 'face', 'hat', 'helmet', 'hat', 'accessories', 'job', 'help', 'helmet', 'hats', 'cap', 'caps', 'profession', 'boss']), Emoji(name: 'prayer beads', char: '\u{1F4FF}', shortName: 'prayer_beads', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['beads', 'clothing', 'necklace', 'prayer', 'religion', 'religion', 'rosary', 'pray', 'jesus', 'bible', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering']), Emoji(name: 'lipstick', char: '\u{1F484}', shortName: 'lipstick', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['cosmetics', 'makeup', 'fashion', 'women', 'love', 'sexy', 'lipstick', 'beautiful', 'girls night', 'color', 'mirror', 'clothes', 'clothing', 'style', 'woman', 'female', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'mouth', 'mouths', 'makeup', 'lip', 'lips', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'ladies night', 'girls only', 'girlfriend', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch']), Emoji(name: 'ring', char: '\u{1F48D}', shortName: 'ring', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['diamond', 'wedding', 'accessories', 'trap', 'vintage', 'bling', 'diamond', 'rich', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'grand', 'expensive', 'fancy']), Emoji(name: 'gem stone', char: '\u{1F48E}', shortName: 'gem', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.clothing, keywords: ['diamond', 'gem', 'jewel', 'bling', 'minecraft', 'diamond', 'rich', 'sparkle', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'grand', 'expensive', 'fancy', 'bright', 'shine', 'twinkle']), Emoji(name: 'muted speaker', char: '\u{1F507}', shortName: 'mute', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['mute', 'quiet', 'silent', 'speaker', 'alarm', 'danger', 'sound', 'alarms', 'announce', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'speaker low volume', char: '\u{1F508}', shortName: 'speaker', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['soft', 'alarm', 'sound', 'alarms', 'announce', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'speaker medium volume', char: '\u{1F509}', shortName: 'sound', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['medium', 'instruments', 'alarm', 'sound', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'alarms', 'announce', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'speaker high volume', char: '\u{1F50A}', shortName: 'loud_sound', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['loud', 'instruments', 'alarm', 'sound', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'alarms', 'announce', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'loudspeaker', char: '\u{1F4E2}', shortName: 'loudspeaker', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['loud', 'public address', 'alarm', 'talk', 'danger', 'help', 'sound', 'alarms', 'announce', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'megaphone', char: '\u{1F4E3}', shortName: 'mega', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['cheering', 'sport', 'talk', 'danger', 'fame', 'sound', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'famous', 'celebrity', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'postal horn', char: '\u{1F4EF}', shortName: 'postal_horn', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['horn', 'post', 'postal', 'instruments', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'bell', char: '\u{1F514}', shortName: 'bell', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['bell', 'wedding', 'alarm', 'christmas', 'danger', 'independence day', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'alarms', 'announce', 'navidad', 'xmas', 'noel', 'merry christmas', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'bell with slash', char: '\u{1F515}', shortName: 'no_bell', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.sound, keywords: ['bell', 'forbidden', 'mute', 'no', 'not', 'prohibited', 'quiet', 'silent', 'alarm', 'danger', 'alarms', 'announce', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'musical score', char: '\u{1F3BC}', shortName: 'musical_score', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['music', 'score', 'instruments', 'piano', 'rock and roll', 'disco', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'musical note', char: '\u{1F3B5}', shortName: 'musical_note', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['music', 'note', 'instruments', 'piano', 'rock and roll', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'musical notes', char: '\u{1F3B6}', shortName: 'notes', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['music', 'note', 'notes', 'instruments', 'christmas', 'piano', 'rock and roll', 'disco', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'navidad', 'xmas', 'noel', 'merry christmas']), Emoji(name: 'studio microphone', char: '\u{1F399}', shortName: 'microphone2', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['mic', 'microphone', 'music', 'studio', 'instruments', 'electronics', 'sound', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'level slider', char: '\u{1F39A}', shortName: 'level_slider', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['level', 'music', 'slider', 'instruments', 'sound', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'control knobs', char: '\u{1F39B}', shortName: 'control_knobs', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['control', 'knobs', 'music', 'instruments', 'power', 'bake', 'sound', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'baking', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'microphone', char: '\u{1F3A4}', shortName: 'microphone', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['karaoke', 'mic', 'instruments', 'rock and roll', 'disco', 'fame', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'famous', 'celebrity']), Emoji(name: 'headphone', char: '\u{1F3A7}', shortName: 'headphones', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['earbud', 'instruments', 'headphones', 'rock and roll', 'earphone', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'headphone', 'head phones', 'earbud']), Emoji(name: 'radio', char: '\u{1F4FB}', shortName: 'radio', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.music, keywords: ['video', 'instruments', 'electronics', 'history', 'sound', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'ancient', 'old', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'saxophone', char: '\u{1F3B7}', shortName: 'saxophone', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['instrument', 'music', 'sax', 'instruments', 'play', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'guitar', char: '\u{1F3B8}', shortName: 'guitar', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['instrument', 'music', 'instruments', 'mexican', 'play', 'rock and roll', 'activity', 'guitarra', 'stringed', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'mexico', 'cinco de mayo', 'español', 'guitare', 'gitarre', 'chitarra', 'bangio']), Emoji(name: 'musical keyboard', char: '\u{1F3B9}', shortName: 'musical_keyboard', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['instrument', 'keyboard', 'music', 'piano', 'instruments', 'play', 'piano', 'rock and roll', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'trumpet', char: '\u{1F3BA}', shortName: 'trumpet', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['instrument', 'music', 'instruments', 'play', 'activity', 'independence day', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'violin', char: '\u{1F3BB}', shortName: 'violin', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['instrument', 'music', 'instruments', 'sarcastic', 'play', 'activity', 'stringed', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'sarcasm']), Emoji(name: 'banjo', char: '\u{1FA95}', shortName: 'banjo', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['instruments', 'play', 'toy', 'guitarra', 'stringed', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'guitare', 'gitarre', 'chitarra', 'bangio']), Emoji(name: 'drum', char: '\u{1F941}', shortName: 'drum', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.musicalInstrument, keywords: ['drum', 'drumsticks', 'music', 'instruments', 'play', 'rock and roll', 'activity', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'mobile phone', char: '\u{1F4F1}', shortName: 'iphone', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.phone, keywords: ['cell', 'mobile', 'phone', 'telephone', 'electronics', 'phone', 'talk', 'selfie', 'technology', 'instagram', 'telephone', 'iphone', 'smartphone', 'text', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak']), Emoji(name: 'mobile phone with arrow', char: '\u{1F4F2}', shortName: 'calling', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.phone, keywords: ['arrow', 'call', 'cell', 'mobile', 'phone', 'receive', 'telephone', 'electronics', 'phone', 'selfie', 'technology', 'download', 'telephone', 'iphone', 'smartphone', 'text']), Emoji(name: 'telephone', char: '\u{260E}', shortName: 'telephone', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.phone, keywords: ['phone', 'electronics', 'phone', 'talk', 'history', 'hotel', 'telephone', 'iphone', 'smartphone', 'text', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak', 'ancient', 'old', 'vacancy', 'no vacancy']), Emoji(name: 'telephone receiver', char: '\u{1F4DE}', shortName: 'telephone_receiver', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.phone, keywords: ['phone', 'receiver', 'telephone', 'electronics', 'phone', 'talk', 'telephone', 'iphone', 'smartphone', 'text', 'talking', 'speech', 'social', 'chat', 'voice', 'speechless', 'speak']), Emoji(name: 'pager', char: '\u{1F4DF}', shortName: 'pager', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.phone, keywords: ['pager', 'work', 'electronics', 'technology', 'history', 'ancient', 'old']), Emoji(name: 'fax machine', char: '\u{1F4E0}', shortName: 'fax', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.phone, keywords: ['fax', 'work', 'electronics', 'office', 'technology', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'battery', char: '\u{1F50B}', shortName: 'battery', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['battery', 'science', 'power', 'lab']), Emoji(name: 'electric plug', char: '\u{1F50C}', shortName: 'electric_plug', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['electric', 'electricity', 'plug', 'electronics', 'electric', 'power']), Emoji(name: 'laptop', char: '\u{1F4BB}', shortName: 'computer', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'pc', 'personal', 'work', 'electronics', 'office', 'internet', 'technology', 'laptop', 'download', 'instagram', 'youtube', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'computer', 'vlog']), Emoji(name: 'desktop computer', char: '\u{1F5A5}', shortName: 'desktop', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'desktop', 'work', 'electronics', 'office', 'internet', 'technology', 'laptop', 'download', 'instagram', 'youtube', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'computer', 'vlog']), Emoji(name: 'printer', char: '\u{1F5A8}', shortName: 'printer', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'work', 'electronics', 'office', 'technology', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'keyboard', char: '\u{2328}', shortName: 'keyboard', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'work', 'electronics', 'office', 'keyboard', 'technology', 'laptop', 'blade', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'keyboards', 'computer', 'shave', 'trim']), Emoji(name: 'computer mouse', char: '\u{1F5B1}', shortName: 'mouse_three_button', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'work', 'electronics', 'office', 'game', 'technology', 'laptop', 'click', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'games', 'gaming', 'computer']), Emoji(name: 'trackball', char: '\u{1F5B2}', shortName: 'trackball', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'work', 'electronics', 'office', 'game', 'technology', 'laptop', 'click', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'games', 'gaming', 'computer']), Emoji(name: 'computer disk', char: '\u{1F4BD}', shortName: 'minidisc', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'disk', 'minidisk', 'optical', 'instruments', 'electronics', 'laptop', 'download', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'computer']), Emoji(name: 'floppy disk', char: '\u{1F4BE}', shortName: 'floppy_disk', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['computer', 'disk', 'floppy', 'electronics', 'office', 'laptop', 'download', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'computer']), Emoji(name: 'optical disk', char: '\u{1F4BF}', shortName: 'cd', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['cd', 'computer', 'disk', 'optical', 'instruments', 'electronics', 'download', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique']), Emoji(name: 'dvd', char: '\u{1F4C0}', shortName: 'dvd', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['blu-ray', 'computer', 'disk', 'dvd', 'optical', 'electronics']), Emoji(name: 'abacus', char: '\u{1F9EE}', shortName: 'abacus', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.computer, keywords: ['math', 'science', 'vintage', 'history', 'calculator', 'lab', 'ancient', 'old', 'count', 'add']), Emoji(name: 'movie camera', char: '\u{1F3A5}', shortName: 'movie_camera', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['camera', 'cinema', 'movie', 'movie', 'movies', 'cinema', 'film', 'films', 'video', 'videos']), Emoji(name: 'film frames', char: '\u{1F39E}', shortName: 'film_frames', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['cinema', 'film', 'frames', 'movie', 'movie', 'disney', 'california', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'cartoon']), Emoji(name: 'film projector', char: '\u{1F4FD}', shortName: 'projector', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['cinema', 'film', 'movie', 'projector', 'video', 'movie', 'disney', 'california', 'fame', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'cartoon', 'famous', 'celebrity']), Emoji(name: 'clapper board', char: '\u{1F3AC}', shortName: 'clapper', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['clapper', 'movie', 'movie', 'disney', 'california', 'fame', 'activity', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'cartoon', 'famous', 'celebrity']), Emoji(name: 'television', char: '\u{1F4FA}', shortName: 'tv', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['tv', 'video', 'electronics', 'fame', 'history', 'youtube', 'household', 'famous', 'celebrity', 'ancient', 'old', 'vlog']), Emoji(name: 'camera', char: '\u{1F4F7}', shortName: 'camera', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['video', 'electronics', 'selfie', 'technology', 'instagram', 'youtube', 'vlog']), Emoji(name: 'camera with flash', char: '\u{1F4F8}', shortName: 'camera_with_flash', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['camera', 'flash', 'video', 'electronics', 'technology', 'instagram']), Emoji(name: 'video camera', char: '\u{1F4F9}', shortName: 'video_camera', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['camera', 'video', 'electronics', 'movie', 'technology', 'porn', 'youtube', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'vlog']), Emoji(name: 'videocassette', char: '\u{1F4FC}', shortName: 'vhs', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['tape', 'vhs', 'video', 'electronics', 'history', 'ancient', 'old']), Emoji(name: 'magnifying glass tilted left', char: '\u{1F50D}', shortName: 'mag', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['glass', 'magnifying', 'search', 'tool', 'google', 'search', 'detective', 'household', 'look', 'find', 'looking', 'see']), Emoji(name: 'magnifying glass tilted right', char: '\u{1F50E}', shortName: 'mag_right', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['glass', 'magnifying', 'search', 'tool', 'google', 'search', 'detective', 'look', 'find', 'looking', 'see']), Emoji(name: 'candle', char: '\u{1F56F}', shortName: 'candle', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['light', 'religion', 'halloween', 'birthday', 'christmas', 'light', 'jewish', 'samhain', 'birth', 'cumpleaños', 'anniversaire', 'bday', 'navidad', 'xmas', 'noel', 'merry christmas', 'lamp', 'light bulb', 'flashlight', 'spotlight', 'illuminate', 'lightbulb', 'lighting', 'luce', 'licht', 'lumière', 'luz', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'light bulb', char: '\u{1F4A1}', shortName: 'bulb', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['bulb', 'comic', 'electric', 'idea', 'light', 'science', 'electric', 'light', 'power', 'idea', 'sparkle', 'innovate', 'lab', 'lamp', 'light bulb', 'flashlight', 'spotlight', 'illuminate', 'lightbulb', 'lighting', 'luce', 'licht', 'lumière', 'luz', 'bright', 'shine', 'twinkle', 'innovation', 'inquire']), Emoji(name: 'flashlight', char: '\u{1F526}', shortName: 'flashlight', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['electric', 'light', 'tool', 'torch', 'electronics', 'tool', 'light', 'search', 'sparkle', 'tools', 'lamp', 'light bulb', 'flashlight', 'spotlight', 'illuminate', 'lightbulb', 'lighting', 'luce', 'licht', 'lumière', 'luz', 'look', 'find', 'looking', 'see', 'bright', 'shine', 'twinkle']), Emoji(name: 'red paper lantern', char: '\u{1F3EE}', shortName: 'izakaya_lantern', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['bar', 'lantern', 'light', 'red', 'japan', 'japanese', 'ninja']), Emoji(name: 'diya lamp', char: '\u{1FA94}', shortName: 'diya_lamp', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lightVideo, keywords: ['light', 'jealous', 'dharmachakra', 'diya', 'greed', 'soul', 'lamp', 'light bulb', 'flashlight', 'spotlight', 'illuminate', 'lightbulb', 'lighting', 'luce', 'licht', 'lumière', 'luz', 'jainism', 'buddhism', 'hinduism', 'nirvana', 'maintain', 'keep', 'law', 'bueno', 'dharma', 'kama', 'artha', 'moksa', 'karma', 'diyo', 'deya', 'divaa', 'deepa', 'deepam', 'deepak', 'diwali', 'oil lamp', 'selfish']), Emoji(name: 'notebook with decorative cover', char: '\u{1F4D4}', shortName: 'notebook_with_decorative_cover', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['book', 'cover', 'decorated', 'notebook', 'book', 'office', 'write', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing']), Emoji(name: 'closed book', char: '\u{1F4D5}', shortName: 'closed_book', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['book', 'closed', 'book', 'office', 'write', 'bible', 'history', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'ancient', 'old']), Emoji(name: 'open book', char: '\u{1F4D6}', shortName: 'book', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['book', 'open', 'book', 'office', 'write', 'history', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'ancient', 'old']), Emoji(name: 'green book', char: '\u{1F4D7}', shortName: 'green_book', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['book', 'green', 'book', 'office', 'bible', 'history', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'ancient', 'old']), Emoji(name: 'blue book', char: '\u{1F4D8}', shortName: 'blue_book', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['blue', 'book', 'book', 'office', 'write', 'bible', 'history', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'ancient', 'old']), Emoji(name: 'orange book', char: '\u{1F4D9}', shortName: 'orange_book', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['book', 'orange', 'book', 'office', 'write', 'bible', 'history', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'ancient', 'old']), Emoji(name: 'books', char: '\u{1F4DA}', shortName: 'books', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['book', 'book', 'office', 'write', 'nerd', 'history', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'smart', 'geek', 'serious', 'ancient', 'old']), Emoji(name: 'notebook', char: '\u{1F4D3}', shortName: 'notebook', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['notebook', 'book', 'office', 'write', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing']), Emoji(name: 'ledger', char: '\u{1F4D2}', shortName: 'ledger', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['notebook', 'office', 'write', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing']), Emoji(name: 'page with curl', char: '\u{1F4C3}', shortName: 'page_with_curl', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['curl', 'document', 'page', 'office', 'write', 'document', 'envelope', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'documents', 'letter', 'message', 'offer']), Emoji(name: 'scroll', char: '\u{1F4DC}', shortName: 'scroll', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['paper', 'office', 'document', 'scroll', 'history', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'documents', 'ancient', 'old']), Emoji(name: 'page facing up', char: '\u{1F4C4}', shortName: 'page_facing_up', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['document', 'page', 'work', 'office', 'write', 'document', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'documents']), Emoji(name: 'newspaper', char: '\u{1F4F0}', shortName: 'newspaper', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['news', 'paper', 'office', 'write', 'news', 'history', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'article', 'ancient', 'old']), Emoji(name: 'rolled-up newspaper', char: '\u{1F5DE}', shortName: 'newspaper2', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['news', 'newspaper', 'paper', 'rolled', 'office', 'write', 'news', 'history', 'household', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'article', 'ancient', 'old']), Emoji(name: 'bookmark tabs', char: '\u{1F4D1}', shortName: 'bookmark_tabs', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['bookmark', 'mark', 'marker', 'tabs', 'office', 'write', 'document', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'documents']), Emoji(name: 'bookmark', char: '\u{1F516}', shortName: 'bookmark', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['mark', 'book', 'discount', 'price', 'household', 'books', 'read', 'reading', 'cahier', 'livre', 'cuaderno', 'diary', 'dictionary', 'encyclopedia', 'sale', 'bargain']), Emoji(name: 'label', char: '\u{1F3F7}', shortName: 'label', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.bookPaper, keywords: ['label', 'discount', 'price', 'sale', 'bargain']), Emoji(name: 'money bag', char: '\u{1F4B0}', shortName: 'moneybag', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bag', 'dollar', 'money', 'moneybag', 'wedding', 'bag', 'money', 'award', 'pirate', 'bling', 'coins', 'donald trump', 'rich', 'weddings', 'marriage', 'newlywed', 'bride', 'groome', 'groom', 'married', 'marry', 'swag', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'awards', 'prize', 'prizes', 'trophy', 'trophies', 'spot', 'best', 'champion', 'hero', 'jewels', 'gems', 'jewel', 'jewelry', 'treasure', 'trump', 'grand', 'expensive', 'fancy']), Emoji(name: 'yen banknote', char: '\u{1F4B4}', shortName: 'yen', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'banknote', 'bill', 'currency', 'money', 'note', 'yen', 'money', 'coins', 'rich', 'purchase', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'dollar banknote', char: '\u{1F4B5}', shortName: 'dollar', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'banknote', 'bill', 'currency', 'dollar', 'money', 'note', 'money', 'coins', 'rich', 'purchase', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'euro banknote', char: '\u{1F4B6}', shortName: 'euro', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'banknote', 'bill', 'currency', 'euro', 'money', 'note', 'money', 'coins', 'rich', 'purchase', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'pound banknote', char: '\u{1F4B7}', shortName: 'pound', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'banknote', 'bill', 'currency', 'money', 'note', 'pound', 'money', 'coins', 'rich', 'purchase', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'money with wings', char: '\u{1F4B8}', shortName: 'money_with_wings', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'banknote', 'bill', 'dollar', 'fly', 'money', 'note', 'wings', 'money', 'vacation', 'boys night', 'coins', 'las vegas', 'rich', 'purchase', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'guys night', 'vegas', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'credit card', char: '\u{1F4B3}', shortName: 'credit_card', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'card', 'credit', 'money', 'money', 'vacation', 'boys night', 'rich', 'purchase', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'guys night', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'receipt', char: '\u{1F9FE}', shortName: 'receipt', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['document', 'business', 'discount', 'history', 'price', 'rich', 'purchase', 'household', 'restaurant', 'invoice', 'documents', 'sale', 'bargain', 'ancient', 'old', 'grand', 'expensive', 'fancy', 'buy', 'shop', 'spend']), Emoji(name: 'chart increasing with yen', char: '\u{1F4B9}', shortName: 'chart', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.money, keywords: ['bank', 'chart', 'currency', 'graph', 'growth', 'market', 'money', 'rise', 'trend', 'upward', 'yen', 'money', 'japan', 'data', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'japanese', 'ninja', 'graph']), Emoji(name: 'envelope', char: '\u{2709}', shortName: 'envelope', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['email', 'letter', 'office', 'write', 'mail', 'envelope', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'e-mail', char: '\u{1F4E7}', shortName: 'e-mail', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['email', 'letter', 'mail', 'work', 'office', 'mail', 'business', 'envelope', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'incoming envelope', char: '\u{1F4E8}', shortName: 'incoming_envelope', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['e-mail', 'email', 'envelope', 'incoming', 'letter', 'mail', 'receive', 'office', 'mail', 'envelope', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'envelope with arrow', char: '\u{1F4E9}', shortName: 'envelope_with_arrow', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['arrow', 'down', 'e-mail', 'email', 'envelope', 'letter', 'mail', 'outgoing', 'sent', 'office', 'mail', 'envelope', 'download', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'outbox tray', char: '\u{1F4E4}', shortName: 'outbox_tray', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['box', 'letter', 'mail', 'outbox', 'sent', 'tray', 'work', 'office', 'business', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'inbox tray', char: '\u{1F4E5}', shortName: 'inbox_tray', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['box', 'inbox', 'letter', 'mail', 'receive', 'tray', 'work', 'office', 'business', 'envelope', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'letter', 'message', 'offer']), Emoji(name: 'package', char: '\u{1F4E6}', shortName: 'package', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['box', 'parcel', 'office', 'gift', 'mail', 'moving', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'present', 'cadeau', 'bows', 'presents', 'email', 'post', 'post office']), Emoji(name: 'closed mailbox with raised flag', char: '\u{1F4EB}', shortName: 'mailbox', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['closed', 'mail', 'mailbox', 'postbox', 'mail', 'envelope', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'closed mailbox with lowered flag', char: '\u{1F4EA}', shortName: 'mailbox_closed', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['closed', 'lowered', 'mail', 'mailbox', 'postbox', 'mail', 'envelope', 'household', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'open mailbox with raised flag', char: '\u{1F4EC}', shortName: 'mailbox_with_mail', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['mail', 'mailbox', 'open', 'postbox', 'mail', 'envelope', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'open mailbox with lowered flag', char: '\u{1F4ED}', shortName: 'mailbox_with_no_mail', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['lowered', 'mail', 'mailbox', 'open', 'postbox', 'mail', 'envelope', 'empty', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'postbox', char: '\u{1F4EE}', shortName: 'postbox', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['mail', 'mailbox', 'mail', 'envelope', 'email', 'post', 'post office', 'letter', 'message', 'offer']), Emoji(name: 'ballot box with ballot', char: '\u{1F5F3}', shortName: 'ballot_box', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.mail, keywords: ['ballot', 'box', 'office', 'vote', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'pencil', char: '\u{270F}', shortName: 'pencil2', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['pencil', 'theatre', 'tool', 'office', 'write', 'color', 'correct', 'household', 'theater', 'craft', 'drama', 'monet', 'tools', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch', 'passing grade']), Emoji(name: 'black nib', char: '\u{2712}', shortName: 'black_nib', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['nib', 'pen', 'office', 'write', 'correct', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'passing grade']), Emoji(name: 'fountain pen', char: '\u{1F58B}', shortName: 'pen_fountain', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['fountain', 'pen', 'tool', 'office', 'write', 'color', 'correct', 'tools', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch', 'passing grade']), Emoji(name: 'pen', char: '\u{1F58A}', shortName: 'pen_ballpoint', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['ballpoint', 'tool', 'office', 'write', 'business', 'color', 'correct', 'detective', 'household', 'tools', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch', 'passing grade']), Emoji(name: 'paintbrush', char: '\u{1F58C}', shortName: 'paintbrush', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['painting', 'theatre', 'office', 'write', 'painting', 'color', 'theater', 'craft', 'drama', 'monet', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'painter', 'arts', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch']), Emoji(name: 'crayon', char: '\u{1F58D}', shortName: 'crayon', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['crayon', 'theatre', 'office', 'write', 'color', 'household', 'theater', 'craft', 'drama', 'monet', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch']), Emoji(name: 'memo', char: '\u{1F4DD}', shortName: 'pencil', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.writing, keywords: ['pencil', 'work', 'office', 'write', 'document', 'envelope', 'color', 'correct', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'documents', 'letter', 'message', 'offer', 'colour', 'coloring', 'colouring', 'drawing', 'marker', 'sketch', 'passing grade']), Emoji(name: 'briefcase', char: '\u{1F4BC}', shortName: 'briefcase', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['briefcase', 'fashion', 'work', 'bag', 'men', 'office', 'accessories', 'nutcase', 'job', 'business', 'rich', 'clothes', 'clothing', 'style', 'swag', 'man', 'guy', 'guys', 'gentleman', 'male', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'profession', 'boss', 'grand', 'expensive', 'fancy']), Emoji(name: 'file folder', char: '\u{1F4C1}', shortName: 'file_folder', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['file', 'folder', 'work', 'office', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'open file folder', char: '\u{1F4C2}', shortName: 'open_file_folder', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['file', 'folder', 'open', 'work', 'office', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'card index dividers', char: '\u{1F5C2}', shortName: 'dividers', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['card', 'dividers', 'index', 'work', 'office', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'calendar', char: '\u{1F4C5}', shortName: 'date', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['date', 'office', 'calendar', 'advent', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'date', 'sunday', 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'month', 'agenda', 'mois', 'year', 'today', 'jour', 'week', 'when']), Emoji(name: 'tear-off calendar', char: '\u{1F4C6}', shortName: 'calendar', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['calendar', 'office', 'calendar', 'business', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'date', 'sunday', 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'month', 'agenda', 'mois', 'year', 'today', 'jour', 'week', 'when']), Emoji(name: 'spiral notepad', char: '\u{1F5D2}', shortName: 'notepad_spiral', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['note', 'pad', 'spiral', 'work', 'office', 'write', 'business', 'envelope', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'letter', 'message', 'offer']), Emoji(name: 'spiral calendar', char: '\u{1F5D3}', shortName: 'calendar_spiral', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['calendar', 'pad', 'spiral', 'office', 'calendar', 'advent', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'date', 'sunday', 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'month', 'agenda', 'mois', 'year', 'today', 'jour', 'week', 'when']), Emoji(name: 'card index', char: '\u{1F4C7}', shortName: 'card_index', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['card', 'index', 'rolodex', 'work', 'office', 'business', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'chart increasing', char: '\u{1F4C8}', shortName: 'chart_with_upwards_trend', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['chart', 'graph', 'growth', 'trend', 'upward', 'work', 'office', 'business', 'data', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'graph']), Emoji(name: 'chart decreasing', char: '\u{1F4C9}', shortName: 'chart_with_downwards_trend', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['chart', 'down', 'graph', 'trend', 'work', 'office', 'business', 'data', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'graph']), Emoji(name: 'bar chart', char: '\u{1F4CA}', shortName: 'bar_chart', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['bar', 'chart', 'graph', 'work', 'office', 'business', 'data', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'graph']), Emoji(name: 'clipboard', char: '\u{1F4CB}', shortName: 'clipboard', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['clipboard', 'work', 'office', 'write', 'business', 'data', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'writing', 'graph']), Emoji(name: 'pushpin', char: '\u{1F4CC}', shortName: 'pushpin', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['pin', 'office', 'map', 'business', 'household', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'maps', 'location', 'locate', 'local', 'lost']), Emoji(name: 'round pushpin', char: '\u{1F4CD}', shortName: 'round_pushpin', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['pin', 'pushpin', 'office', 'map', 'business', 'household', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'maps', 'location', 'locate', 'local', 'lost']), Emoji(name: 'paperclip', char: '\u{1F4CE}', shortName: 'paperclip', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['paperclip', 'work', 'office', 'business', 'household', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'linked paperclips', char: '\u{1F587}', shortName: 'paperclips', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['link', 'paperclip', 'work', 'office', 'business', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'straight ruler', char: '\u{1F4CF}', shortName: 'straight_ruler', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['ruler', 'straight edge', 'theatre', 'tool', 'office', 'household', 'theater', 'craft', 'drama', 'monet', 'tools', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'triangular ruler', char: '\u{1F4D0}', shortName: 'triangular_ruler', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['ruler', 'set', 'triangle', 'tool', 'office', 'triangle', 'tools', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'triangles']), Emoji(name: 'scissors', char: '\u{2702}', shortName: 'scissors', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['cutting', 'tool', 'theatre', 'tool', 'weapon', 'office', 'steel', 'household', 'theater', 'craft', 'drama', 'monet', 'tools', 'weapons', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'card file box', char: '\u{1F5C3}', shortName: 'card_box', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['box', 'card', 'file', 'work', 'office', 'business', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'file cabinet', char: '\u{1F5C4}', shortName: 'file_cabinet', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['cabinet', 'file', 'filing', 'work', 'office', 'business', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'wastebasket', char: '\u{1F5D1}', shortName: 'wastebasket', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.office, keywords: ['wastebasket', 'work', 'office', 'business', 'trash', 'clean', 'empty', 'delete', 'household', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'litter', 'trash can', 'garbage', 'rubbish', 'poubelle', 'basura']), Emoji(name: 'locked', char: '\u{1F512}', shortName: 'lock', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lock, keywords: ['closed', 'lock', 'locks', 'key', 'keys']), Emoji(name: 'unlocked', char: '\u{1F513}', shortName: 'unlock', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lock, keywords: ['lock', 'open', 'unlock', 'lock', 'locks', 'key', 'keys']), Emoji(name: 'locked with pen', char: '\u{1F50F}', shortName: 'lock_with_ink_pen', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lock, keywords: ['ink', 'lock', 'nib', 'pen', 'privacy', 'lock', 'locks', 'key', 'keys']), Emoji(name: 'locked with key', char: '\u{1F510}', shortName: 'closed_lock_with_key', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lock, keywords: ['closed', 'key', 'lock', 'secure', 'lock', 'household', 'locks', 'key', 'keys']), Emoji(name: 'key', char: '\u{1F511}', shortName: 'key', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lock, keywords: ['lock', 'password', 'lock', 'household', 'locks', 'key', 'keys']), Emoji(name: 'old key', char: '\u{1F5DD}', shortName: 'key2', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.lock, keywords: ['clue', 'key', 'lock', 'old', 'lock', 'household', 'locks', 'key', 'keys']), Emoji(name: 'hammer', char: '\u{1F528}', shortName: 'hammer', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['tool', 'tool', 'weapon', 'steel', 'household', 'build', 'tools', 'weapons']), Emoji(name: 'axe', char: '\u{1FA93}', shortName: 'axe', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['tool', 'weapon', 'halloween', 'danger', 'killer', 'chopper', 'knives', 'chop', 'tools', 'weapons', 'samhain', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'savage', 'scary clown', 'hatchet', 'adz', 'tomahawk']), Emoji(name: 'pick', char: '\u{26CF}', shortName: 'pick', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['mining', 'tool', 'tool', 'weapon', 'farm', 'viking', 'minecraft', 'killer', 'steel', 'build', 'chop', 'tools', 'weapons', 'knight', 'savage', 'scary clown']), Emoji(name: 'hammer and pick', char: '\u{2692}', shortName: 'hammer_pick', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['hammer', 'pick', 'tool', 'tool', 'weapon', 'minecraft', 'steel', 'build', 'chop', 'tools', 'weapons']), Emoji(name: 'hammer and wrench', char: '\u{1F6E0}', shortName: 'tools', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['hammer', 'spanner', 'tool', 'wrench', 'tool', 'steel', 'build', 'tools']), Emoji(name: 'dagger', char: '\u{1F5E1}', shortName: 'dagger', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['knife', 'weapon', 'weapon', 'halloween', 'blood', 'viking', 'killer', 'hunt', 'steel', 'knives', 'weapons', 'samhain', 'sangre', 'sang', 'blut', 'sangue', 'knight', 'savage', 'scary clown']), Emoji(name: 'crossed swords', char: '\u{2694}', shortName: 'crossed_swords', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['crossed', 'swords', 'weapon', 'weapon', 'japan', 'dead', 'deadpool', 'viking', 'minecraft', 'killer', 'steel', 'war', 'knives', 'weapons', 'japanese', 'ninja', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'knight', 'savage', 'scary clown']), Emoji(name: 'pistol', char: '\u{1F52B}', shortName: 'gun', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['gun', 'handgun', 'revolver', 'tool', 'weapon', 'weapon', 'angry', 'dead', 'gun', 'sarcastic', 'deadpool', 'danger', 'soldier', 'texas', 'killer', 'hunt', 'shot', 'war', 'independence day', 'weapons', 'upset', 'pissed', 'pissed off', 'unhappy', 'frustrated', 'anger', 'rage', 'frustration', 'furious', 'mad', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'guns', 'trigger', 'sarcasm', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'savage', 'scary clown']), Emoji(name: 'bow and arrow', char: '\u{1F3F9}', shortName: 'bow_and_arrow', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['Sagittarius', 'archer', 'archery', 'arrow', 'bow', 'tool', 'weapon', 'zodiac', 'sport', 'weapon', 'arrow', 'game', 'play', 'target', 'minecraft', 'activity', 'sports', 'exercise', 'athlete', 'athletes', 'athletic', 'team', 'fitness', 'work out', 'workout', 'weapons', 'arrows', 'games', 'gaming']), Emoji(name: 'shield', char: '\u{1F6E1}', shortName: 'shield', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['weapon', 'viking', 'minecraft', 'knight']), Emoji(name: 'wrench', char: '\u{1F527}', shortName: 'wrench', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['spanner', 'tool', 'wrench', 'tool', 'steel', 'build', 'tools']), Emoji(name: 'nut and bolt', char: '\u{1F529}', shortName: 'nut_and_bolt', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['bolt', 'nut', 'tool', 'tool', 'nutcase', 'steel', 'build', 'tools']), Emoji(name: 'gear', char: '\u{2699}', shortName: 'gear', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['tool', 'tool', 'steel', 'tools']), Emoji(name: 'clamp', char: '\u{1F5DC}', shortName: 'compression', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['compress', 'tool', 'vice', 'tool', 'download', 'steel', 'tools']), Emoji(name: 'balance scale', char: '\u{2696}', shortName: 'scales', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['Libra', 'balance', 'justice', 'scales', 'tool', 'weight', 'zodiac', 'tool', 'science', 'poison', 'tools', 'lab', 'toxic', 'toxins']), Emoji(name: 'white cane', char: '\u{1F9AF}', shortName: 'probing_cane', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['handicap', 'navigate', 'blind', 'probe', 'accessibility', 'disabled', 'disability', 'white cane']), Emoji(name: 'link', char: '\u{1F517}', shortName: 'link', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['link', 'office', 'steel', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test']), Emoji(name: 'chains', char: '\u{26D3}', shortName: 'chains', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['chain', 'tool', 'halloween', 'steel', 'tools', 'samhain']), Emoji(name: 'toolbox', char: '\u{1F9F0}', shortName: 'toolbox', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['tool', 'household', 'build', 'tools']), Emoji(name: 'magnet', char: '\u{1F9F2}', shortName: 'magnet', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.tool, keywords: ['science', 'magnet', 'household', 'lab']), Emoji(name: 'alembic', char: '\u{2697}', shortName: 'alembic', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['chemistry', 'tool', 'science', 'poison', 'minecraft', 'lab', 'toxic', 'toxins']), Emoji(name: 'test tube', char: '\u{1F9EA}', shortName: 'test_tube', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['science', 'poison', 'test-tube', 'lab', 'toxic', 'toxins', 'culture tube', 'sample tube']), Emoji(name: 'petri dish', char: '\u{1F9EB}', shortName: 'petri_dish', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['science', 'bacteria', 'petrie dish', 'mushroom', 'lab', 'microorganism', 'bacterium', 'petri plate', 'cell culture dish', 'moss']), Emoji(name: 'dna', char: '\u{1F9EC}', shortName: 'dna', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['family', 'science', 'blood', 'history', 'future', 'deoxyribonucleic acid', 'families', 'group', 'brother', 'sister', 'daughter', 'son', 'together', 'sibling', 'twins', 'brothers', 'sisters', 'lab', 'sangre', 'sang', 'blut', 'sangue', 'ancient', 'old', 'gene', 'genetic code', 'RNA', 'chromosome', 'heredity', 'nucleic acid']), Emoji(name: 'microscope', char: '\u{1F52C}', shortName: 'microscope', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['science', 'tool', 'science', 'lab']), Emoji(name: 'telescope', char: '\u{1F52D}', shortName: 'telescope', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['science', 'tool', 'space', 'star', 'science', 'search', 'outer space', 'galaxy', 'universe', 'nasa', 'spaceship', 'stars', 'lab', 'look', 'find', 'looking', 'see']), Emoji(name: 'satellite antenna', char: '\u{1F4E1}', shortName: 'satellite', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.science, keywords: ['antenna', 'dish', 'satellite', 'technology', 'power', 'sound', 'volume', 'speaker', 'loud', 'mic', 'audio', 'hear']), Emoji(name: 'syringe', char: '\u{1F489}', shortName: 'syringe', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.medical, keywords: ['doctor', 'medicine', 'needle', 'shot', 'sick', 'tool', 'weapon', 'drugs', 'dead', 'health', 'blood', 'nurse', 'poison', 'killer', 'shot', 'needle', 'weapons', 'drug', 'narcotics', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'medicine', 'doctor', 'sangre', 'sang', 'blut', 'sangue', 'toxic', 'toxins', 'savage', 'scary clown']), Emoji(name: 'drop of blood', char: '\u{1FA78}', shortName: 'drop_of_blood', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.medical, keywords: ['science', 'health', '911', 'blood', 'vampire', 'shot', 'bleed', 'lab', 'medicine', 'doctor', 'emergency', 'injury', 'sangre', 'sang', 'blut', 'sangue', 'dracula', 'donation', 'menstruation']), Emoji(name: 'pill', char: '\u{1F48A}', shortName: 'pill', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.medical, keywords: ['doctor', 'medicine', 'sick', 'drugs', 'health', 'nurse', 'poison', 'killer', 'drug', 'narcotics', 'medicine', 'doctor', 'toxic', 'toxins', 'savage', 'scary clown']), Emoji(name: 'adhesive bandage', char: '\u{1FA79}', shortName: 'adhesive_bandage', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.medical, keywords: ['health', '911', 'nurse', 'bandaid', 'medicine', 'doctor', 'emergency', 'injury']), Emoji(name: 'stethoscope', char: '\u{1FA7A}', shortName: 'stethoscope', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.medical, keywords: ['science', 'health', '911', 'nurse', 'heart', 'auscultation', 'lab', 'medicine', 'doctor', 'emergency', 'injury', 'hearts', 'serce', 'corazón', 'coração', 'coeur']), Emoji(name: 'door', char: '\u{1F6AA}', shortName: 'door', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['door', 'minecraft', 'hotel', 'household', 'vacancy', 'no vacancy']), Emoji(name: 'bed', char: '\u{1F6CF}', shortName: 'bed', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['hotel', 'sleep', 'tired', 'hotel', 'household', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'vacancy', 'no vacancy']), Emoji(name: 'couch and lamp', char: '\u{1F6CB}', shortName: 'couch', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['couch', 'hotel', 'lamp', 'tired', 'light', 'sofa', 'hotel', 'household', 'seat', 'sleepy', 'sleep', 'dormi', 'pillow', 'blanket', 'exhausted', 'lamp', 'light bulb', 'flashlight', 'spotlight', 'illuminate', 'lightbulb', 'lighting', 'luce', 'licht', 'lumière', 'luz', 'vacancy', 'no vacancy', 'bench', 'sedia', 'Stuhl', 'chaise', 'silla', 'armchair']), Emoji(name: 'chair', char: '\u{1FA91}', shortName: 'chair', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['sit', 'seat', 'throne', 'sitting', 'kneel', 'kneeling', 'bench', 'sedia', 'Stuhl', 'chaise', 'silla', 'armchair']), Emoji(name: 'toilet', char: '\u{1F6BD}', shortName: 'toilet', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['toilet', 'bathroom', 'sick', 'diarrhea', 'private', 'throne', 'barf', 'vomit', 'throw up', 'puke', 'get well', 'cough', 'puking', 'barfing', 'malade', 'spew', 'shits', 'the shits', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'shower', char: '\u{1F6BF}', shortName: 'shower', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['water', 'bathroom', 'clean', 'wash', 'shower', 'bathe', 'bathing']), Emoji(name: 'bathtub', char: '\u{1F6C1}', shortName: 'bathtub', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['bath', 'bathroom', 'steam', 'clean', 'wash', 'steaming', 'piping', 'shower', 'bathe', 'bathing']), Emoji(name: 'razor', char: '\u{1FA92}', shortName: 'razor', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['mustache', 'beard', 'blade', 'shave', 'trim']), Emoji(name: 'lotion bottle', char: '\u{1F9F4}', shortName: 'squeeze_bottle', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['bathroom', 'beach', 'clean', 'wash', 'picnic', 'household', 'savon', 'shower', 'bathe', 'bathing']), Emoji(name: 'safety pin', char: '\u{1F9F7}', shortName: 'safety_pin', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['household', 'sew', 'knit', 'embroider', 'stitch', 'repair', 'crochet']), Emoji(name: 'broom', char: '\u{1F9F9}', shortName: 'broom', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['clean', 'sweep', 'household', 'dust', 'mop']), Emoji(name: 'basket', char: '\u{1F9FA}', shortName: 'basket', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['household', 'sew', 'knit', 'embroider', 'stitch', 'repair', 'crochet']), Emoji(name: 'roll of paper', char: '\u{1F9FB}', shortName: 'roll_of_paper', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['bathroom', 'diarrhea', 'shit', 'clean', 'household', 'shits', 'the shits', 'poop', 'turd', 'feces', 'pile', 'merde', 'butthole', 'caca', 'crap', 'dirty', 'pooo', 'mess', 'brown', 'poopoo']), Emoji(name: 'soap', char: '\u{1F9FC}', shortName: 'soap', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['bathroom', 'pink', 'clean', 'wash', 'household', 'dishes', 'savon', 'shower', 'bathe', 'bathing']), Emoji(name: 'sponge', char: '\u{1F9FD}', shortName: 'sponge', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['bathroom', 'clean', 'wash', 'household', 'dishes', 'shower', 'bathe', 'bathing']), Emoji(name: 'fire extinguisher', char: '\u{1F9EF}', shortName: 'fire_extinguisher', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['alarm', 'science', 'danger', 'household', 'fires', 'alarms', 'announce', 'lab', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'shopping cart', char: '\u{1F6D2}', shortName: 'shopping_cart', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.household, keywords: ['cart', 'shopping', 'trolley', 'food', 'purchase', 'foods', 'eat', 'meal', 'comida', 'nourriture', 'eats', 'groceries', 'grocery', 'hungry', 'tasty', 'mmm', 'yummy', 'feed', 'hunger', 'buy', 'shop', 'spend']), Emoji(name: 'cigarette', char: '\u{1F6AC}', shortName: 'smoking', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.otherObject, keywords: ['smoking', 'drugs', 'smoking', 'poison', 'killer', 'drug', 'narcotics', 'smoke', 'cigarette', 'puff', 'toxic', 'toxins', 'savage', 'scary clown']), Emoji(name: 'coffin', char: '\u{26B0}', shortName: 'coffin', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.otherObject, keywords: ['death', 'halloween', 'dead', 'rip', 'condolence', 'killer', 'war', 'samhain', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'rest in peace', 'compassion', 'savage', 'scary clown']), Emoji(name: 'funeral urn', char: '\u{26B1}', shortName: 'urn', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.otherObject, keywords: ['ashes', 'death', 'funeral', 'urn', 'halloween', 'dead', 'rip', 'condolence', 'samhain', 'death', 'die', 'dying', 'fart', 'goth', 'grave', 'headstone', 'horror', 'hurt', 'kill', 'murder', 'tomb', 'toot', 'died', 'rest in peace', 'compassion']), Emoji(name: 'moai', char: '\u{1F5FF}', shortName: 'moyai', emojiGroup: EmojiGroup.objects, emojiSubgroup: EmojiSubgroup.otherObject, keywords: ['face', 'moyai', 'statue', 'places', 'travel', 'japan', 'vacation', 'japanese', 'ninja']), Emoji(name: 'ATM sign', char: '\u{1F3E7}', shortName: 'atm', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['atm', 'automated', 'bank', 'teller', 'electronics', 'money', 'coins', 'rich', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'grand', 'expensive', 'fancy']), Emoji(name: 'litter in bin sign', char: '\u{1F6AE}', shortName: 'put_litter_in_its_place', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['litter', 'litter bin', 'trash', 'litter', 'trash can', 'garbage', 'rubbish', 'poubelle', 'basura']), Emoji(name: 'potable water', char: '\u{1F6B0}', shortName: 'potable_water', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['drinking', 'potable', 'water', 'drip', 'water', 'water drop']), Emoji(name: 'wheelchair symbol', char: '\u{267F}', shortName: 'wheelchair', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['access', 'handicap', 'disabled', 'disability']), Emoji(name: 'men’s room', char: '\u{1F6B9}', shortName: 'mens', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['lavatory', 'man', 'restroom', 'wc', 'men', 'human', 'man', 'guy', 'guys', 'gentleman', 'male', 'gender', 'people']), Emoji(name: 'women’s room', char: '\u{1F6BA}', shortName: 'womens', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['lavatory', 'restroom', 'wc', 'woman', 'women', 'human', 'woman', 'female', 'gender', 'people']), Emoji(name: 'restroom', char: '\u{1F6BB}', shortName: 'restroom', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['WC', 'lavatory', 'restroom', 'human', 'gender', 'people']), Emoji(name: 'baby symbol', char: '\u{1F6BC}', shortName: 'baby_symbol', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['baby', 'changing', 'baby', 'human', 'kid', 'babies', 'infant', 'infants', 'crying kid', 'bebe', 'little', 'petite', 'bambino', 'gender', 'people']), Emoji(name: 'water closet', char: '\u{1F6BE}', shortName: 'wc', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['closet', 'lavatory', 'restroom', 'water', 'wc', 'wash', 'shower', 'bathe', 'bathing']), Emoji(name: 'passport control', char: '\u{1F6C2}', shortName: 'passport_control', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['control', 'passport', 'travel', 'vacation']), Emoji(name: 'customs', char: '\u{1F6C3}', shortName: 'customs', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['customs', 'travel', 'vacation']), Emoji(name: 'baggage claim', char: '\u{1F6C4}', shortName: 'baggage_claim', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['baggage', 'claim', 'travel', 'vacation', 'suitcase', 'carry-on']), Emoji(name: 'left luggage', char: '\u{1F6C5}', shortName: 'left_luggage', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.transportSign, keywords: ['baggage', 'locker', 'luggage', 'travel', 'vacation', 'suitcase', 'carry-on']), Emoji(name: 'warning', char: '\u{26A0}', shortName: 'warning', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['warning', 'punctuation', 'danger', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'children crossing', char: '\u{1F6B8}', shortName: 'children_crossing', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['child', 'crossing', 'pedestrian', 'traffic', 'danger', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'no entry', char: '\u{26D4}', shortName: 'no_entry', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['entry', 'forbidden', 'no', 'not', 'prohibited', 'traffic', 'circle', 'danger', 'private', 'circles', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'prohibited', char: '\u{1F6AB}', shortName: 'no_entry_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['entry', 'forbidden', 'no', 'not', 'circle', 'danger', 'private', 'never', 'circles', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'no bicycles', char: '\u{1F6B3}', shortName: 'no_bicycles', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['bicycle', 'bike', 'forbidden', 'no', 'not', 'prohibited', 'danger', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'no smoking', char: '\u{1F6AD}', shortName: 'no_smoking', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['forbidden', 'no', 'not', 'prohibited', 'smoking', 'travel', 'smoking', 'danger', 'smoke', 'cigarette', 'puff', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'no littering', char: '\u{1F6AF}', shortName: 'do_not_litter', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['forbidden', 'litter', 'no', 'not', 'prohibited', 'trash', 'danger', 'litter', 'trash can', 'garbage', 'rubbish', 'poubelle', 'basura', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'non-potable water', char: '\u{1F6B1}', shortName: 'non-potable_water', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['non-drinking', 'non-potable', 'water', 'danger', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'no pedestrians', char: '\u{1F6B7}', shortName: 'no_pedestrians', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['forbidden', 'no', 'not', 'pedestrian', 'prohibited', 'danger', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'no mobile phones', char: '\u{1F4F5}', shortName: 'no_mobile_phones', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['cell', 'forbidden', 'mobile', 'no', 'not', 'phone', 'prohibited', 'telephone', 'phone', 'danger', 'jewish', 'telephone', 'iphone', 'smartphone', 'text', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'no one under eighteen', char: '\u{1F51E}', shortName: 'underage', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['18', 'age restriction', 'eighteen', 'forbidden', 'no', 'not', 'prohibited', 'underage', 'danger', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'radioactive', char: '\u{2622}', shortName: 'radioactive', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['radioactive', 'sign', 'science', 'danger', 'nuclear', 'poison', 'lab', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'toxic', 'toxins']), Emoji(name: 'biohazard', char: '\u{2623}', shortName: 'biohazard', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.warning, keywords: ['biohazard', 'sign', 'science', 'danger', 'nuclear', 'poison', 'lab', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'toxic', 'toxins']), Emoji(name: 'up arrow', char: '\u{2B06}', shortName: 'arrow_up', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'cardinal', 'direction', 'north', 'arrow', 'arrows']), Emoji(name: 'up-right arrow', char: '\u{2197}', shortName: 'arrow_upper_right', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'direction', 'intercardinal', 'northeast', 'arrow', 'share', 'arrows']), Emoji(name: 'right arrow', char: '\u{27A1}', shortName: 'arrow_right', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'cardinal', 'direction', 'east', 'arrow', 'arrow right', 'arrows']), Emoji(name: 'down-right arrow', char: '\u{2198}', shortName: 'arrow_lower_right', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'direction', 'intercardinal', 'southeast', 'arrow', 'arrows']), Emoji(name: 'down arrow', char: '\u{2B07}', shortName: 'arrow_down', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'cardinal', 'direction', 'down', 'south', 'arrow', 'arrow down', 'download', 'arrows']), Emoji(name: 'down-left arrow', char: '\u{2199}', shortName: 'arrow_lower_left', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'direction', 'intercardinal', 'southwest', 'arrow', 'arrows']), Emoji(name: 'left arrow', char: '\u{2B05}', shortName: 'arrow_left', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'cardinal', 'direction', 'west', 'arrow', 'arrows']), Emoji(name: 'up-left arrow', char: '\u{2196}', shortName: 'arrow_upper_left', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'direction', 'intercardinal', 'northwest', 'arrow', 'arrows']), Emoji(name: 'up-down arrow', char: '\u{2195}', shortName: 'arrow_up_down', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'arrow', 'arrows']), Emoji(name: 'left-right arrow', char: '\u{2194}', shortName: 'left_right_arrow', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'arrow', 'arrows']), Emoji(name: 'right arrow curving left', char: '\u{21A9}', shortName: 'leftwards_arrow_with_hook', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'arrow', 'arrows']), Emoji(name: 'left arrow curving right', char: '\u{21AA}', shortName: 'arrow_right_hook', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'arrow', 'arrows']), Emoji(name: 'right arrow curving up', char: '\u{2934}', shortName: 'arrow_heading_up', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'arrow', 'arrows']), Emoji(name: 'right arrow curving down', char: '\u{2935}', shortName: 'arrow_heading_down', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'down', 'arrow', 'download', 'arrows']), Emoji(name: 'clockwise vertical arrows', char: '\u{1F503}', shortName: 'arrows_clockwise', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'clockwise', 'reload', 'arrow', 'infinity', 'arrows', 'infini', 'forever']), Emoji(name: 'counterclockwise arrows button', char: '\u{1F504}', shortName: 'arrows_counterclockwise', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['anticlockwise', 'arrow', 'counterclockwise', 'withershins', 'arrow', 'download', 'infinity', 'arrows', 'infini', 'forever']), Emoji(name: 'BACK arrow', char: '\u{1F519}', shortName: 'back', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'back', 'arrow', 'arrows']), Emoji(name: 'END arrow', char: '\u{1F51A}', shortName: 'end', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'end', 'arrow', 'arrows']), Emoji(name: 'ON! arrow', char: '\u{1F51B}', shortName: 'on', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'mark', 'on', 'arrow', 'power', 'arrows']), Emoji(name: 'SOON arrow', char: '\u{1F51C}', shortName: 'soon', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'soon', 'arrow', 'quick', 'arrows', 'bientôt', 'pronto', 'coming', 'arriving']), Emoji(name: 'TOP arrow', char: '\u{1F51D}', shortName: 'top', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.arrow, keywords: ['arrow', 'top', 'up', 'arrow', 'arrows']), Emoji(name: 'place of worship', char: '\u{1F6D0}', shortName: 'place_of_worship', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['religion', 'worship', 'religion', 'christmas', 'pray', 'jesus', 'jewish', 'advent', 'navidad', 'xmas', 'noel', 'merry christmas', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'atom symbol', char: '\u{269B}', shortName: 'atom', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['atheist', 'atom', 'science', 'infinity', 'nuclear', 'lab', 'infini', 'forever']), Emoji(name: 'om', char: '\u{1F549}', shortName: 'om_symbol', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['Hindu', 'religion', 'religion', 'dharmachakra', 'jainism', 'buddhism', 'hinduism', 'nirvana', 'maintain', 'keep', 'law', 'bueno', 'dharma', 'kama', 'artha', 'moksa', 'karma']), Emoji(name: 'star of David', char: '\u{2721}', shortName: 'star_of_david', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['David', 'Jew', 'Jewish', 'religion', 'star', 'religion', 'jew', 'star', 'jewish', 'judaism', 'stars', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'wheel of dharma', char: '\u{2638}', shortName: 'wheel_of_dharma', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['Buddhist', 'dharma', 'religion', 'wheel', 'religion', 'dharmachakra', 'jainism', 'buddhism', 'hinduism', 'nirvana', 'maintain', 'keep', 'law', 'bueno', 'dharma', 'kama', 'artha', 'moksa', 'karma']), Emoji(name: 'yin yang', char: '\u{262F}', shortName: 'yin_yang', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['religion', 'tao', 'taoist', 'yang', 'yin', 'thai', 'yoga', 'pattaya', 'meditation', 'meditate', 'zen', 'om', 'aum']), Emoji(name: 'latin cross', char: '\u{271D}', shortName: 'cross', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['Christian', 'cross', 'religion', 'religion', 'christmas', 'pray', 'jesus', 'easter', 'shame', 'advent', 'navidad', 'xmas', 'noel', 'merry christmas', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering']), Emoji(name: 'orthodox cross', char: '\u{2626}', shortName: 'orthodox_cross', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['Christian', 'cross', 'religion', 'religion', 'pray', 'jesus', 'easter', 'advent', 'russian', 'prayer', 'praying', 'prayers', 'grateful', 'sorry', 'heaven', 'bless', 'faith', 'holy', 'spirit', 'hopeful', 'blessed', 'preach', 'offering']), Emoji(name: 'star and crescent', char: '\u{262A}', shortName: 'star_and_crescent', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['Muslim', 'islam', 'religion', 'religion', 'islam', 'muslim', 'arab']), Emoji(name: 'peace symbol', char: '\u{262E}', shortName: 'peace', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['peace', 'peace', 'drugs', 'gay pride', 'peace out', 'peace sign', 'drug', 'narcotics']), Emoji(name: 'menorah', char: '\u{1F54E}', shortName: 'menorah', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['candelabrum', 'candlestick', 'religion', 'holidays', 'religion', 'jew', 'jewish', 'holiday', 'judaism', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'dotted six-pointed star', char: '\u{1F52F}', shortName: 'six_pointed_star', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.religion, keywords: ['fortune', 'star', 'religion', 'jew', 'star', 'jewish', 'judaism', 'stars', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'Aries', char: '\u{2648}', shortName: 'aries', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['ram', 'zodiac', 'zodiac']), Emoji(name: 'Taurus', char: '\u{2649}', shortName: 'taurus', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['bull', 'ox', 'zodiac', 'zodiac']), Emoji(name: 'Gemini', char: '\u{264A}', shortName: 'gemini', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['twins', 'zodiac', 'zodiac']), Emoji(name: 'Cancer', char: '\u{264B}', shortName: 'cancer', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['crab', 'zodiac', 'zodiac']), Emoji(name: 'Leo', char: '\u{264C}', shortName: 'leo', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['lion', 'zodiac', 'zodiac']), Emoji(name: 'Virgo', char: '\u{264D}', shortName: 'virgo', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['zodiac', 'zodiac']), Emoji(name: 'Libra', char: '\u{264E}', shortName: 'libra', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['balance', 'justice', 'scales', 'zodiac', 'zodiac']), Emoji(name: 'Scorpio', char: '\u{264F}', shortName: 'scorpius', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['scorpio', 'scorpion', 'zodiac', 'zodiac']), Emoji(name: 'Sagittarius', char: '\u{2650}', shortName: 'sagittarius', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['archer', 'zodiac', 'zodiac']), Emoji(name: 'Capricorn', char: '\u{2651}', shortName: 'capricorn', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['goat', 'zodiac', 'zodiac']), Emoji(name: 'Aquarius', char: '\u{2652}', shortName: 'aquarius', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['bearer', 'water', 'zodiac', 'zodiac']), Emoji(name: 'Pisces', char: '\u{2653}', shortName: 'pisces', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['fish', 'zodiac', 'zodiac']), Emoji(name: 'Ophiuchus', char: '\u{26CE}', shortName: 'ophiuchus', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.zodiac, keywords: ['bearer', 'serpent', 'snake', 'zodiac']), Emoji(name: 'shuffle tracks button', char: '\u{1F500}', shortName: 'twisted_rightwards_arrows', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'crossed', 'instruments', 'arrow', 'music', 'instrument', 'singing', 'concert', 'jaz', 'listen', 'singer', 'song', 'musique', 'arrows']), Emoji(name: 'repeat button', char: '\u{1F501}', shortName: 'repeat', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'clockwise', 'repeat', 'arrow', 'download', 'arrows']), Emoji(name: 'repeat single button', char: '\u{1F502}', shortName: 'repeat_one', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'clockwise', 'once', 'arrow', 'arrows']), Emoji(name: 'play button', char: '\u{25B6}', shortName: 'arrow_forward', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'play', 'right', 'triangle', 'arrow', 'triangle', 'play', 'start', 'arrows', 'triangles']), Emoji(name: 'fast-forward button', char: '\u{23E9}', shortName: 'fast_forward', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'double', 'fast', 'forward', 'arrow', 'arrows']), Emoji(name: 'next track button', char: '\u{23ED}', shortName: 'track_next', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'next scene', 'next track', 'triangle', 'arrow', 'arrows']), Emoji(name: 'play or pause button', char: '\u{23EF}', shortName: 'play_pause', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'pause', 'play', 'right', 'triangle', 'arrow', 'play', 'arrows']), Emoji(name: 'reverse button', char: '\u{25C0}', shortName: 'arrow_backward', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'left', 'reverse', 'triangle', 'arrow', 'triangle', 'arrows', 'triangles']), Emoji(name: 'fast reverse button', char: '\u{23EA}', shortName: 'rewind', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'double', 'rewind', 'arrow', 'arrows']), Emoji(name: 'last track button', char: '\u{23EE}', shortName: 'track_previous', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'previous scene', 'previous track', 'triangle', 'arrow', 'arrows']), Emoji(name: 'upwards button', char: '\u{1F53C}', shortName: 'arrow_up_small', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'button', 'red', 'arrow', 'triangle', 'arrows', 'triangles']), Emoji(name: 'fast up button', char: '\u{23EB}', shortName: 'arrow_double_up', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'double', 'arrow', 'arrows']), Emoji(name: 'downwards button', char: '\u{1F53D}', shortName: 'arrow_down_small', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'button', 'down', 'red', 'arrow', 'triangle', 'download', 'arrows', 'triangles']), Emoji(name: 'fast down button', char: '\u{23EC}', shortName: 'arrow_double_down', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['arrow', 'double', 'down', 'arrow', 'download', 'arrows']), Emoji(name: 'pause button', char: '\u{23F8}', shortName: 'pause_button', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['bar', 'double', 'pause', 'vertical']), Emoji(name: 'stop button', char: '\u{23F9}', shortName: 'stop_button', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['square', 'stop', 'square', 'squares']), Emoji(name: 'record button', char: '\u{23FA}', shortName: 'record_button', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['circle', 'record', 'circle', 'circles']), Emoji(name: 'eject button', char: '\u{23CF}', shortName: 'eject', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['eject', 'arrow', 'arrows']), Emoji(name: 'cinema', char: '\u{1F3A6}', shortName: 'cinema', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['camera', 'film', 'movie', 'theatre', 'movie', 'girls night', 'theater', 'craft', 'drama', 'monet', 'movies', 'cinema', 'film', 'films', 'video', 'videos', 'ladies night', 'girls only', 'girlfriend']), Emoji(name: 'dim button', char: '\u{1F505}', shortName: 'low_brightness', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['brightness', 'dim', 'low', 'sun', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny']), Emoji(name: 'bright button', char: '\u{1F506}', shortName: 'high_brightness', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['bright', 'brightness', 'sun', 'power', 'sparkle', 'sunshine', 'sunny', 'eclipse', 'solar', 'solareclipse', 'shiny', 'bright', 'shine', 'twinkle']), Emoji(name: 'antenna bars', char: '\u{1F4F6}', shortName: 'signal_strength', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['antenna', 'bar', 'cell', 'mobile', 'phone', 'signal', 'telephone']), Emoji(name: 'vibration mode', char: '\u{1F4F3}', shortName: 'vibration_mode', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['cell', 'mobile', 'mode', 'phone', 'telephone', 'vibration', 'phone', 'telephone', 'iphone', 'smartphone', 'text']), Emoji(name: 'mobile phone off', char: '\u{1F4F4}', shortName: 'mobile_phone_off', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.avSymbol, keywords: ['cell', 'mobile', 'off', 'phone', 'telephone', 'travel', 'phone', 'power', 'telephone', 'iphone', 'smartphone', 'text']), Emoji(name: 'female sign', char: '\u{2640}', shortName: 'female_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.gender, keywords: ['woman']), Emoji(name: 'male sign', char: '\u{2642}', shortName: 'male_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.gender, keywords: ['man']), Emoji(name: 'multiply', char: '\u{2716}', shortName: 'heavy_multiplication_x', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.math, keywords: ['cancel', 'multiplication', 'multiply', 'x', 'math', 'never']), Emoji(name: 'plus', char: '\u{2795}', shortName: 'heavy_plus_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.math, keywords: ['math', 'plus', 'math']), Emoji(name: 'minus', char: '\u{2796}', shortName: 'heavy_minus_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.math, keywords: ['math', 'minus', 'math']), Emoji(name: 'divide', char: '\u{2797}', shortName: 'heavy_division_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.math, keywords: ['division', 'math', 'math', 'half']), Emoji(name: 'infinity', char: '\u{267E}', shortName: 'infinity', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.math, keywords: ['love', 'perfect', 'infinity', 'i love you', 'te amo', 'je t\'aime', 'anniversary', 'lovin', 'amour', 'aimer', 'amor', 'valentines day', 'enamour', 'lovey', 'perfecto', 'perfection', 'superb', 'flawless', 'excellent', 'supreme', 'super', 'great', 'infini', 'forever']), Emoji(name: 'double exclamation mark', char: '\u{203C}', shortName: 'bangbang', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['bangbang', 'exclamation', 'mark', 'punctuation', 'punctuation', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks']), Emoji(name: 'exclamation question mark', char: '\u{2049}', shortName: 'interrobang', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['exclamation', 'interrobang', 'mark', 'punctuation', 'question', 'punctuation', 'doubt', 'confused', 'what', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'perplexed']), Emoji(name: 'question mark', char: '\u{2753}', shortName: 'question', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['mark', 'punctuation', 'question', 'punctuation', 'wth', 'doubt', 'confused', 'what', 'mystery', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks', 'what the hell', 'unsure', 'thinking', 'wonder', 'curious', 'worry', 'pensive', 'remember', 'skeptical', 'puzzled', 'perplexed']), Emoji(name: 'white question mark', char: '\u{2754}', shortName: 'grey_question', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['mark', 'outlined', 'punctuation', 'question', 'punctuation', 'mystery', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks']), Emoji(name: 'white exclamation mark', char: '\u{2755}', shortName: 'grey_exclamation', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['exclamation', 'mark', 'outlined', 'punctuation', 'punctuation', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks']), Emoji(name: 'exclamation mark', char: '\u{2757}', shortName: 'exclamation', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['exclamation', 'mark', 'punctuation', 'punctuation', 'punctuation mark', 'punctuationmark', 'punctuation marks', 'punctuationmarks']), Emoji(name: 'wavy dash', char: '\u{3030}', shortName: 'wavy_dash', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.punctuation, keywords: ['dash', 'punctuation', 'wavy']), Emoji(name: 'currency exchange', char: '\u{1F4B1}', shortName: 'currency_exchange', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.currency, keywords: ['bank', 'currency', 'exchange', 'money', 'money', 'price', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld']), Emoji(name: 'heavy dollar sign', char: '\u{1F4B2}', shortName: 'heavy_dollar_sign', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.currency, keywords: ['currency', 'dollar', 'money', 'money', 'math', 'discount', 'price', 'rich', 'cash', 'dollars', 'dollar', 'bucks', 'currency', 'funds', 'payment', 'money face', 'reward', 'thief', 'bank', 'benjamins', 'argent', 'dinero', 'i soldi', 'Geld', 'sale', 'bargain', 'grand', 'expensive', 'fancy']), Emoji(name: 'medical symbol', char: '\u{2695}', shortName: 'medical_symbol', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['aesculapius', 'medicine', 'staff', 'health', 'medicine', 'doctor']), Emoji(name: 'recycling symbol', char: '\u{267B}', shortName: 'recycle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['recycle', 'trash', 'infinity', 'litter', 'trash can', 'garbage', 'rubbish', 'poubelle', 'basura', 'infini', 'forever']), Emoji(name: 'fleur-de-lis', char: '\u{269C}', shortName: 'fleur-de-lis', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['fleur-de-lis', 'paris', 'history', 'french', 'france', 'ancient', 'old']), Emoji(name: 'trident emblem', char: '\u{1F531}', shortName: 'trident', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['anchor', 'emblem', 'ship', 'tool', 'trident', 'history', 'viking', 'ancient', 'old', 'knight']), Emoji(name: 'name badge', char: '\u{1F4DB}', shortName: 'name_badge', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['badge', 'name', 'japan', 'hi', 'child', 'japanese', 'ninja', 'hello', 'greeting', 'bonjour', 'bye', 'ciao', 'adios', 'goodbye', 'hey', 'holla', 'my name is', 'salut', 'welcome', 'ПРИВЕТ', 'tu tapelle', 'children', 'girl', 'boy', 'kids', 'niño', 'enfant']), Emoji(name: 'Japanese symbol for beginner', char: '\u{1F530}', shortName: 'beginner', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['Japanese', 'beginner', 'chevron', 'green', 'leaf', 'tool', 'yellow', 'japan', 'start', 'japanese', 'ninja']), Emoji(name: 'hollow red circle', char: '\u{2B55}', shortName: 'o', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['circle', 'o', 'circle', 'circles']), Emoji(name: 'check mark button', char: '\u{2705}', shortName: 'white_check_mark', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['check', 'mark', 'checkmark', 'correct', 'passing grade']), Emoji(name: 'check box with check', char: '\u{2611}', shortName: 'ballot_box_with_check', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['ballot', 'box', 'check', 'checkmark', 'vote']), Emoji(name: 'check mark', char: '\u{2714}', shortName: 'heavy_check_mark', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['check', 'mark', 'awesome', 'checkmark', 'correct', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup', 'passing grade']), Emoji(name: 'cross mark', char: '\u{274C}', shortName: 'x', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['cancel', 'mark', 'multiplication', 'multiply', 'x', 'sol', 'danger', 'empty', 'delete', 'shit outta luck', 'shit out of luck', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'cross mark button', char: '\u{274E}', shortName: 'negative_squared_cross_mark', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['mark', 'square', 'correct', 'passing grade']), Emoji(name: 'curly loop', char: '\u{27B0}', shortName: 'curly_loop', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['curl', 'loop', 'power', 'infinity', 'infini', 'forever']), Emoji(name: 'double curly loop', char: '\u{27BF}', shortName: 'loop', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['curl', 'double', 'loop']), Emoji(name: 'part alternation mark', char: '\u{303D}', shortName: 'part_alternation_mark', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['mark', 'part', 'japan', 'mcdonalds', 'japanese', 'ninja', 'ronald mcdonald', 'macdo']), Emoji(name: 'eight-spoked asterisk', char: '\u{2733}', shortName: 'eight_spoked_asterisk', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['asterisk']), Emoji(name: 'eight-pointed star', char: '\u{2734}', shortName: 'eight_pointed_black_star', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['star']), Emoji(name: 'sparkle', char: '\u{2747}', shortName: 'sparkle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['sparkle', 'glitter']), Emoji(name: 'copyright', char: '\u{00A9}', shortName: 'copyright', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['copyright', 'trademark', 'copyright']), Emoji(name: 'registered', char: '\u{00AE}', shortName: 'registered', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['registered', 'trademark']), Emoji(name: 'trade mark', char: '\u{2122}', shortName: 'tm', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.otherSymbol, keywords: ['mark', 'tm', 'trademark', 'trademark']), Emoji(name: 'keycap: #', char: '\u{0023}\u{FE0F}\u{20E3}', shortName: 'hash', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'hashtag', 'numbers', 'hash']), Emoji(name: 'keycap: *', char: '\u{002A}\u{FE0F}\u{20E3}', shortName: 'asterisk', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'star', 'stars']), Emoji(name: 'keycap: 0', char: '\u{0030}\u{FE0F}\u{20E3}', shortName: 'zero', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 1', char: '\u{0031}\u{FE0F}\u{20E3}', shortName: 'one', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 2', char: '\u{0032}\u{FE0F}\u{20E3}', shortName: 'two', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 3', char: '\u{0033}\u{FE0F}\u{20E3}', shortName: 'three', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 4', char: '\u{0034}\u{FE0F}\u{20E3}', shortName: 'four', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 5', char: '\u{0035}\u{FE0F}\u{20E3}', shortName: 'five', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 6', char: '\u{0036}\u{FE0F}\u{20E3}', shortName: 'six', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 7', char: '\u{0037}\u{FE0F}\u{20E3}', shortName: 'seven', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 8', char: '\u{0038}\u{FE0F}\u{20E3}', shortName: 'eight', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 9', char: '\u{0039}\u{FE0F}\u{20E3}', shortName: 'nine', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap', 'number', 'math', 'numbers']), Emoji(name: 'keycap: 10', char: '\u{1F51F}', shortName: 'keycap_ten', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.keycap, keywords: ['keycap 10', 'number', 'math', 'numbers']), Emoji(name: 'input latin uppercase', char: '\u{1F520}', shortName: 'capital_abcd', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['ABCD', 'input', 'latin', 'letters', 'uppercase', 'alphabet', 'abcdefghij', 'english']), Emoji(name: 'input latin lowercase', char: '\u{1F521}', shortName: 'abcd', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['abcd', 'input', 'latin', 'letters', 'lowercase', 'alphabet', 'abcdefghij', 'english']), Emoji(name: 'input numbers', char: '\u{1F522}', shortName: '1234', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['1234', 'input', 'numbers', 'number', 'numbers']), Emoji(name: 'input symbols', char: '\u{1F523}', shortName: 'symbols', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['input', '〒♪&amp;%', 'japan', 'percent', 'japanese', 'ninja']), Emoji(name: 'input latin letters', char: '\u{1F524}', shortName: 'abc', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['abc', 'alphabet', 'input', 'latin', 'letters', 'alphabet', 'abcdefghij', 'english']), Emoji(name: 'A button (blood type)', char: '\u{1F170}', shortName: 'a', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['a', 'blood type']), Emoji(name: 'AB button (blood type)', char: '\u{1F18E}', shortName: 'ab', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['ab', 'blood type']), Emoji(name: 'B button (blood type)', char: '\u{1F171}', shortName: 'b', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['b', 'blood type']), Emoji(name: 'CL button', char: '\u{1F191}', shortName: 'cl', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['cl']), Emoji(name: 'COOL button', char: '\u{1F192}', shortName: 'cool', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['cool', 'awesome', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup']), Emoji(name: 'FREE button', char: '\u{1F193}', shortName: 'free', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['free', 'trash', 'discount', 'litter', 'trash can', 'garbage', 'rubbish', 'poubelle', 'basura', 'sale', 'bargain']), Emoji(name: 'information', char: '\u{2139}', shortName: 'information_source', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['i', 'information', 'innovate', 'innovation', 'inquire']), Emoji(name: 'ID button', char: '\u{1F194}', shortName: 'id', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['id', 'identity']), Emoji(name: 'circled M', char: '\u{24C2}', shortName: 'm', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['circle', 'm']), Emoji(name: 'NEW button', char: '\u{1F195}', shortName: 'new', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['new']), Emoji(name: 'NG button', char: '\u{1F196}', shortName: 'ng', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['ng']), Emoji(name: 'O button (blood type)', char: '\u{1F17E}', shortName: 'o2', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['blood type', 'o']), Emoji(name: 'OK button', char: '\u{1F197}', shortName: 'ok', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['OK', 'awesome', 'okay', 'got it', 'cool', 'ok', 'will do', 'like', 'bien', 'yep', 'yup']), Emoji(name: 'P button', char: '\u{1F17F}', shortName: 'parking', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['parking']), Emoji(name: 'SOS button', char: '\u{1F198}', shortName: 'sos', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['help', 'sos', 'danger', 'help', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous']), Emoji(name: 'UP! button', char: '\u{1F199}', shortName: 'up', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['mark', 'up']), Emoji(name: 'VS button', char: '\u{1F19A}', shortName: 'vs', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['versus', 'vs']), Emoji(name: 'Japanese here button', char: '\u{1F201}', shortName: 'koko', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'katakana', 'here', 'ココ', 'japan', 'japanese', 'ninja']), Emoji(name: 'Japanese service charge button', char: '\u{1F202}', shortName: 'sa', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'katakana', 'service charge', 'サ', 'japan', 'japanese', 'ninja']), Emoji(name: 'Japanese monthly amount button', char: '\u{1F237}', shortName: 'u6708', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'monthly amount', '月', 'japan', 'chinese', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese not free of charge button', char: '\u{1F236}', shortName: 'u6709', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'not free of charge', '有', 'japan', 'chinese', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese reserved button', char: '\u{1F22F}', shortName: 'u6307', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'reserved', '指', 'japan', 'chinese', 'handicap', 'private', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'disabled', 'disability', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'Japanese bargain button', char: '\u{1F250}', shortName: 'ideograph_advantage', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'bargain', '得', 'japan', 'chinese', 'discount', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'sale', 'bargain']), Emoji(name: 'Japanese discount button', char: '\u{1F239}', shortName: 'u5272', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'discount', '割', 'japan', 'chinese', 'discount', 'half', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'sale', 'bargain']), Emoji(name: 'Japanese free of charge button', char: '\u{1F21A}', shortName: 'u7121', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'free of charge', '無', 'japan', 'chinese', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese prohibited button', char: '\u{1F232}', shortName: 'u7981', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'prohibited', '禁', 'japan', 'danger', 'chinese', 'private', 'japanese', 'ninja', 'warn', 'attention', 'caution', 'alert', 'error', 'panic', 'restricted', 'don\'t', 'dont', 'dangerous', 'chinois', 'asian', 'chine', 'прив', 'privé', 'privado', 'reserved']), Emoji(name: 'Japanese acceptable button', char: '\u{1F251}', shortName: 'accept', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'acceptable', '可', 'japan', 'thank you', 'chinese', 'japanese', 'ninja', 'thanks', 'thankful', 'praise', 'gracias', 'merci', 'thankyou', 'acceptable', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese application button', char: '\u{1F238}', shortName: 'u7533', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'application', '申', 'japan', 'chinese', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese passing grade button', char: '\u{1F234}', shortName: 'u5408', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'passing grade', '合', 'office', 'japan', 'chinese', 'correct', 'school', 'teach', 'learn', 'study', 'college', 'degree', 'education', 'homework', 'student', 'teacher', 'university', 'test', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'passing grade']), Emoji(name: 'Japanese vacancy button', char: '\u{1F233}', shortName: 'u7a7a', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'vacancy', '空', 'japan', 'chinese', 'empty', 'hotel', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'vacancy', 'no vacancy']), Emoji(name: 'Japanese congratulations button', char: '\u{3297}', shortName: 'congratulations', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'congratulations', '祝', 'japan', 'good', 'chinese', 'japanese', 'ninja', 'good job', 'nice', 'well done', 'bravo', 'congratulations', 'congrats', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese secret button', char: '\u{3299}', shortName: 'secret', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'secret', '秘', 'japan', 'chinese', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese open for business button', char: '\u{1F23A}', shortName: 'u55b6', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'open for business', '営', 'japan', 'business', 'chinese', 'japanese', 'ninja', 'chinois', 'asian', 'chine']), Emoji(name: 'Japanese no vacancy button', char: '\u{1F235}', shortName: 'u6e80', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.alphanum, keywords: ['Japanese', 'ideograph', 'no vacancy', '満', 'japan', 'chinese', 'full', 'hotel', 'japanese', 'ninja', 'chinois', 'asian', 'chine', 'vacancy', 'no vacancy']), Emoji(name: 'red circle', char: '\u{1F534}', shortName: 'red_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['circle', 'geometric', 'red', 'shapes', 'circle', 'circles']), Emoji(name: 'orange circle', char: '\u{1F7E0}', shortName: 'orange_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'circle', 'orange', 'circles']), Emoji(name: 'yellow circle', char: '\u{1F7E1}', shortName: 'yellow_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'circle', 'circles']), Emoji(name: 'green circle', char: '\u{1F7E2}', shortName: 'green_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'circle', 'circles']), Emoji(name: 'blue circle', char: '\u{1F535}', shortName: 'blue_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['blue', 'circle', 'geometric', 'shapes', 'circle', 'circles']), Emoji(name: 'purple circle', char: '\u{1F7E3}', shortName: 'purple_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'circle', 'circles']), Emoji(name: 'brown circle', char: '\u{1F7E4}', shortName: 'brown_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'circle', 'circles']), Emoji(name: 'black circle', char: '\u{26AB}', shortName: 'black_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['circle', 'geometric', 'shapes', 'circle', 'circles']), Emoji(name: 'white circle', char: '\u{26AA}', shortName: 'white_circle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['circle', 'geometric', 'shapes', 'circle', 'circles']), Emoji(name: 'red square', char: '\u{1F7E5}', shortName: 'red_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'squares']), Emoji(name: 'orange square', char: '\u{1F7E7}', shortName: 'orange_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'orange', 'squares']), Emoji(name: 'yellow square', char: '\u{1F7E8}', shortName: 'yellow_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'squares']), Emoji(name: 'green square', char: '\u{1F7E9}', shortName: 'green_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'squares']), Emoji(name: 'blue square', char: '\u{1F7E6}', shortName: 'blue_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'squares']), Emoji(name: 'purple square', char: '\u{1F7EA}', shortName: 'purple_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'squares']), Emoji(name: 'brown square', char: '\u{1F7EB}', shortName: 'brown_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['shapes', 'square', 'squares']), Emoji(name: 'black large square', char: '\u{2B1B}', shortName: 'black_large_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'white large square', char: '\u{2B1C}', shortName: 'white_large_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'black medium square', char: '\u{25FC}', shortName: 'black_medium_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'white medium square', char: '\u{25FB}', shortName: 'white_medium_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'black medium-small square', char: '\u{25FE}', shortName: 'black_medium_small_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'white medium-small square', char: '\u{25FD}', shortName: 'white_medium_small_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'black small square', char: '\u{25AA}', shortName: 'black_small_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'white small square', char: '\u{25AB}', shortName: 'white_small_square', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'large orange diamond', char: '\u{1F536}', shortName: 'large_orange_diamond', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['diamond', 'geometric', 'orange', 'shapes', 'diamond']), Emoji(name: 'large blue diamond', char: '\u{1F537}', shortName: 'large_blue_diamond', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['blue', 'diamond', 'geometric', 'shapes', 'diamond']), Emoji(name: 'small orange diamond', char: '\u{1F538}', shortName: 'small_orange_diamond', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['diamond', 'geometric', 'orange', 'shapes', 'diamond']), Emoji(name: 'small blue diamond', char: '\u{1F539}', shortName: 'small_blue_diamond', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['blue', 'diamond', 'geometric', 'shapes', 'diamond']), Emoji(name: 'red triangle pointed up', char: '\u{1F53A}', shortName: 'small_red_triangle', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['geometric', 'red', 'shapes', 'triangle', 'triangles']), Emoji(name: 'red triangle pointed down', char: '\u{1F53B}', shortName: 'small_red_triangle_down', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['down', 'geometric', 'red', 'shapes', 'triangle', 'triangles']), Emoji(name: 'diamond with a dot', char: '\u{1F4A0}', shortName: 'diamond_shape_with_a_dot_inside', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['comic', 'diamond', 'geometric', 'inside', 'japan', 'beautiful', 'hawaii', 'diamond', 'anime', 'japanese', 'ninja', 'cute', 'pretty', 'adorable', 'adore', 'beauty', 'cutie', 'babe', 'lovely', 'aloha', 'kawaii', 'maui', 'moana', 'manga']), Emoji(name: 'radio button', char: '\u{1F518}', shortName: 'radio_button', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['button', 'geometric', 'radio', 'circle', 'circles']), Emoji(name: 'white square button', char: '\u{1F533}', shortName: 'white_square_button', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['button', 'geometric', 'outlined', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'black square button', char: '\u{1F532}', shortName: 'black_square_button', emojiGroup: EmojiGroup.symbols, emojiSubgroup: EmojiSubgroup.geometric, keywords: ['button', 'geometric', 'square', 'shapes', 'square', 'squares']), Emoji(name: 'chequered flag', char: '\u{1F3C1}', shortName: 'checkered_flag', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['checkered', 'chequered', 'racing', 'flag', 'flags']), Emoji(name: 'triangular flag', char: '\u{1F6A9}', shortName: 'triangular_flag_on_post', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['post', 'flag', 'flags']), Emoji(name: 'crossed flags', char: '\u{1F38C}', shortName: 'crossed_flags', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['Japanese', 'celebration', 'cross', 'crossed', 'japan', 'flag', 'japanese', 'ninja', 'flags']), Emoji(name: 'black flag', char: '\u{1F3F4}', shortName: 'flag_black', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['waving', 'flag', 'flags']), Emoji(name: 'white flag', char: '\u{1F3F3}', shortName: 'flag_white', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['waving', 'flag', 'flags']), Emoji(name: 'rainbow flag', char: '\u{1F3F3}\u{FE0F}\u{200D}\u{1F308}', shortName: 'rainbow_flag', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['rainbow', 'lesbian', 'gay', 'flag', 'lgbt', 'rainbow', 'gay pride', 'pleased', 'proud', 'twink', 'flags', 'homosexual', 'bisex', 'please', 'chill', 'confident', 'content']), Emoji(name: 'pirate flag', char: '\u{1F3F4}\u{200D}\u{2620}\u{FE0F}', shortName: 'pirate_flag', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.flag, keywords: ['skull', 'pirate', 'skull and crossbones', 'skeleton']), Emoji(name: 'flag: Ascension Island', char: '\u{1F1E6}\u{1F1E8}', shortName: 'flag_ac', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Andorra', char: '\u{1F1E6}\u{1F1E9}', shortName: 'flag_ad', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: United Arab Emirates', char: '\u{1F1E6}\u{1F1EA}', shortName: 'flag_ae', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Afghanistan', char: '\u{1F1E6}\u{1F1EB}', shortName: 'flag_af', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Antigua & Barbuda', char: '\u{1F1E6}\u{1F1EC}', shortName: 'flag_ag', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Anguilla', char: '\u{1F1E6}\u{1F1EE}', shortName: 'flag_ai', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Albania', char: '\u{1F1E6}\u{1F1F1}', shortName: 'flag_al', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Armenia', char: '\u{1F1E6}\u{1F1F2}', shortName: 'flag_am', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Angola', char: '\u{1F1E6}\u{1F1F4}', shortName: 'flag_ao', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Antarctica', char: '\u{1F1E6}\u{1F1F6}', shortName: 'flag_aq', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Argentina', char: '\u{1F1E6}\u{1F1F7}', shortName: 'flag_ar', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'argentina', 'countries', 'flags']), Emoji(name: 'flag: American Samoa', char: '\u{1F1E6}\u{1F1F8}', shortName: 'flag_as', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Austria', char: '\u{1F1E6}\u{1F1F9}', shortName: 'flag_at', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Australia', char: '\u{1F1E6}\u{1F1FA}', shortName: 'flag_au', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'australia', 'countries', 'flags']), Emoji(name: 'flag: Aruba', char: '\u{1F1E6}\u{1F1FC}', shortName: 'flag_aw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Åland Islands', char: '\u{1F1E6}\u{1F1FD}', shortName: 'flag_ax', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Azerbaijan', char: '\u{1F1E6}\u{1F1FF}', shortName: 'flag_az', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bosnia & Herzegovina', char: '\u{1F1E7}\u{1F1E6}', shortName: 'flag_ba', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Barbados', char: '\u{1F1E7}\u{1F1E7}', shortName: 'flag_bb', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bangladesh', char: '\u{1F1E7}\u{1F1E9}', shortName: 'flag_bd', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Belgium', char: '\u{1F1E7}\u{1F1EA}', shortName: 'flag_be', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Burkina Faso', char: '\u{1F1E7}\u{1F1EB}', shortName: 'flag_bf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bulgaria', char: '\u{1F1E7}\u{1F1EC}', shortName: 'flag_bg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bahrain', char: '\u{1F1E7}\u{1F1ED}', shortName: 'flag_bh', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Burundi', char: '\u{1F1E7}\u{1F1EE}', shortName: 'flag_bi', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Benin', char: '\u{1F1E7}\u{1F1EF}', shortName: 'flag_bj', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Barthélemy', char: '\u{1F1E7}\u{1F1F1}', shortName: 'flag_bl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bermuda', char: '\u{1F1E7}\u{1F1F2}', shortName: 'flag_bm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Brunei', char: '\u{1F1E7}\u{1F1F3}', shortName: 'flag_bn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bolivia', char: '\u{1F1E7}\u{1F1F4}', shortName: 'flag_bo', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Caribbean Netherlands', char: '\u{1F1E7}\u{1F1F6}', shortName: 'flag_bq', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Brazil', char: '\u{1F1E7}\u{1F1F7}', shortName: 'flag_br', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'brazil', 'countries', 'flags', 'brasil', 'bresil']), Emoji(name: 'flag: Bahamas', char: '\u{1F1E7}\u{1F1F8}', shortName: 'flag_bs', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bhutan', char: '\u{1F1E7}\u{1F1F9}', shortName: 'flag_bt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Bouvet Island', char: '\u{1F1E7}\u{1F1FB}', shortName: 'flag_bv', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Botswana', char: '\u{1F1E7}\u{1F1FC}', shortName: 'flag_bw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Belarus', char: '\u{1F1E7}\u{1F1FE}', shortName: 'flag_by', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Belize', char: '\u{1F1E7}\u{1F1FF}', shortName: 'flag_bz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Canada', char: '\u{1F1E8}\u{1F1E6}', shortName: 'flag_ca', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cocos (Keeling) Islands', char: '\u{1F1E8}\u{1F1E8}', shortName: 'flag_cc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Congo - Kinshasa', char: '\u{1F1E8}\u{1F1E9}', shortName: 'flag_cd', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Central African Republic', char: '\u{1F1E8}\u{1F1EB}', shortName: 'flag_cf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Congo - Brazzaville', char: '\u{1F1E8}\u{1F1EC}', shortName: 'flag_cg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Switzerland', char: '\u{1F1E8}\u{1F1ED}', shortName: 'flag_ch', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'neutral', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Côte d’Ivoire', char: '\u{1F1E8}\u{1F1EE}', shortName: 'flag_ci', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cook Islands', char: '\u{1F1E8}\u{1F1F0}', shortName: 'flag_ck', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Chile', char: '\u{1F1E8}\u{1F1F1}', shortName: 'flag_cl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cameroon', char: '\u{1F1E8}\u{1F1F2}', shortName: 'flag_cm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: China', char: '\u{1F1E8}\u{1F1F3}', shortName: 'flag_cn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'chinese', 'countries', 'flags', 'chinois', 'asian', 'chine']), Emoji(name: 'flag: Colombia', char: '\u{1F1E8}\u{1F1F4}', shortName: 'flag_co', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Clipperton Island', char: '\u{1F1E8}\u{1F1F5}', shortName: 'flag_cp', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Costa Rica', char: '\u{1F1E8}\u{1F1F7}', shortName: 'flag_cr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cuba', char: '\u{1F1E8}\u{1F1FA}', shortName: 'flag_cu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'cuba', 'countries', 'flags', 'cuban']), Emoji(name: 'flag: Cape Verde', char: '\u{1F1E8}\u{1F1FB}', shortName: 'flag_cv', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Curaçao', char: '\u{1F1E8}\u{1F1FC}', shortName: 'flag_cw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Christmas Island', char: '\u{1F1E8}\u{1F1FD}', shortName: 'flag_cx', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cyprus', char: '\u{1F1E8}\u{1F1FE}', shortName: 'flag_cy', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Czechia', char: '\u{1F1E8}\u{1F1FF}', shortName: 'flag_cz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Germany', char: '\u{1F1E9}\u{1F1EA}', shortName: 'flag_de', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'german', 'countries', 'flags', 'oktoberfest', 'octoberfest', 'bratwurst']), Emoji(name: 'flag: Diego Garcia', char: '\u{1F1E9}\u{1F1EC}', shortName: 'flag_dg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Djibouti', char: '\u{1F1E9}\u{1F1EF}', shortName: 'flag_dj', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Denmark', char: '\u{1F1E9}\u{1F1F0}', shortName: 'flag_dk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Dominica', char: '\u{1F1E9}\u{1F1F2}', shortName: 'flag_dm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Dominican Republic', char: '\u{1F1E9}\u{1F1F4}', shortName: 'flag_do', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Algeria', char: '\u{1F1E9}\u{1F1FF}', shortName: 'flag_dz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Ceuta & Melilla', char: '\u{1F1EA}\u{1F1E6}', shortName: 'flag_ea', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'barcelona', 'countries', 'flags', 'españa', 'spanish']), Emoji(name: 'flag: Ecuador', char: '\u{1F1EA}\u{1F1E8}', shortName: 'flag_ec', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Estonia', char: '\u{1F1EA}\u{1F1EA}', shortName: 'flag_ee', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Egypt', char: '\u{1F1EA}\u{1F1EC}', shortName: 'flag_eg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Western Sahara', char: '\u{1F1EA}\u{1F1ED}', shortName: 'flag_eh', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Eritrea', char: '\u{1F1EA}\u{1F1F7}', shortName: 'flag_er', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Spain', char: '\u{1F1EA}\u{1F1F8}', shortName: 'flag_es', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'barcelona', 'countries', 'flags', 'españa', 'spanish']), Emoji(name: 'flag: Ethiopia', char: '\u{1F1EA}\u{1F1F9}', shortName: 'flag_et', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: European Union', char: '\u{1F1EA}\u{1F1FA}', shortName: 'flag_eu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Finland', char: '\u{1F1EB}\u{1F1EE}', shortName: 'flag_fi', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Fiji', char: '\u{1F1EB}\u{1F1EF}', shortName: 'flag_fj', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Falkland Islands', char: '\u{1F1EB}\u{1F1F0}', shortName: 'flag_fk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Micronesia', char: '\u{1F1EB}\u{1F1F2}', shortName: 'flag_fm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Faroe Islands', char: '\u{1F1EB}\u{1F1F4}', shortName: 'flag_fo', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: France', char: '\u{1F1EB}\u{1F1F7}', shortName: 'flag_fr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'paris', 'countries', 'flags', 'french', 'france']), Emoji(name: 'flag: Gabon', char: '\u{1F1EC}\u{1F1E6}', shortName: 'flag_ga', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: United Kingdom', char: '\u{1F1EC}\u{1F1E7}', shortName: 'flag_gb', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'england', 'scotland', 'countries', 'flags', 'united kingdom', 'london', 'uk', 'scottish']), Emoji(name: 'flag: Grenada', char: '\u{1F1EC}\u{1F1E9}', shortName: 'flag_gd', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Georgia', char: '\u{1F1EC}\u{1F1EA}', shortName: 'flag_ge', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: French Guiana', char: '\u{1F1EC}\u{1F1EB}', shortName: 'flag_gf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guernsey', char: '\u{1F1EC}\u{1F1EC}', shortName: 'flag_gg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Ghana', char: '\u{1F1EC}\u{1F1ED}', shortName: 'flag_gh', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Gibraltar', char: '\u{1F1EC}\u{1F1EE}', shortName: 'flag_gi', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Greenland', char: '\u{1F1EC}\u{1F1F1}', shortName: 'flag_gl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Gambia', char: '\u{1F1EC}\u{1F1F2}', shortName: 'flag_gm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guinea', char: '\u{1F1EC}\u{1F1F3}', shortName: 'flag_gn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guadeloupe', char: '\u{1F1EC}\u{1F1F5}', shortName: 'flag_gp', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Equatorial Guinea', char: '\u{1F1EC}\u{1F1F6}', shortName: 'flag_gq', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Greece', char: '\u{1F1EC}\u{1F1F7}', shortName: 'flag_gr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: South Georgia & South Sandwich Islands', char: '\u{1F1EC}\u{1F1F8}', shortName: 'flag_gs', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guatemala', char: '\u{1F1EC}\u{1F1F9}', shortName: 'flag_gt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guam', char: '\u{1F1EC}\u{1F1FA}', shortName: 'flag_gu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guinea-Bissau', char: '\u{1F1EC}\u{1F1FC}', shortName: 'flag_gw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Guyana', char: '\u{1F1EC}\u{1F1FE}', shortName: 'flag_gy', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Hong Kong SAR China', char: '\u{1F1ED}\u{1F1F0}', shortName: 'flag_hk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'chinese', 'countries', 'flags', 'chinois', 'asian', 'chine']), Emoji(name: 'flag: Heard & McDonald Islands', char: '\u{1F1ED}\u{1F1F2}', shortName: 'flag_hm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Honduras', char: '\u{1F1ED}\u{1F1F3}', shortName: 'flag_hn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Croatia', char: '\u{1F1ED}\u{1F1F7}', shortName: 'flag_hr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Haiti', char: '\u{1F1ED}\u{1F1F9}', shortName: 'flag_ht', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Hungary', char: '\u{1F1ED}\u{1F1FA}', shortName: 'flag_hu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Canary Islands', char: '\u{1F1EE}\u{1F1E8}', shortName: 'flag_ic', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'barcelona', 'countries', 'flags', 'españa', 'spanish']), Emoji(name: 'flag: Indonesia', char: '\u{1F1EE}\u{1F1E9}', shortName: 'flag_id', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Ireland', char: '\u{1F1EE}\u{1F1EA}', shortName: 'flag_ie', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'irish', 'countries', 'flags', 'saint patricks day', 'st patricks day', 'leprechaun']), Emoji(name: 'flag: Israel', char: '\u{1F1EE}\u{1F1F1}', shortName: 'flag_il', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'jew', 'country', 'flag', 'jewish', 'judaism', 'countries', 'flags', 'hannukah', 'hanukkah', 'israel']), Emoji(name: 'flag: Isle of Man', char: '\u{1F1EE}\u{1F1F2}', shortName: 'flag_im', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: India', char: '\u{1F1EE}\u{1F1F3}', shortName: 'flag_in', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: British Indian Ocean Territory', char: '\u{1F1EE}\u{1F1F4}', shortName: 'flag_io', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'england', 'countries', 'flags', 'united kingdom', 'london', 'uk']), Emoji(name: 'flag: Iraq', char: '\u{1F1EE}\u{1F1F6}', shortName: 'flag_iq', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Iran', char: '\u{1F1EE}\u{1F1F7}', shortName: 'flag_ir', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Iceland', char: '\u{1F1EE}\u{1F1F8}', shortName: 'flag_is', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Italy', char: '\u{1F1EE}\u{1F1F9}', shortName: 'flag_it', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'italian', 'country', 'flag', 'italy', 'italie', 'countries', 'flags']), Emoji(name: 'flag: Jersey', char: '\u{1F1EF}\u{1F1EA}', shortName: 'flag_je', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Jamaica', char: '\u{1F1EF}\u{1F1F2}', shortName: 'flag_jm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Jordan', char: '\u{1F1EF}\u{1F1F4}', shortName: 'flag_jo', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Japan', char: '\u{1F1EF}\u{1F1F5}', shortName: 'flag_jp', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'japan', 'country', 'flag', 'japanese', 'ninja', 'countries', 'flags']), Emoji(name: 'flag: Kenya', char: '\u{1F1F0}\u{1F1EA}', shortName: 'flag_ke', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Kyrgyzstan', char: '\u{1F1F0}\u{1F1EC}', shortName: 'flag_kg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cambodia', char: '\u{1F1F0}\u{1F1ED}', shortName: 'flag_kh', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Kiribati', char: '\u{1F1F0}\u{1F1EE}', shortName: 'flag_ki', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Comoros', char: '\u{1F1F0}\u{1F1F2}', shortName: 'flag_km', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Kitts & Nevis', char: '\u{1F1F0}\u{1F1F3}', shortName: 'flag_kn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: North Korea', char: '\u{1F1F0}\u{1F1F5}', shortName: 'flag_kp', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'korean', 'countries', 'flags']), Emoji(name: 'flag: South Korea', char: '\u{1F1F0}\u{1F1F7}', shortName: 'flag_kr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'korean', 'countries', 'flags']), Emoji(name: 'flag: Kuwait', char: '\u{1F1F0}\u{1F1FC}', shortName: 'flag_kw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Cayman Islands', char: '\u{1F1F0}\u{1F1FE}', shortName: 'flag_ky', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Kazakhstan', char: '\u{1F1F0}\u{1F1FF}', shortName: 'flag_kz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Laos', char: '\u{1F1F1}\u{1F1E6}', shortName: 'flag_la', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Lebanon', char: '\u{1F1F1}\u{1F1E7}', shortName: 'flag_lb', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Lucia', char: '\u{1F1F1}\u{1F1E8}', shortName: 'flag_lc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Liechtenstein', char: '\u{1F1F1}\u{1F1EE}', shortName: 'flag_li', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Sri Lanka', char: '\u{1F1F1}\u{1F1F0}', shortName: 'flag_lk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Liberia', char: '\u{1F1F1}\u{1F1F7}', shortName: 'flag_lr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Lesotho', char: '\u{1F1F1}\u{1F1F8}', shortName: 'flag_ls', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Lithuania', char: '\u{1F1F1}\u{1F1F9}', shortName: 'flag_lt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Luxembourg', char: '\u{1F1F1}\u{1F1FA}', shortName: 'flag_lu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Latvia', char: '\u{1F1F1}\u{1F1FB}', shortName: 'flag_lv', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Libya', char: '\u{1F1F1}\u{1F1FE}', shortName: 'flag_ly', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Morocco', char: '\u{1F1F2}\u{1F1E6}', shortName: 'flag_ma', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Monaco', char: '\u{1F1F2}\u{1F1E8}', shortName: 'flag_mc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Moldova', char: '\u{1F1F2}\u{1F1E9}', shortName: 'flag_md', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Montenegro', char: '\u{1F1F2}\u{1F1EA}', shortName: 'flag_me', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Martin', char: '\u{1F1F2}\u{1F1EB}', shortName: 'flag_mf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Madagascar', char: '\u{1F1F2}\u{1F1EC}', shortName: 'flag_mg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Marshall Islands', char: '\u{1F1F2}\u{1F1ED}', shortName: 'flag_mh', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: North Macedonia', char: '\u{1F1F2}\u{1F1F0}', shortName: 'flag_mk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Mali', char: '\u{1F1F2}\u{1F1F1}', shortName: 'flag_ml', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Myanmar (Burma)', char: '\u{1F1F2}\u{1F1F2}', shortName: 'flag_mm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Mongolia', char: '\u{1F1F2}\u{1F1F3}', shortName: 'flag_mn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Macao SAR China', char: '\u{1F1F2}\u{1F1F4}', shortName: 'flag_mo', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'chinese', 'countries', 'flags', 'chinois', 'asian', 'chine']), Emoji(name: 'flag: Northern Mariana Islands', char: '\u{1F1F2}\u{1F1F5}', shortName: 'flag_mp', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Martinique', char: '\u{1F1F2}\u{1F1F6}', shortName: 'flag_mq', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Mauritania', char: '\u{1F1F2}\u{1F1F7}', shortName: 'flag_mr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Montserrat', char: '\u{1F1F2}\u{1F1F8}', shortName: 'flag_ms', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Malta', char: '\u{1F1F2}\u{1F1F9}', shortName: 'flag_mt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Mauritius', char: '\u{1F1F2}\u{1F1FA}', shortName: 'flag_mu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Maldives', char: '\u{1F1F2}\u{1F1FB}', shortName: 'flag_mv', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Malawi', char: '\u{1F1F2}\u{1F1FC}', shortName: 'flag_mw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Mexico', char: '\u{1F1F2}\u{1F1FD}', shortName: 'flag_mx', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'mexican', 'country', 'flag', 'hola', 'mexico', 'cinco de mayo', 'español', 'countries', 'flags']), Emoji(name: 'flag: Malaysia', char: '\u{1F1F2}\u{1F1FE}', shortName: 'flag_my', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Mozambique', char: '\u{1F1F2}\u{1F1FF}', shortName: 'flag_mz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Namibia', char: '\u{1F1F3}\u{1F1E6}', shortName: 'flag_na', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: New Caledonia', char: '\u{1F1F3}\u{1F1E8}', shortName: 'flag_nc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Niger', char: '\u{1F1F3}\u{1F1EA}', shortName: 'flag_ne', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Norfolk Island', char: '\u{1F1F3}\u{1F1EB}', shortName: 'flag_nf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Nigeria', char: '\u{1F1F3}\u{1F1EC}', shortName: 'flag_ng', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Nicaragua', char: '\u{1F1F3}\u{1F1EE}', shortName: 'flag_ni', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Netherlands', char: '\u{1F1F3}\u{1F1F1}', shortName: 'flag_nl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Norway', char: '\u{1F1F3}\u{1F1F4}', shortName: 'flag_no', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Nepal', char: '\u{1F1F3}\u{1F1F5}', shortName: 'flag_np', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Nauru', char: '\u{1F1F3}\u{1F1F7}', shortName: 'flag_nr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Niue', char: '\u{1F1F3}\u{1F1FA}', shortName: 'flag_nu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: New Zealand', char: '\u{1F1F3}\u{1F1FF}', shortName: 'flag_nz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Oman', char: '\u{1F1F4}\u{1F1F2}', shortName: 'flag_om', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Panama', char: '\u{1F1F5}\u{1F1E6}', shortName: 'flag_pa', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Peru', char: '\u{1F1F5}\u{1F1EA}', shortName: 'flag_pe', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: French Polynesia', char: '\u{1F1F5}\u{1F1EB}', shortName: 'flag_pf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Papua New Guinea', char: '\u{1F1F5}\u{1F1EC}', shortName: 'flag_pg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Philippines', char: '\u{1F1F5}\u{1F1ED}', shortName: 'flag_ph', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Pakistan', char: '\u{1F1F5}\u{1F1F0}', shortName: 'flag_pk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'pakistan', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Poland', char: '\u{1F1F5}\u{1F1F1}', shortName: 'flag_pl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Pierre & Miquelon', char: '\u{1F1F5}\u{1F1F2}', shortName: 'flag_pm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Pitcairn Islands', char: '\u{1F1F5}\u{1F1F3}', shortName: 'flag_pn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Puerto Rico', char: '\u{1F1F5}\u{1F1F7}', shortName: 'flag_pr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Palestinian Territories', char: '\u{1F1F5}\u{1F1F8}', shortName: 'flag_ps', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Portugal', char: '\u{1F1F5}\u{1F1F9}', shortName: 'flag_pt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Palau', char: '\u{1F1F5}\u{1F1FC}', shortName: 'flag_pw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Paraguay', char: '\u{1F1F5}\u{1F1FE}', shortName: 'flag_py', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Qatar', char: '\u{1F1F6}\u{1F1E6}', shortName: 'flag_qa', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Réunion', char: '\u{1F1F7}\u{1F1EA}', shortName: 'flag_re', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Romania', char: '\u{1F1F7}\u{1F1F4}', shortName: 'flag_ro', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Serbia', char: '\u{1F1F7}\u{1F1F8}', shortName: 'flag_rs', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Russia', char: '\u{1F1F7}\u{1F1FA}', shortName: 'flag_ru', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'russian', 'countries', 'flags']), Emoji(name: 'flag: Rwanda', char: '\u{1F1F7}\u{1F1FC}', shortName: 'flag_rw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Saudi Arabia', char: '\u{1F1F8}\u{1F1E6}', shortName: 'flag_sa', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Solomon Islands', char: '\u{1F1F8}\u{1F1E7}', shortName: 'flag_sb', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Seychelles', char: '\u{1F1F8}\u{1F1E8}', shortName: 'flag_sc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Sudan', char: '\u{1F1F8}\u{1F1E9}', shortName: 'flag_sd', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Sweden', char: '\u{1F1F8}\u{1F1EA}', shortName: 'flag_se', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Singapore', char: '\u{1F1F8}\u{1F1EC}', shortName: 'flag_sg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Helena', char: '\u{1F1F8}\u{1F1ED}', shortName: 'flag_sh', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Slovenia', char: '\u{1F1F8}\u{1F1EE}', shortName: 'flag_si', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Svalbard & Jan Mayen', char: '\u{1F1F8}\u{1F1EF}', shortName: 'flag_sj', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Slovakia', char: '\u{1F1F8}\u{1F1F0}', shortName: 'flag_sk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Sierra Leone', char: '\u{1F1F8}\u{1F1F1}', shortName: 'flag_sl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: San Marino', char: '\u{1F1F8}\u{1F1F2}', shortName: 'flag_sm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Senegal', char: '\u{1F1F8}\u{1F1F3}', shortName: 'flag_sn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Somalia', char: '\u{1F1F8}\u{1F1F4}', shortName: 'flag_so', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Suriname', char: '\u{1F1F8}\u{1F1F7}', shortName: 'flag_sr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: South Sudan', char: '\u{1F1F8}\u{1F1F8}', shortName: 'flag_ss', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: São Tomé & Príncipe', char: '\u{1F1F8}\u{1F1F9}', shortName: 'flag_st', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: El Salvador', char: '\u{1F1F8}\u{1F1FB}', shortName: 'flag_sv', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Sint Maarten', char: '\u{1F1F8}\u{1F1FD}', shortName: 'flag_sx', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Syria', char: '\u{1F1F8}\u{1F1FE}', shortName: 'flag_sy', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Eswatini', char: '\u{1F1F8}\u{1F1FF}', shortName: 'flag_sz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Tristan da Cunha', char: '\u{1F1F9}\u{1F1E6}', shortName: 'flag_ta', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Turks & Caicos Islands', char: '\u{1F1F9}\u{1F1E8}', shortName: 'flag_tc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Chad', char: '\u{1F1F9}\u{1F1E9}', shortName: 'flag_td', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: French Southern Territories', char: '\u{1F1F9}\u{1F1EB}', shortName: 'flag_tf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Togo', char: '\u{1F1F9}\u{1F1EC}', shortName: 'flag_tg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Thailand', char: '\u{1F1F9}\u{1F1ED}', shortName: 'flag_th', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'thai', 'countries', 'flags', 'pattaya']), Emoji(name: 'flag: Tajikistan', char: '\u{1F1F9}\u{1F1EF}', shortName: 'flag_tj', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Tokelau', char: '\u{1F1F9}\u{1F1F0}', shortName: 'flag_tk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Timor-Leste', char: '\u{1F1F9}\u{1F1F1}', shortName: 'flag_tl', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Turkmenistan', char: '\u{1F1F9}\u{1F1F2}', shortName: 'flag_tm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Tunisia', char: '\u{1F1F9}\u{1F1F3}', shortName: 'flag_tn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Tonga', char: '\u{1F1F9}\u{1F1F4}', shortName: 'flag_to', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Turkey', char: '\u{1F1F9}\u{1F1F7}', shortName: 'flag_tr', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Trinidad & Tobago', char: '\u{1F1F9}\u{1F1F9}', shortName: 'flag_tt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Tuvalu', char: '\u{1F1F9}\u{1F1FB}', shortName: 'flag_tv', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Taiwan', char: '\u{1F1F9}\u{1F1FC}', shortName: 'flag_tw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Tanzania', char: '\u{1F1F9}\u{1F1FF}', shortName: 'flag_tz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Ukraine', char: '\u{1F1FA}\u{1F1E6}', shortName: 'flag_ua', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Uganda', char: '\u{1F1FA}\u{1F1EC}', shortName: 'flag_ug', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: U.S. Outlying Islands', char: '\u{1F1FA}\u{1F1F2}', shortName: 'flag_um', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'america', 'country', 'flag', 'donald trump', 'texas', 'usa', 'united states', 'united states of america', 'american', 'countries', 'flags', 'trump']), Emoji(name: 'flag: United Nations', char: '\u{1F1FA}\u{1F1F3}', shortName: 'united_nations', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: United States', char: '\u{1F1FA}\u{1F1F8}', shortName: 'flag_us', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'america', 'country', 'flag', 'donald trump', 'texas', 'independence day', 'proud', 'usa', 'united states', 'united states of america', 'american', 'countries', 'flags', 'trump']), Emoji(name: 'flag: Uruguay', char: '\u{1F1FA}\u{1F1FE}', shortName: 'flag_uy', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Uzbekistan', char: '\u{1F1FA}\u{1F1FF}', shortName: 'flag_uz', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Vatican City', char: '\u{1F1FB}\u{1F1E6}', shortName: 'flag_va', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: St. Vincent & Grenadines', char: '\u{1F1FB}\u{1F1E8}', shortName: 'flag_vc', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Venezuela', char: '\u{1F1FB}\u{1F1EA}', shortName: 'flag_ve', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: British Virgin Islands', char: '\u{1F1FB}\u{1F1EC}', shortName: 'flag_vg', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: U.S. Virgin Islands', char: '\u{1F1FB}\u{1F1EE}', shortName: 'flag_vi', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Vietnam', char: '\u{1F1FB}\u{1F1F3}', shortName: 'flag_vn', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Vanuatu', char: '\u{1F1FB}\u{1F1FA}', shortName: 'flag_vu', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Wallis & Futuna', char: '\u{1F1FC}\u{1F1EB}', shortName: 'flag_wf', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Samoa', char: '\u{1F1FC}\u{1F1F8}', shortName: 'flag_ws', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Kosovo', char: '\u{1F1FD}\u{1F1F0}', shortName: 'flag_xk', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Yemen', char: '\u{1F1FE}\u{1F1EA}', shortName: 'flag_ye', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'islam', 'countries', 'flags', 'muslim', 'arab']), Emoji(name: 'flag: Mayotte', char: '\u{1F1FE}\u{1F1F9}', shortName: 'flag_yt', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: South Africa', char: '\u{1F1FF}\u{1F1E6}', shortName: 'flag_za', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Zambia', char: '\u{1F1FF}\u{1F1F2}', shortName: 'flag_zm', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: Zimbabwe', char: '\u{1F1FF}\u{1F1FC}', shortName: 'flag_zw', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.countryFlag, keywords: ['flag', 'country', 'flag', 'countries', 'flags']), Emoji(name: 'flag: England', char: '\u{1F3F4}\u{E0067}\u{E0062}\u{E0065}\u{E006E}\u{E0067}\u{E007F}', shortName: 'england', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.subdivisionFlag, keywords: ['flag', 'country', 'countries']), Emoji(name: 'flag: Scotland', char: '\u{1F3F4}\u{E0067}\u{E0062}\u{E0073}\u{E0063}\u{E0074}\u{E007F}', shortName: 'scotland', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.subdivisionFlag, keywords: ['flag', 'country', 'countries']), Emoji(name: 'flag: Wales', char: '\u{1F3F4}\u{E0067}\u{E0062}\u{E0077}\u{E006C}\u{E0073}\u{E007F}', shortName: 'wales', emojiGroup: EmojiGroup.flags, emojiSubgroup: EmojiSubgroup.subdivisionFlag, keywords: ['flag', 'country', 'countries'])];

/// All Skin Tones
enum fitzpatrick {
  light,
  mediumLight,
  medium,
  mediumDark,
  dark,
  None
}

const skinToneEmojiChars = ['\u{1F3FB}', '\u{1F3FC}', '\u{1F3FD}', '\u{1F3FE}', '\u{1F3FF}'];
const _skinToneCharCodes = [127995, 127996, 127997, 127998, 127999];
const ZeroWidthCharCodes = [65039, 8205];
const _modifiableCharCodes = [127877, 127938, 127939, 127940, 127943, 127946, 127947, 127948, 128066, 128067, 128070, 128071, 128072, 128073, 128074, 128075, 128076, 128077, 128078, 128079, 128080, 128102, 128103, 128104, 128105, 128107, 128108, 128109, 128110, 128112, 128113, 128114, 128115, 128116, 128117, 128118, 128119, 128120, 128124, 128129, 128130, 128131, 128133, 128134, 128135, 128170, 128372, 128373, 128378, 128400, 128405, 128406, 128581, 128582, 128583, 128587, 128588, 128589, 128590, 128591, 128675, 128692, 128693, 128694, 128704, 128716, 129295, 129304, 129305, 129306, 129307, 129308, 129310, 129311, 129318, 129328, 129329, 129330, 129331, 129332, 129333, 129334, 129335, 129336, 129337, 129341, 129342, 129461, 129462, 129464, 129465, 129467, 129485, 129486, 129487, 129489, 129490, 129491, 129492, 129493, 129494, 129495, 129496, 129497, 129498, 129499, 129500, 129501, 9757, 9977, 9994, 9995, 9996, 9997];


class Emoji {
  static const variationSelector16 = 65039;
  static const ZWJ = 8205;
  /// a regex of Emoji's code points
  static final regex = RegExp('(\u{00A9}|\u{00AE}|[\u{2000}-\u{3300}]|\u{D83C}[\u{D000}-\u{DFFF}]|\u{D83D}[\u{D000}-\u{DFFF}]|\u{D83E}[\u{D000}-\u{DFFF}])');
  final String name;
  final String char;
  final String shortName;
  final EmojiGroup emojiGroup;
  final EmojiSubgroup emojiSubgroup;
  final bool modifiable;
  List<String> keywords;
  List<int> _runes;

  /// Emoji class.
  /// [name] of emoji. [char] and character of emoji. [shortName] and a digest name of emoji, [emojiGroup] is emoji's group and [emojiSubgroup] is emoji's subgroup. [keywords] list of keywords for emoji. [modifiable] `true` if emoji has skin.
  Emoji({this.name, this.char, this.shortName, this.emojiGroup, this.emojiSubgroup, List<String> keywords, this.modifiable: false}){
    this.keywords = keywords ?? [];
  }

  /// Runes of Emoji Character
  get charRunes {
    if (_runes == null){
      _runes = char.runes.toList();
    }
    return _runes;
  }
  
  /// Returns current Emoji with New requested [skinTone] if modifable, else Returns current Emoji 
  Emoji newSkin(fitzpatrick skinTone){
    if (modifiable){
      switch(skinTone){
        case fitzpatrick.light:
          return Emoji(name: this.name + ', tone1', char: modify(this.char, skinTone), shortName: this.shortName + '_tone1',emojiGroup: this.emojiGroup, emojiSubgroup: this.emojiSubgroup, keywords: this.keywords, modifiable: true);
        case fitzpatrick.mediumLight:
          return Emoji(name: this.name + ', tone2', char: modify(this.char, skinTone), shortName: this.shortName + '_tone2',emojiGroup: this.emojiGroup, emojiSubgroup: this.emojiSubgroup, keywords: this.keywords, modifiable: true);
        case fitzpatrick.medium:
          return Emoji(name: this.name + ', tone3', char: modify(this.char, skinTone), shortName: this.shortName + '_tone3',emojiGroup: this.emojiGroup, emojiSubgroup: this.emojiSubgroup, keywords: this.keywords, modifiable: true);
        case fitzpatrick.mediumDark:
          return Emoji(name: this.name + ', tone4', char: modify(this.char, skinTone), shortName: this.shortName + '_tone4',emojiGroup: this.emojiGroup, emojiSubgroup: this.emojiSubgroup, keywords: this.keywords, modifiable: true);
        case fitzpatrick.dark:
          return Emoji(name: this.name + ', tone5', char: modify(this.char, skinTone), shortName: this.shortName + '_tone5',emojiGroup: this.emojiGroup, emojiSubgroup: this.emojiSubgroup, keywords: this.keywords, modifiable: true);
        case fitzpatrick.None:
          return Emoji.byChar(stabilize(this.char));
      }
    }
    return this;
  }

  /// Get all Emojis
  static List<Emoji> all() => _emojis;

  /// Returns Emoji by [char] and character
  factory Emoji.byChar(String char){
    return Emoji.all().firstWhere((Emoji emoji) => emoji.char == char);
  }

  /// Returns Emoji by [name]
  factory Emoji.byName(String name){
    name = name.toLowerCase(); // todo: searchable name
    return _emojis.firstWhere((Emoji emoji) => emoji.name == name);
  }

  /// Returns Emoji by [name] as short name.
  factory Emoji.byShortName(String name){
    return _emojis.firstWhere((Emoji emoji) => emoji.char == name);
  }

  /// Returns list of Emojis in a same [group]
  static Iterable<Emoji> byGroup(EmojiGroup group){
    return _emojis.where((Emoji emoji) => emoji.emojiGroup == group);
  }

  /// Returns list of Emojis in a same [subgroup]
  static Iterable<Emoji> bySubgroup(EmojiSubgroup subgroup){
    return _emojis.where((Emoji emoji) => emoji.emojiSubgroup == subgroup);
  }

  /// Returns List of Emojis with Specific [keyword]/
  static Iterable<Emoji> byKeyword(String keyword){
    keyword = keyword.toLowerCase();
    return _emojis.where((Emoji emoji) => emoji.keywords.contains(keyword));
  }

  static bool isEmoji(emojiChar){
    return regex.hasMatch(emojiChar);
  }
  
  /// disassemble [emoji] to list of emojis, without skin tones if [noSkin] be `true`.
  static List<String> disassemble(String emoji, {bool noSkin: false}){
    List<int> emojiRunes = emoji.runes.toList();
    emojiRunes.removeWhere((codeChar) => ZeroWidthCharCodes.contains(codeChar) || (noSkin && _isFitzpatrickCode(codeChar)));
    return emojiRunes.map((char) => String.fromCharCode(char)).toList();
    // return emoji.runes.toList()..removeWhere((codeChar) => ZeroWidthCharCodes.contains(codeChar) || (noSkin && _isFitzpatrickCode(codeChar))).map((char) => String.fromCharCode(char)).toList()
  }

  /// assemble emojis with [emojiChars] codes.
  static String assemble (List<String> emojiChars){
    List<int> codeCharPoints = [];

    for (var i = 0; i < emojiChars.length; i++) {
      if (i != 0 && !isFitzpatrick(emojiChars[i-1])){
        codeCharPoints.add(ZWJ);
      }
      final emojiRunes = emojiChars[i].runes.toList();
      codeCharPoints.addAll(emojiRunes);
    }
    codeCharPoints.add(variationSelector16);
    return String.fromCharCodes(codeCharPoints);
  }
  
  /// Modify skin tone of [emoji] by requested [skinTone]
  static String modify(String emoji, fitzpatrick skinTone) {
    int skinToneCharCode;
    switch(skinTone){
      case fitzpatrick.light:
        skinToneCharCode = 127995;
        break;
      case fitzpatrick.mediumLight:
        skinToneCharCode = 127996;
        break;
      case fitzpatrick.medium:
        skinToneCharCode = 127997;
        break;
      case fitzpatrick.mediumDark:
        skinToneCharCode = 127998;
        break;
      case fitzpatrick.dark:
        skinToneCharCode = 127999;
        break;
      case fitzpatrick.None:
        return stabilize(emoji);
    }

    final emojiRunes = emoji.runes.toList();
    List<int> finalCharCodes = [];
    for (final charCode in emojiRunes){
      if (!_isFitzpatrickCode(charCode)){
        finalCharCodes.add(charCode);
        if (_isModifiable(charCode)){
          finalCharCodes.add(skinToneCharCode);
        }
      }
    }
    return String.fromCharCodes(finalCharCodes);
  }

  // todo: support unspecified gender for "... holding hands", "kiss", "couple with heart" and "family".
  /// stabilize [skinTone] and [gender] of [emoji], if `true`.
  static String stabilize(String emoji, {bool skin : true,bool gender: false}){

    if (gender){
      emoji = emoji.replaceAll('\u{200D}\u{2642}\u{FE0F}', '') // remove ZWJ man from emoji
          .replaceAll('\u{200D}\u{2640}\u{FE0F}', '') // remove ZWJ woman from emoji
          .replaceAll('\u{1F468}', '\u{1F9D1}')  // replace man with person
          .replaceAll('\u{1F469}', '\u{1F9D1}') // replace woman with person
          .replaceAll('\u{1F474}', '\u{1F9D3}') // replace old man with old person
          .replaceAll('\u{1F475}', '\u{1F9D3}'); // replace old woman with old person
    }

    final List<int> emojiRunes = emoji.runes.toList();

    if (skin){
      emojiRunes.removeWhere((codeChar) => _isFitzpatrickCode(codeChar));
    }
    return String.fromCharCodes(emojiRunes);
  }

  /// returns `true` if [emojiCode] is code of Emoji with skin!.
  static _isModifiable(int emojiCode){
    return _modifiableCharCodes.contains(emojiCode);
  }

  /// returns `true` if [emoji] is a Fitzpatrick Emoji.
  static bool isFitzpatrick(String emoji){
    return skinToneEmojiChars.contains(emoji);
  }

  /// returns `true` if [emojiCode] is code of Fitzpatrick Emoji.
  static bool _isFitzpatrickCode(int emojiCode){
    return _skinToneCharCodes.contains(emojiCode);
  }
  @override
  toString() => char;
}

